-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Analise_Campo
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAnalise_CampoUpd')
	BEGIN
		PRINT 'Dropping Procedure spAnalise_CampoUpd'
		DROP PROCEDURE spAnalise_CampoUpd
	END
GO

CREATE PROCEDURE spAnalise_CampoUpd (
	@codigoACa INT,
	@codigoFor INT,
	@codigoCpo INT,
	@codigoPos INT,
	@codigoAna INT)
AS

UPDATE Analise_Campo SET 
	codigoFor = @codigoFor,
	codigoCpo = @codigoCpo,
	codigoPos = @codigoPos,
	codigoAna = @codigoAna
WHERE codigoACa = @codigoACa

GO