-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Atributo
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAtributoUpd')
	BEGIN
		PRINT 'Dropping Procedure spAtributoUpd'
		DROP PROCEDURE spAtributoUpd
	END
GO

CREATE PROCEDURE spAtributoUpd (
	@codigoAtr INT,
	@codigoIte INT,
	@nomeAtr VARCHAR(50),
	@valorAtr VARCHAR(50))
AS

UPDATE Atributo SET 
	codigoIte = @codigoIte,
	nomeAtr = @nomeAtr,
	valorAtr = @valorAtr
WHERE codigoAtr = @codigoAtr

GO