-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Campanha
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spCampanhaIns')
	BEGIN
		PRINT 'Dropping Procedure spCampanhaIns'
		DROP PROCEDURE spCampanhaIns
	END
GO

CREATE PROCEDURE spCampanhaIns (
	@codigoCam INT OUTPUT,
	@codigoAna INT,
	@nomeCam VARCHAR(100),
	@inicioValidadeCam DATETIME,
	@fimValidadeCam DATETIME,
	@inicioContagemPedidosCam DATETIME,
	@fimContagemPedidosCam DATETIME,
	@scriptMonitorCam BIT,
	@listarEmailsCam BIT)
AS

INSERT INTO Campanha(
	codigoAna,
	nomeCam,
	inicioValidadeCam,
	fimValidadeCam,
	inicioContagemPedidosCam,
	fimContagemPedidosCam,
	scriptMonitorCam,
	listarEmailsCam)
VALUES (
	@codigoAna,
	@nomeCam,
	@inicioValidadeCam,
	@fimValidadeCam,
	@inicioContagemPedidosCam,
	@fimContagemPedidosCam,
	@scriptMonitorCam,
	@listarEmailsCam)

SET @codigoCam = @@IDENTITY

GO