-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Campanha
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spCampanhaUpd')
	BEGIN
		PRINT 'Dropping Procedure spCampanhaUpd'
		DROP PROCEDURE spCampanhaUpd
	END
GO

CREATE PROCEDURE spCampanhaUpd (
	@codigoCam INT,
	@codigoAna INT,
	@nomeCam VARCHAR(100),
	@inicioValidadeCam DATETIME,
	@fimValidadeCam DATETIME,
	@inicioContagemPedidosCam DATETIME,
	@fimContagemPedidosCam DATETIME,
	@scriptMonitorCam BIT,
	@listarEmailsCam BIT)
AS

UPDATE Campanha SET 
	codigoAna = @codigoAna,
	nomeCam = @nomeCam,
	inicioValidadeCam = @inicioValidadeCam,
	fimValidadeCam = @fimValidadeCam,
	inicioContagemPedidosCam = @inicioContagemPedidosCam,
	fimContagemPedidosCam = @fimContagemPedidosCam,
	scriptMonitorCam = @scriptMonitorCam,
	listarEmailsCam = @listarEmailsCam
WHERE codigoCam = @codigoCam

GO