-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Campo
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spCampoIns')
	BEGIN
		PRINT 'Dropping Procedure spCampoIns'
		DROP PROCEDURE spCampoIns
	END
GO

CREATE PROCEDURE spCampoIns (
	@codigoCpo INT OUTPUT,
	@nomeCpo VARCHAR(100))
AS

INSERT INTO Campo(
	nomeCpo)
VALUES (
	@nomeCpo)

SET @codigoCpo = @@IDENTITY

GO