-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Campo
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spCampoSel')
	BEGIN
		PRINT 'Dropping Procedure spCampoSel'
		DROP PROCEDURE spCampoSel
	END
GO

CREATE PROCEDURE spCampoSel (
	@codigoCpo INT = null,
	@nomeCpo VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoCpo,
		nomeCpo
	FROM Campo
	WHERE 1 = 1'

IF (@codigoCpo IS NOT NULL)
	SET @sql = @sql + ' AND codigoCpo = ' + CONVERT(VARCHAR,@codigoCpo)

IF (@nomeCpo IS NOT NULL)
	SET @sql = @sql + ' AND nomeCpo LIKE ''%' + @nomeCpo + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO