-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Consumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spConsumidorSel')
	BEGIN
		PRINT 'Dropping Procedure spConsumidorSel'
		DROP PROCEDURE spConsumidorSel
	END
GO

CREATE PROCEDURE spConsumidorSel (
	@codigoCon INT = null,
	@nomeCon VARCHAR(250) = null,
	@cpfCnpjCon VARCHAR(50) = null,
	@docIdentificacaoCon VARCHAR(50) = null,
	@sexoCon CHAR(1) = null,
	@dataNascimentoCon DATETIME = null,
	@tipoPessoaCon CHAR(1) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoCon,
		nomeCon,
		cpfCnpjCon,
		docIdentificacaoCon,
		sexoCon,
		dataNascimentoCon,
		tipoPessoaCon
	FROM Consumidor
	WHERE 1 = 1'

IF (@codigoCon IS NOT NULL)
	SET @sql = @sql + ' AND codigoCon = ' + CONVERT(VARCHAR,@codigoCon)

IF (@nomeCon IS NOT NULL)
	SET @sql = @sql + ' AND nomeCon LIKE ''%' + @nomeCon + '%'''

IF (@cpfCnpjCon IS NOT NULL)
	SET @sql = @sql + ' AND cpfCnpjCon LIKE ''%' + @cpfCnpjCon + '%'''

IF (@docIdentificacaoCon IS NOT NULL)
	SET @sql = @sql + ' AND docIdentificacaoCon LIKE ''%' + @docIdentificacaoCon + '%'''

IF (@sexoCon IS NOT NULL)
	SET @sql = @sql + ' AND sexoCon LIKE ''%' + @sexoCon + '%'''

IF (@dataNascimentoCon IS NOT NULL)
	SET @sql = @sql + ' AND dataNascimentoCon = ''' + CONVERT(VARCHAR,@dataNascimentoCon) + ''''

IF (@tipoPessoaCon IS NOT NULL)
	SET @sql = @sql + ' AND tipoPessoaCon LIKE ''%' + @tipoPessoaCon + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO