-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Consumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spConsumidorUpd')
	BEGIN
		PRINT 'Dropping Procedure spConsumidorUpd'
		DROP PROCEDURE spConsumidorUpd
	END
GO

CREATE PROCEDURE spConsumidorUpd (
	@codigoCon INT,
	@nomeCon VARCHAR(250),
	@cpfCnpjCon VARCHAR(50),
	@docIdentificacaoCon VARCHAR(50),
	@sexoCon CHAR(1),
	@dataNascimentoCon DATETIME,
	@tipoPessoaCon CHAR(1))
AS

UPDATE Consumidor SET 
	nomeCon = @nomeCon,
	cpfCnpjCon = @cpfCnpjCon,
	docIdentificacaoCon = @docIdentificacaoCon,
	sexoCon = @sexoCon,
	dataNascimentoCon = @dataNascimentoCon,
	tipoPessoaCon = @tipoPessoaCon
WHERE codigoCon = @codigoCon

GO