-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Departamento
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spDepartamentoIns')
	BEGIN
		PRINT 'Dropping Procedure spDepartamentoIns'
		DROP PROCEDURE spDepartamentoIns
	END
GO

CREATE PROCEDURE spDepartamentoIns (
	@codigoDep INT OUTPUT,
	@codigoLoj INT,
	@referenciaDep VARCHAR(50),
	@nomeDep VARCHAR(100))
AS

INSERT INTO Departamento(
	codigoLoj,
	referenciaDep,
	nomeDep)
VALUES (
	@codigoLoj,
	@referenciaDep,
	@nomeDep)

SET @codigoDep = @@IDENTITY

GO