-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: EmpresaMarketing
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spEmpresaMarketingSel')
	BEGIN
		PRINT 'Dropping Procedure spEmpresaMarketingSel'
		DROP PROCEDURE spEmpresaMarketingSel
	END
GO

CREATE PROCEDURE spEmpresaMarketingSel (
	@codigoEMa INT = null,
	@codigoEnd INT = null,
	@nomeEMa VARCHAR(250) = null,
	@cnpjEMa VARCHAR(20) = null,
	@inscEstadualEMa VARCHAR(20) = null,
	@razaoSocialEMa VARCHAR(100) = null,
	@telefoneEMa VARCHAR(20) = null,
	@emailEMa VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoEMa,
		codigoEnd,
		nomeEMa,
		cnpjEMa,
		inscEstadualEMa,
		razaoSocialEMa,
		telefoneEMa,
		emailEMa
	FROM EmpresaMarketing
	WHERE 1 = 1'

IF (@codigoEMa IS NOT NULL)
	SET @sql = @sql + ' AND codigoEMa = ' + CONVERT(VARCHAR,@codigoEMa)

IF (@codigoEnd IS NOT NULL)
	SET @sql = @sql + ' AND codigoEnd = ' + CONVERT(VARCHAR,@codigoEnd)

IF (@nomeEMa IS NOT NULL)
	SET @sql = @sql + ' AND nomeEMa LIKE ''%' + @nomeEMa + '%'''

IF (@cnpjEMa IS NOT NULL)
	SET @sql = @sql + ' AND cnpjEMa LIKE ''%' + @cnpjEMa + '%'''

IF (@inscEstadualEMa IS NOT NULL)
	SET @sql = @sql + ' AND inscEstadualEMa LIKE ''%' + @inscEstadualEMa + '%'''

IF (@razaoSocialEMa IS NOT NULL)
	SET @sql = @sql + ' AND razaoSocialEMa LIKE ''%' + @razaoSocialEMa + '%'''

IF (@telefoneEMa IS NOT NULL)
	SET @sql = @sql + ' AND telefoneEMa LIKE ''%' + @telefoneEMa + '%'''

IF (@emailEMa IS NOT NULL)
	SET @sql = @sql + ' AND emailEMa LIKE ''%' + @emailEMa + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO