-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: EmpresaMarketing
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spEmpresaMarketingUpd')
	BEGIN
		PRINT 'Dropping Procedure spEmpresaMarketingUpd'
		DROP PROCEDURE spEmpresaMarketingUpd
	END
GO

CREATE PROCEDURE spEmpresaMarketingUpd (
	@codigoEMa INT,
	@codigoEnd INT,
	@nomeEMa VARCHAR(250),
	@cnpjEMa VARCHAR(20),
	@inscEstadualEMa VARCHAR(20),
	@razaoSocialEMa VARCHAR(100),
	@telefoneEMa VARCHAR(20),
	@emailEMa VARCHAR(100))
AS

UPDATE EmpresaMarketing SET 
	codigoEnd = @codigoEnd,
	nomeEMa = @nomeEMa,
	cnpjEMa = @cnpjEMa,
	inscEstadualEMa = @inscEstadualEMa,
	razaoSocialEMa = @razaoSocialEMa,
	telefoneEMa = @telefoneEMa,
	emailEMa = @emailEMa
WHERE codigoEMa = @codigoEMa

GO