-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Endereco
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spEnderecoIns')
	BEGIN
		PRINT 'Dropping Procedure spEnderecoIns'
		DROP PROCEDURE spEnderecoIns
	END
GO

CREATE PROCEDURE spEnderecoIns (
	@codigoEnd INT OUTPUT,
	@logradouroEnd VARCHAR(250),
	@numeroEnd VARCHAR(20),
	@complementoEnd VARCHAR(40),
	@bairroEnd VARCHAR(100),
	@municipioEnd VARCHAR(100),
	@ufEnd VARCHAR(20),
	@cepEnd VARCHAR(8),
	@regiaoEnd VARCHAR(100),
	@paisEnd VARCHAR(100),
	@caixaPostalEnd VARCHAR(20))
AS

INSERT INTO Endereco(
	logradouroEnd,
	numeroEnd,
	complementoEnd,
	bairroEnd,
	municipioEnd,
	ufEnd,
	cepEnd,
	regiaoEnd,
	paisEnd,
	caixaPostalEnd)
VALUES (
	@logradouroEnd,
	@numeroEnd,
	@complementoEnd,
	@bairroEnd,
	@municipioEnd,
	@ufEnd,
	@cepEnd,
	@regiaoEnd,
	@paisEnd,
	@caixaPostalEnd)

SET @codigoEnd = @@IDENTITY

GO