-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Funcionalidade
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spFuncionalidadeIns')
	BEGIN
		PRINT 'Dropping Procedure spFuncionalidadeIns'
		DROP PROCEDURE spFuncionalidadeIns
	END
GO

CREATE PROCEDURE spFuncionalidadeIns (
	@codigoFun INT OUTPUT,
	@codigoTFu INT,
	@nomeFun VARCHAR(100))
AS

INSERT INTO Funcionalidade(
	codigoTFu,
	nomeFun)
VALUES (
	@codigoTFu,
	@nomeFun)

SET @codigoFun = @@IDENTITY

GO