-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Funcionalidade
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spFuncionalidadeSel')
	BEGIN
		PRINT 'Dropping Procedure spFuncionalidadeSel'
		DROP PROCEDURE spFuncionalidadeSel
	END
GO

CREATE PROCEDURE spFuncionalidadeSel (
	@codigoFun INT = null,
	@codigoTFu INT = null,
	@nomeFun VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoFun,
		codigoTFu,
		nomeFun
	FROM Funcionalidade
	WHERE 1 = 1'

IF (@codigoFun IS NOT NULL)
	SET @sql = @sql + ' AND codigoFun = ' + CONVERT(VARCHAR,@codigoFun)

IF (@codigoTFu IS NOT NULL)
	SET @sql = @sql + ' AND codigoTFu = ' + CONVERT(VARCHAR,@codigoTFu)

IF (@nomeFun IS NOT NULL)
	SET @sql = @sql + ' AND nomeFun LIKE ''%' + @nomeFun + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO