-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: HistoricoPedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spHistoricoPedidoSel')
	BEGIN
		PRINT 'Dropping Procedure spHistoricoPedidoSel'
		DROP PROCEDURE spHistoricoPedidoSel
	END
GO

CREATE PROCEDURE spHistoricoPedidoSel (
	@codigoHPe INT = null,
	@codigoPed INT = null,
	@codigoPPe INT = null,
	@statusLojaHPe VARCHAR(250) = null,
	@statusConsumidorHPe VARCHAR(250) = null,
	@dataAlteracaoHPe DATETIME = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoHPe,
		codigoPed,
		codigoPPe,
		statusLojaHPe,
		statusConsumidorHPe,
		dataAlteracaoHPe
	FROM HistoricoPedido
	WHERE 1 = 1'

IF (@codigoHPe IS NOT NULL)
	SET @sql = @sql + ' AND codigoHPe = ' + CONVERT(VARCHAR,@codigoHPe)

IF (@codigoPed IS NOT NULL)
	SET @sql = @sql + ' AND codigoPed = ' + CONVERT(VARCHAR,@codigoPed)

IF (@codigoPPe IS NOT NULL)
	SET @sql = @sql + ' AND codigoPPe = ' + CONVERT(VARCHAR,@codigoPPe)

IF (@statusLojaHPe IS NOT NULL)
	SET @sql = @sql + ' AND statusLojaHPe LIKE ''%' + @statusLojaHPe + '%'''

IF (@statusConsumidorHPe IS NOT NULL)
	SET @sql = @sql + ' AND statusConsumidorHPe LIKE ''%' + @statusConsumidorHPe + '%'''

IF (@dataAlteracaoHPe IS NOT NULL)
	SET @sql = @sql + ' AND dataAlteracaoHPe = ''' + CONVERT(VARCHAR,@dataAlteracaoHPe) + ''''

PRINT(@sql)
EXECUTE(@sql)

GO