-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Item
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spItemSel')
	BEGIN
		PRINT 'Dropping Procedure spItemSel'
		DROP PROCEDURE spItemSel
	END
GO

CREATE PROCEDURE spItemSel (
	@codigoIte INT = null,
	@codigoLoj INT = null,
	@referenciaIte VARCHAR(50) = null,
	@primNomeIte VARCHAR(100) = null,
	@nomeIte VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoIte,
		codigoLoj,
		referenciaIte,
		primNomeIte,
		nomeIte
	FROM Item
	WHERE 1 = 1'

IF (@codigoIte IS NOT NULL)
	SET @sql = @sql + ' AND codigoIte = ' + CONVERT(VARCHAR,@codigoIte)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@referenciaIte IS NOT NULL)
	SET @sql = @sql + ' AND referenciaIte LIKE ''%' + @referenciaIte + '%'''

IF (@primNomeIte IS NOT NULL)
	SET @sql = @sql + ' AND primNomeIte LIKE ''%' + @primNomeIte + '%'''

IF (@nomeIte IS NOT NULL)
	SET @sql = @sql + ' AND nomeIte LIKE ''%' + @nomeIte + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO