-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Item_Pedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spItem_PedidoUpd')
	BEGIN
		PRINT 'Dropping Procedure spItem_PedidoUpd'
		DROP PROCEDURE spItem_PedidoUpd
	END
GO

CREATE PROCEDURE spItem_PedidoUpd (
	@codigoIPe INT,
	@codigoDep INT,
	@codigoIte INT,
	@codigoPed INT,
	@quantidadePed INT,
	@valorUnitario MONEY,
	@valorTotalIPe MONEY)
AS

UPDATE Item_Pedido SET 
	codigoDep = @codigoDep,
	codigoIte = @codigoIte,
	codigoPed = @codigoPed,
	quantidadePed = @quantidadePed,
	valorUnitario = @valorUnitario,
	valorTotalIPe = @valorTotalIPe
WHERE codigoIPe = @codigoIPe

GO