-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Log
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spLogSel')
	BEGIN
		PRINT 'Dropping Procedure spLogSel'
		DROP PROCEDURE spLogSel
	END
GO

CREATE PROCEDURE spLogSel (
	@codigoLog INT = null,
	@codigoUsu INT = null,
	@tipoAcaoLog CHAR(1) = null,
	@dataLog DATETIME = null,
	@descricaoLog TEXT = null,
	@codigoRegistroLog INT = null,
	@ipLog VARCHAR(20) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoLog,
		codigoUsu,
		tipoAcaoLog,
		dataLog,
		descricaoLog,
		codigoRegistroLog,
		ipLog
	FROM Log
	WHERE 1 = 1'

IF (@codigoLog IS NOT NULL)
	SET @sql = @sql + ' AND codigoLog = ' + CONVERT(VARCHAR,@codigoLog)

IF (@codigoUsu IS NOT NULL)
	SET @sql = @sql + ' AND codigoUsu = ' + CONVERT(VARCHAR,@codigoUsu)

IF (@tipoAcaoLog IS NOT NULL)
	SET @sql = @sql + ' AND tipoAcaoLog LIKE ''%' + @tipoAcaoLog + '%'''

IF (@dataLog IS NOT NULL)
	SET @sql = @sql + ' AND dataLog = ''' + CONVERT(VARCHAR,@dataLog) + ''''

IF (@descricaoLog IS NOT NULL)
	SET @sql = @sql + ' AND descricaoLog = ' + CONVERT(VARCHAR,@descricaoLog)

IF (@codigoRegistroLog IS NOT NULL)
	SET @sql = @sql + ' AND codigoRegistroLog = ' + CONVERT(VARCHAR,@codigoRegistroLog)

IF (@ipLog IS NOT NULL)
	SET @sql = @sql + ' AND ipLog LIKE ''%' + @ipLog + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO