-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Loja
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spLojaIns')
	BEGIN
		PRINT 'Dropping Procedure spLojaIns'
		DROP PROCEDURE spLojaIns
	END
GO

CREATE PROCEDURE spLojaIns (
	@codigoLoj INT OUTPUT,
	@codigoEMa INT,
	@codigoSMe INT,
	@codigoEnd INT,
	@cnpjLoj VARCHAR(20),
	@inscEstadualLoj VARCHAR(20),
	@dataAberturaLoj DATETIME,
	@razaoSocialLoj VARCHAR(100),
	@telefoneLoj VARCHAR(20),
	@faxLoj VARCHAR(20),
	@emailLoj VARCHAR(100),
	@senhaLoj VARCHAR(250),
	@provedorLoj VARCHAR(100),
	@responsavelDominioLoj VARCHAR(250),
	@urlDominioLoj VARCHAR(100),
	@criacaoDominioLoj DATETIME,
	@expiracaoDominioLoj DATETIME)
AS

INSERT INTO Loja(
	codigoEMa,
	codigoSMe,
	codigoEnd,
	cnpjLoj,
	inscEstadualLoj,
	dataAberturaLoj,
	razaoSocialLoj,
	telefoneLoj,
	faxLoj,
	emailLoj,
	senhaLoj,
	provedorLoj,
	responsavelDominioLoj,
	urlDominioLoj,
	criacaoDominioLoj,
	expiracaoDominioLoj)
VALUES (
	@codigoEMa,
	@codigoSMe,
	@codigoEnd,
	@cnpjLoj,
	@inscEstadualLoj,
	@dataAberturaLoj,
	@razaoSocialLoj,
	@telefoneLoj,
	@faxLoj,
	@emailLoj,
	@senhaLoj,
	@provedorLoj,
	@responsavelDominioLoj,
	@urlDominioLoj,
	@criacaoDominioLoj,
	@expiracaoDominioLoj)

SET @codigoLoj = @@IDENTITY

GO