-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Loja
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spLojaUpd')
	BEGIN
		PRINT 'Dropping Procedure spLojaUpd'
		DROP PROCEDURE spLojaUpd
	END
GO

CREATE PROCEDURE spLojaUpd (
	@codigoLoj INT,
	@codigoEMa INT,
	@codigoSMe INT,
	@codigoEnd INT,
	@cnpjLoj VARCHAR(20),
	@inscEstadualLoj VARCHAR(20),
	@dataAberturaLoj DATETIME,
	@razaoSocialLoj VARCHAR(100),
	@telefoneLoj VARCHAR(20),
	@faxLoj VARCHAR(20),
	@emailLoj VARCHAR(100),
	@senhaLoj VARCHAR(250),
	@provedorLoj VARCHAR(100),
	@responsavelDominioLoj VARCHAR(250),
	@urlDominioLoj VARCHAR(100),
	@criacaoDominioLoj DATETIME,
	@expiracaoDominioLoj DATETIME)
AS

UPDATE Loja SET 
	codigoEMa = @codigoEMa,
	codigoSMe = @codigoSMe,
	codigoEnd = @codigoEnd,
	cnpjLoj = @cnpjLoj,
	inscEstadualLoj = @inscEstadualLoj,
	dataAberturaLoj = @dataAberturaLoj,
	razaoSocialLoj = @razaoSocialLoj,
	telefoneLoj = @telefoneLoj,
	faxLoj = @faxLoj,
	emailLoj = @emailLoj,
	senhaLoj = @senhaLoj,
	provedorLoj = @provedorLoj,
	responsavelDominioLoj = @responsavelDominioLoj,
	urlDominioLoj = @urlDominioLoj,
	criacaoDominioLoj = @criacaoDominioLoj,
	expiracaoDominioLoj = @expiracaoDominioLoj
WHERE codigoLoj = @codigoLoj

GO