-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Loja_Consumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spLoja_ConsumidorIns')
	BEGIN
		PRINT 'Dropping Procedure spLoja_ConsumidorIns'
		DROP PROCEDURE spLoja_ConsumidorIns
	END
GO

CREATE PROCEDURE spLoja_ConsumidorIns (
	@codigoLCo INT OUTPUT,
	@codigoLoj INT,
	@codigoCon INT,
	@dataCadastroLCo DATETIME,
	@receberEmailLCo BIT)
AS

INSERT INTO Loja_Consumidor(
	codigoLoj,
	codigoCon,
	dataCadastroLCo,
	receberEmailLCo)
VALUES (
	@codigoLoj,
	@codigoCon,
	@dataCadastroLCo,
	@receberEmailLCo)

SET @codigoLCo = @@IDENTITY

GO