-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Loja_Consumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spLoja_ConsumidorSel')
	BEGIN
		PRINT 'Dropping Procedure spLoja_ConsumidorSel'
		DROP PROCEDURE spLoja_ConsumidorSel
	END
GO

CREATE PROCEDURE spLoja_ConsumidorSel (
	@codigoLCo INT = null,
	@codigoLoj INT = null,
	@codigoCon INT = null,
	@dataCadastroLCo DATETIME = null,
	@receberEmailLCo BIT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoLCo,
		codigoLoj,
		codigoCon,
		dataCadastroLCo,
		receberEmailLCo
	FROM Loja_Consumidor
	WHERE 1 = 1'

IF (@codigoLCo IS NOT NULL)
	SET @sql = @sql + ' AND codigoLCo = ' + CONVERT(VARCHAR,@codigoLCo)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@codigoCon IS NOT NULL)
	SET @sql = @sql + ' AND codigoCon = ' + CONVERT(VARCHAR,@codigoCon)

IF (@dataCadastroLCo IS NOT NULL)
	SET @sql = @sql + ' AND dataCadastroLCo = ''' + CONVERT(VARCHAR,@dataCadastroLCo) + ''''

IF (@receberEmailLCo IS NOT NULL)
	SET @sql = @sql + ' AND receberEmailLCo = ' + CONVERT(VARCHAR,@receberEmailLCo)

PRINT(@sql)
EXECUTE(@sql)

GO