-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Loja_Consumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spLoja_ConsumidorUpd')
	BEGIN
		PRINT 'Dropping Procedure spLoja_ConsumidorUpd'
		DROP PROCEDURE spLoja_ConsumidorUpd
	END
GO

CREATE PROCEDURE spLoja_ConsumidorUpd (
	@codigoLCo INT,
	@codigoLoj INT,
	@codigoCon INT,
	@dataCadastroLCo DATETIME,
	@receberEmailLCo BIT)
AS

UPDATE Loja_Consumidor SET 
	codigoLoj = @codigoLoj,
	codigoCon = @codigoCon,
	dataCadastroLCo = @dataCadastroLCo,
	receberEmailLCo = @receberEmailLCo
WHERE codigoLCo = @codigoLCo

GO