-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: MeioPagamento
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spMeioPagamentoIns')
	BEGIN
		PRINT 'Dropping Procedure spMeioPagamentoIns'
		DROP PROCEDURE spMeioPagamentoIns
	END
GO

CREATE PROCEDURE spMeioPagamentoIns (
	@codigoMPa INT OUTPUT,
	@codigoLoj INT,
	@referenciaMPa VARCHAR(50),
	@nomeMPa VARCHAR(100))
AS

INSERT INTO MeioPagamento(
	codigoLoj,
	referenciaMPa,
	nomeMPa)
VALUES (
	@codigoLoj,
	@referenciaMPa,
	@nomeMPa)

SET @codigoMPa = @@IDENTITY

GO