-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: MeioPagamento
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spMeioPagamentoUpd')
	BEGIN
		PRINT 'Dropping Procedure spMeioPagamentoUpd'
		DROP PROCEDURE spMeioPagamentoUpd
	END
GO

CREATE PROCEDURE spMeioPagamentoUpd (
	@codigoMPa INT,
	@codigoLoj INT,
	@referenciaMPa VARCHAR(50),
	@nomeMPa VARCHAR(100))
AS

UPDATE MeioPagamento SET 
	codigoLoj = @codigoLoj,
	referenciaMPa = @referenciaMPa,
	nomeMPa = @nomeMPa
WHERE codigoMPa = @codigoMPa

GO