-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 11/08/2008
-- Classe do sistema..: Meta
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spMetaIns')
	BEGIN
		PRINT 'Dropping Procedure spMetaIns'
		DROP PROCEDURE spMetaIns
	END
GO

CREATE PROCEDURE spMetaIns (
	@codigoMet INT OUTPUT,
	@codigoLoj INT,
	@valorMet MONEY,
	@tipoPeriodoMet CHAR(1),
	@periodoInicialMet DATETIME,
	@periodoFinalMet DATETIME)
AS

INSERT INTO Meta(
	codigoMet,
	codigoLoj,
	valorMet,
	tipoPeriodoMet,
	periodoInicialMet,
	periodoFinalMet)
VALUES (
	@codigoMet,
	@codigoLoj,
	@valorMet,
	@tipoPeriodoMet,
	@periodoInicialMet,
	@periodoFinalMet)

SET @codigoMet = @@IDENTITY

GO