-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 11/08/2008
-- Classe do sistema..: Meta
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spMetaSel')
	BEGIN
		PRINT 'Dropping Procedure spMetaSel'
		DROP PROCEDURE spMetaSel
	END
GO

CREATE PROCEDURE spMetaSel (
	@codigoMet INT = null,
	@codigoLoj INT = null,
	@valorMet MONEY = null,
	@tipoPeriodoMet CHAR(1) = null,
	@periodoInicialMet DATETIME = null,
	@periodoFinalMet DATETIME = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoMet,
		codigoLoj,
		valorMet,
		tipoPeriodoMet,
		periodoInicialMet,
		periodoFinalMet
	FROM Meta
	WHERE 1 = 1'

IF (@codigoMet IS NOT NULL)
	SET @sql = @sql + ' AND codigoMet = ' + CONVERT(VARCHAR,@codigoMet)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@valorMet IS NOT NULL)
	SET @sql = @sql + ' AND valorMet = ' + CONVERT(VARCHAR,@valorMet)

IF (@tipoPeriodoMet IS NOT NULL)
	SET @sql = @sql + ' AND tipoPeriodoMet LIKE ''%' + @tipoPeriodoMet + '%'''

IF (@periodoInicialMet IS NOT NULL)
	SET @sql = @sql + ' AND periodoInicialMet = ''' + CONVERT(VARCHAR,@periodoInicialMet) + ''''

IF (@periodoFinalMet IS NOT NULL)
	SET @sql = @sql + ' AND periodoFinalMet = ''' + CONVERT(VARCHAR,@periodoFinalMet) + ''''

PRINT(@sql)
EXECUTE(@sql)

GO