-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Parceiro
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spParceiroSel')
	BEGIN
		PRINT 'Dropping Procedure spParceiroSel'
		DROP PROCEDURE spParceiroSel
	END
GO

CREATE PROCEDURE spParceiroSel (
	@codigoPar INT = null,
	@codigoLoj INT = null,
	@referenciaPar VARCHAR(50) = null,
	@nomePar VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoPar,
		codigoLoj,
		referenciaPar,
		nomePar
	FROM Parceiro
	WHERE 1 = 1'

IF (@codigoPar IS NOT NULL)
	SET @sql = @sql + ' AND codigoPar = ' + CONVERT(VARCHAR,@codigoPar)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@referenciaPar IS NOT NULL)
	SET @sql = @sql + ' AND referenciaPar LIKE ''%' + @referenciaPar + '%'''

IF (@nomePar IS NOT NULL)
	SET @sql = @sql + ' AND nomePar LIKE ''%' + @nomePar + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO