-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Parceiro
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spParceiroUpd')
	BEGIN
		PRINT 'Dropping Procedure spParceiroUpd'
		DROP PROCEDURE spParceiroUpd
	END
GO

CREATE PROCEDURE spParceiroUpd (
	@codigoPar INT,
	@codigoLoj INT,
	@referenciaPar VARCHAR(50),
	@nomePar VARCHAR(100))
AS

UPDATE Parceiro SET 
	codigoLoj = @codigoLoj,
	referenciaPar = @referenciaPar,
	nomePar = @nomePar
WHERE codigoPar = @codigoPar

GO