-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PassoPedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPassoPedidoUpd')
	BEGIN
		PRINT 'Dropping Procedure spPassoPedidoUpd'
		DROP PROCEDURE spPassoPedidoUpd
	END
GO

CREATE PROCEDURE spPassoPedidoUpd (
	@codigoPPe INT,
	@nomePPe VARCHAR(100))
AS

UPDATE PassoPedido SET 
	nomePPe = @nomePPe
WHERE codigoPPe = @codigoPPe

GO