-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PerfilAcesso_AreaSite
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPerfilAcesso_AreaSiteSel')
	BEGIN
		PRINT 'Dropping Procedure spPerfilAcesso_AreaSiteSel'
		DROP PROCEDURE spPerfilAcesso_AreaSiteSel
	END
GO

CREATE PROCEDURE spPerfilAcesso_AreaSiteSel (
	@codigoPAS INT = null,
	@codigoASi INT = null,
	@codigoPAc INT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoPAS,
		codigoASi,
		codigoPAc
	FROM PerfilAcesso_AreaSite
	WHERE 1 = 1'

IF (@codigoPAS IS NOT NULL)
	SET @sql = @sql + ' AND codigoPAS = ' + CONVERT(VARCHAR,@codigoPAS)

IF (@codigoASi IS NOT NULL)
	SET @sql = @sql + ' AND codigoASi = ' + CONVERT(VARCHAR,@codigoASi)

IF (@codigoPAc IS NOT NULL)
	SET @sql = @sql + ' AND codigoPAc = ' + CONVERT(VARCHAR,@codigoPAc)

PRINT(@sql)
EXECUTE(@sql)

GO