-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PeriodoAnalise
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPeriodoAnaliseSel')
	BEGIN
		PRINT 'Dropping Procedure spPeriodoAnaliseSel'
		DROP PROCEDURE spPeriodoAnaliseSel
	END
GO

CREATE PROCEDURE spPeriodoAnaliseSel (
	@codigoPAn INT = null,
	@codigoAna INT = null,
	@dataInicioPAn DATETIME = null,
	@dataFimPAn DATETIME = null,
	@observacoesPAn TEXT = null,
	@consideracoesPAn TEXT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoPAn,
		codigoAna,
		dataInicioPAn,
		dataFimPAn,
		observacoesPAn,
		consideracoesPAn
	FROM PeriodoAnalise
	WHERE 1 = 1'

IF (@codigoPAn IS NOT NULL)
	SET @sql = @sql + ' AND codigoPAn = ' + CONVERT(VARCHAR,@codigoPAn)

IF (@codigoAna IS NOT NULL)
	SET @sql = @sql + ' AND codigoAna = ' + CONVERT(VARCHAR,@codigoAna)

IF (@dataInicioPAn IS NOT NULL)
	SET @sql = @sql + ' AND dataInicioPAn = ''' + CONVERT(VARCHAR,@dataInicioPAn) + ''''

IF (@dataFimPAn IS NOT NULL)
	SET @sql = @sql + ' AND dataFimPAn = ''' + CONVERT(VARCHAR,@dataFimPAn) + ''''

IF (@observacoesPAn IS NOT NULL)
	SET @sql = @sql + ' AND observacoesPAn = ' + CONVERT(VARCHAR,@observacoesPAn)

IF (@consideracoesPAn IS NOT NULL)
	SET @sql = @sql + ' AND consideracoesPAn = ' + CONVERT(VARCHAR,@consideracoesPAn)

PRINT(@sql)
EXECUTE(@sql)

GO