-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PeriodoAnalise
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPeriodoAnaliseUpd')
	BEGIN
		PRINT 'Dropping Procedure spPeriodoAnaliseUpd'
		DROP PROCEDURE spPeriodoAnaliseUpd
	END
GO

CREATE PROCEDURE spPeriodoAnaliseUpd (
	@codigoPAn INT,
	@codigoAna INT,
	@dataInicioPAn DATETIME,
	@dataFimPAn DATETIME,
	@observacoesPAn TEXT,
	@consideracoesPAn TEXT)
AS

UPDATE PeriodoAnalise SET 
	codigoAna = @codigoAna,
	dataInicioPAn = @dataInicioPAn,
	dataFimPAn = @dataFimPAn,
	observacoesPAn = @observacoesPAn,
	consideracoesPAn = @consideracoesPAn
WHERE codigoPAn = @codigoPAn

GO