-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Servico
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spServicoIns')
	BEGIN
		PRINT 'Dropping Procedure spServicoIns'
		DROP PROCEDURE spServicoIns
	END
GO

CREATE PROCEDURE spServicoIns (
	@codigoSer INT OUTPUT,
	@nomeSer VARCHAR(100),
	@valorBaseSer MONEY,
	@descricaoSer VARCHAR(250),
	@imagemSer VARCHAR(250))
AS

INSERT INTO Servico(
	nomeSer,
	valorBaseSer,
	descricaoSer,
	imagemSer)
VALUES (
	@nomeSer,
	@valorBaseSer,
	@descricaoSer,
	@imagemSer)

SET @codigoSer = @@IDENTITY

GO