-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Servico_Funcionalidade
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spServico_FuncionalidadeSel')
	BEGIN
		PRINT 'Dropping Procedure spServico_FuncionalidadeSel'
		DROP PROCEDURE spServico_FuncionalidadeSel
	END
GO

CREATE PROCEDURE spServico_FuncionalidadeSel (
	@codigoSFu INT = null,
	@codigoSer INT = null,
	@codigoFun INT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoSFu,
		codigoSer,
		codigoFun
	FROM Servico_Funcionalidade
	WHERE 1 = 1'

IF (@codigoSFu IS NOT NULL)
	SET @sql = @sql + ' AND codigoSFu = ' + CONVERT(VARCHAR,@codigoSFu)

IF (@codigoSer IS NOT NULL)
	SET @sql = @sql + ' AND codigoSer = ' + CONVERT(VARCHAR,@codigoSer)

IF (@codigoFun IS NOT NULL)
	SET @sql = @sql + ' AND codigoFun = ' + CONVERT(VARCHAR,@codigoFun)

PRINT(@sql)
EXECUTE(@sql)

GO