-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Servico_Loja
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spServico_LojaUpd')
	BEGIN
		PRINT 'Dropping Procedure spServico_LojaUpd'
		DROP PROCEDURE spServico_LojaUpd
	END
GO

CREATE PROCEDURE spServico_LojaUpd (
	@codigoSLo INT,
	@codigoSer INT,
	@codigoLoj INT,
	@valorPagarSLo MONEY)
AS

UPDATE Servico_Loja SET 
	codigoSer = @codigoSer,
	codigoLoj = @codigoLoj,
	valorPagarSLo = @valorPagarSLo
WHERE codigoSLo = @codigoSLo

GO