-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Transportadora
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spTransportadoraIns')
	BEGIN
		PRINT 'Dropping Procedure spTransportadoraIns'
		DROP PROCEDURE spTransportadoraIns
	END
GO

CREATE PROCEDURE spTransportadoraIns (
	@codigoTra INT OUTPUT,
	@codigoLoj INT,
	@referenciaTra VARCHAR(50),
	@nomeTra VARCHAR(100))
AS

INSERT INTO Transportadora(
	codigoLoj,
	referenciaTra,
	nomeTra)
VALUES (
	@codigoLoj,
	@referenciaTra,
	@nomeTra)

SET @codigoTra = @@IDENTITY

GO