-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Transportadora
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spTransportadoraUpd')
	BEGIN
		PRINT 'Dropping Procedure spTransportadoraUpd'
		DROP PROCEDURE spTransportadoraUpd
	END
GO

CREATE PROCEDURE spTransportadoraUpd (
	@codigoTra INT,
	@codigoLoj INT,
	@referenciaTra VARCHAR(50),
	@nomeTra VARCHAR(100))
AS

UPDATE Transportadora SET 
	codigoLoj = @codigoLoj,
	referenciaTra = @referenciaTra,
	nomeTra = @nomeTra
WHERE codigoTra = @codigoTra

GO