-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Usuario
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spUsuarioIns')
	BEGIN
		PRINT 'Dropping Procedure spUsuarioIns'
		DROP PROCEDURE spUsuarioIns
	END
GO

CREATE PROCEDURE spUsuarioIns (
	@codigoUsu INT OUTPUT,
	@codigoEMa INT,
	@codigoLoj INT,
	@nomeUsu VARCHAR(250),
	@telefoneUsu VARCHAR(20),
	@emailUsu VARCHAR(100),
	@senhaUsu VARCHAR(250),
	@responsavelUsu BIT)
AS

INSERT INTO Usuario(
	codigoEMa,
	codigoLoj,
	nomeUsu,
	telefoneUsu,
	emailUsu,
	senhaUsu,
	responsavelUsu)
VALUES (
	@codigoEMa,
	@codigoLoj,
	@nomeUsu,
	@telefoneUsu,
	@emailUsu,
	@senhaUsu,
	@responsavelUsu)

SET @codigoUsu = @@IDENTITY

GO