-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Usuario
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spUsuarioSel')
	BEGIN
		PRINT 'Dropping Procedure spUsuarioSel'
		DROP PROCEDURE spUsuarioSel
	END
GO

CREATE PROCEDURE spUsuarioSel (
	@codigoUsu INT = null,
	@codigoEMa INT = null,
	@codigoLoj INT = null,
	@nomeUsu VARCHAR(250) = null,
	@telefoneUsu VARCHAR(20) = null,
	@emailUsu VARCHAR(100) = null,
	@senhaUsu VARCHAR(250) = null,
	@responsavelUsu BIT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoUsu,
		codigoEMa,
		codigoLoj,
		nomeUsu,
		telefoneUsu,
		emailUsu,
		senhaUsu,
		responsavelUsu
	FROM Usuario
	WHERE 1 = 1'

IF (@codigoUsu IS NOT NULL)
	SET @sql = @sql + ' AND codigoUsu = ' + CONVERT(VARCHAR,@codigoUsu)

IF (@codigoEMa IS NOT NULL)
	SET @sql = @sql + ' AND codigoEMa = ' + CONVERT(VARCHAR,@codigoEMa)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@nomeUsu IS NOT NULL)
	SET @sql = @sql + ' AND nomeUsu LIKE ''%' + @nomeUsu + '%'''

IF (@telefoneUsu IS NOT NULL)
	SET @sql = @sql + ' AND telefoneUsu LIKE ''%' + @telefoneUsu + '%'''

IF (@emailUsu IS NOT NULL)
	SET @sql = @sql + ' AND emailUsu LIKE ''%' + @emailUsu + '%'''

IF (@senhaUsu IS NOT NULL)
	SET @sql = @sql + ' AND senhaUsu LIKE ''%' + @senhaUsu + '%'''

IF (@responsavelUsu IS NOT NULL)
	SET @sql = @sql + ' AND responsavelUsu = ' + CONVERT(VARCHAR,@responsavelUsu)

PRINT(@sql)
EXECUTE(@sql)

GO