-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Usuario_PerfilAcesso
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spUsuario_PerfilAcessoSel')
	BEGIN
		PRINT 'Dropping Procedure spUsuario_PerfilAcessoSel'
		DROP PROCEDURE spUsuario_PerfilAcessoSel
	END
GO

CREATE PROCEDURE spUsuario_PerfilAcessoSel (
	@codigoUPa INT = null,
	@codigoUsu INT = null,
	@codigoPAc INT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoUPa,
		codigoUsu,
		codigoPAc
	FROM Usuario_PerfilAcesso
	WHERE 1 = 1'

IF (@codigoUPa IS NOT NULL)
	SET @sql = @sql + ' AND codigoUPa = ' + CONVERT(VARCHAR,@codigoUPa)

IF (@codigoUsu IS NOT NULL)
	SET @sql = @sql + ' AND codigoUsu = ' + CONVERT(VARCHAR,@codigoUsu)

IF (@codigoPAc IS NOT NULL)
	SET @sql = @sql + ' AND codigoPAc = ' + CONVERT(VARCHAR,@codigoPAc)

PRINT(@sql)
EXECUTE(@sql)

GO