-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: VariavelConsumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spVariavelConsumidorIns')
	BEGIN
		PRINT 'Dropping Procedure spVariavelConsumidorIns'
		DROP PROCEDURE spVariavelConsumidorIns
	END
GO

CREATE PROCEDURE spVariavelConsumidorIns (
	@codigoVCo INT OUTPUT,
	@codigoCon INT,
	@enderecoVCo INT,
	@enderecoEntregaVCo INT,
	@emailVCo VARCHAR(100),
	@profissaoVCo VARCHAR(100),
	@iniciaisProfissaoVCo VARCHAR(20),
	@telefoneVCo VARCHAR(20),
	@celularVCo VARCHAR(20))
AS

INSERT INTO VariavelConsumidor(
	codigoCon,
	enderecoVCo,
	enderecoEntregaVCo,
	emailVCo,
	profissaoVCo,
	iniciaisProfissaoVCo,
	telefoneVCo,
	celularVCo)
VALUES (
	@codigoCon,
	@enderecoVCo,
	@enderecoEntregaVCo,
	@emailVCo,
	@profissaoVCo,
	@iniciaisProfissaoVCo,
	@telefoneVCo,
	@celularVCo)

SET @codigoVCo = @@IDENTITY

GO