-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: VariavelConsumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spVariavelConsumidorUpd')
	BEGIN
		PRINT 'Dropping Procedure spVariavelConsumidorUpd'
		DROP PROCEDURE spVariavelConsumidorUpd
	END
GO

CREATE PROCEDURE spVariavelConsumidorUpd (
	@codigoVCo INT,
	@codigoCon INT,
	@enderecoVCo INT,
	@enderecoEntregaVCo INT,
	@emailVCo VARCHAR(100),
	@profissaoVCo VARCHAR(100),
	@iniciaisProfissaoVCo VARCHAR(20),
	@telefoneVCo VARCHAR(20),
	@celularVCo VARCHAR(20))
AS

UPDATE VariavelConsumidor SET 
	codigoCon = @codigoCon,
	enderecoVCo = @enderecoVCo,
	enderecoEntregaVCo = @enderecoEntregaVCo,
	emailVCo = @emailVCo,
	profissaoVCo = @profissaoVCo,
	iniciaisProfissaoVCo = @iniciaisProfissaoVCo,
	telefoneVCo = @telefoneVCo,
	celularVCo = @celularVCo
WHERE codigoVCo = @codigoVCo

GO