using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Mascaras
/// </summary>
public class JavaScriptMascaras
{
    public static string Mascaras()
    {
        return @"function Mascaras(idCampo, formato, e)
                {
                    var key; //variavel numerica que vai receber o key do teclado   //by Daniel
                    var campo = document.getElementById(idCampo); 

                    if(window.event)
                        key = window.event.keyCode;     //IE
                    else
                        key = e.which;     //firefox

	                if (key >= 48 && key <= 57)
	                {
	                    formato = formato.toUpperCase();
	                    var length = campo.value.length;

		                //DATA
		                if (formato == 'DATA')
		                {
			                separador = '/';
			                conjunto1 = 2;
			                conjunto2 = 5;
			                if (length == conjunto1)
				                campo.value = campo.value + separador;

			                if (length == conjunto2)
				                campo.value = campo.value + separador;
		                }

                        //NUMERO
		                if (formato == 'NUMERO')
		                {   
                		
		                }

		                //HORA
		                if (formato == 'HORA')
		                {
			                separador = ':';
			                conjunto = 2;
			                if (length == conjunto1)
				                campo.value = campo.value + separador;
		                }

		                //CEP
		                if (formato == 'CEP')
		                {
			                separador = '-';
			                conjunto = 5;
			                if (length == conjunto)
				                campo.value = campo.value + separador;
		                }

                        //PLACA VEICULO
                        if (formato == 'PLACA')
                        {
                            if(length < 3)
                            {
		                        if (key >= 65 && key <= 90)
		                        {
		                        }
		                        else if (key >= 97 && key <= 122)
		                        {
			                        campo.value = campo.value.toUpperCase();
		                        }
		                        else
			                        key = 0;
	                        } 
                            else
                            {
		                        if (key >= 48 && key <= 57)
		                        {		
			                        if (formato == 'PLACA')
			                        {
				                        separador = '-';
				                        conjunto1 = 3;
				                        if (length == conjunto1)
                                        {
					                        campo.value = campo.value.toUpperCase();
					                        campo.value = campo.value + separador;
				                        }
			                        }
		                        }
		                        else
			                        key = 0;
	                        }
                        }

		                //CPF
		                if (formato == 'CPF')
		                {
			                separador1 = '.';
			                separador2 = '-';
			                conjunto1 = 3;
			                conjunto2 = 7;
			                conjunto3 = 11;
			                if (length == conjunto1)
				                campo.value = campo.value + separador1;

			                if (length == conjunto2)
				                campo.value = campo.value + separador1;
                				
			                if (length == conjunto3)
				                campo.value = campo.value + separador2;
		                }

		                //CNPJ
		                if( formato == 'CNPJ')
		                {
			                separador1 = '.';
			                separador2 = '/';
			                separador3 = '-';
			                conjunto1 = 2;
			                conjunto2 = 6;
			                conjunto3 = 10;
			                conjunto4 = 15;
			                if(length == conjunto1)
				                campo.value = campo.value + separador1;
			                if(length == conjunto2)
				                campo.value = campo.value + separador1;
			                if(length == conjunto3)
				                campo.value = campo.value + separador2;
			                if(length == conjunto4)
				                campo.value = campo.value + separador3;
		                }	

		                //VALOR
		                if( formato == 'VALOR')
		                {
			                separador1 = ',';
			                separador2 = '.';
			                conjunto1 = 2; //Caracteres aps a virgula
			                conjunto2 = 5 + conjunto1;
                			
			                if (campo.value == '0,00')
				                campo.value = '';
                			
			                if(length >= conjunto1)
			                {
			                    var value1 = '';
			                    var value2 = '';
                                var arr = campo.value.split(separador1); 
                    			
                                for(i = 0; i < arr.length; i++)
                                    value1 += arr[i];
                                
                                arr = value1.split(separador2);
                                for(i = 0; i < arr.length; i++)
                                    value2 += arr[i];
                                            
                                campo.value = '';             
			                    conjunto3 = value2.length - conjunto1;
			                    conjunto4 = conjunto3;
			                    for(i = value2.length; i >= 0; i--)
                                {
                                    if(i == conjunto3)
                                        campo.value = separador1 + campo.value;
                                    else
                                        if(i == (conjunto4 - 3))
                                        {
                                            campo.value = separador2 + campo.value;
                                            conjunto4 -= 3;
                                        }
                                     
                                    campo.value = value2.charAt(i) + campo.value;                    
                                }
                            }         
		                }	
	                }
	                else
                    {
                        if(key>16 ){ //se for uma tecla sem caracter permitir 
                            key = 0; 
		                    return false; 
                        }
                    }
                } ";

    }
}
