/*
Funcoes:

carregaValor (comboBox)
	seleciona todos os valores do comboBox para pegar valores via REQUEST.FORM

move (campo1, campo2)
	move valores do campo1 para o campo2 e vice-versa

fPopPaletaCor(campo)
		Abre popup do calendrio
		
fPopData(campo)
		Abre popup do calendrio
		
fAbrePopup(endereco)
		Abre popup
		
destacaLinha
		Coloca em destaque a linha da tabela na cor cinza

normalizaLinha
		Devolve a cor da tabela para branco
		
ConsisteCampoBranco(valor)
		Consiste se foi preenchido o campo
		
LimpaEspacoBranco(valor)
		Limpa os espaos em branco na string tanto inicial quanto final

LimpaEspacoBrancoAll(valor)
		Limpa os espaos em branco, caracter de return e quebar de linha
		
ConsisteNumero(valor)
      Recebe um valor e verifica se  numero ou nao

ConsisteIntreiro(valor)
      Recebe um valor e verifica se  numero ou nao considerando nmero negativo

ConsisteString(valor)
      Recebe um valor e verifica se  string ou nao

ConsisteTelefone(valor)
      Recebe uma string no formato de telefone (XX [X]XXX-XXXX) e valida

ConsisteDecimal(valor)
			Recebe um valor e verifica se  um decimal ou no
			
ConsisteData(valor)
			Recebe uma string no format dd/mm/yyyy e verifica se  uma data vlida ou no
		
ConsisteEmail(valor)
      Recebe uma string e valida se  email ou no

ConsiteCGCCPF(valor)
      Recebe uma string e valida se  CPF ou CNPJ

ConsisteCEP(valor)
      Recebe um valor com 8 digitos e valida

Arredonda(valor)
      Arredonda um valor no formato #####.##### para baixo e 2 casas

RetornaData()
			Retorna a data corrente no formato dd/mm/yyyy
			
SomaData(Campo,Soma)
			Retorna a data passada no formato dd/mm/yyyy acrescentado da quantidade de dias a serem somados			

SubtraiData(Campo,Valor)
			Retorna a data passada no formato dd/mm/yyyy diminuindo a quantidade de dias a serem subtraidos

ComparaData(DataIni,DataFin)
			Retorna true se a data inicial for menor que a data final, caso contrario, retorna false

ConsisteHora(Valor)
			Retorna true se a hora for vlida

FormataHora(Valor, teclapress)
			Retorna a hora formatada hh:mm

FormataData(Valor, teclapress)
	Retorna a data formatada dd/MM/yyyy

FormataPeriodo(Valor, teclapress)
	Retorna o periodo formatado MM/yyyy

ComparaHora(HoraIni,HoraFim)
			Retorna true se a hora inicial for menor que a hora final

ComparaHoraIgual(HoraIni,HoraFim)
			Retorna true se a hora inicial for menor ou igual que a hora final

ConsisteValorDigitado(Valor)
			Verifica se exite algum dos carecters no permitidos no campo ".,-_/ "

FormataTelaBanco(Valor)
			Formata valor para ser enviado ao banco de dados, troca a virgula por ponto

FormataBancoTela(Balor)
			Formata valor para ser enviado a tela, troca ponto por virgula
			
FormataValor(tam, fld,milSep, decSep, e)
			Formata o valor digitado para decimal

FormataStr(str, tam)
			Limita o numero de caracteres digitados (Usado em campos textarea)

TirarZerosEsquerda(STR)

FormataVlr(OBJ,tammax,teclapres)
			Formata o valor digitado, colocando , e .

DateFormat(vDateName, vDateValue, e, dateCheck, dateType)
			Formata a data digitada, coloca as barras automaticamente.

fDesabilitarEnter()
                                        Desabilita o enter para envio de formulrio


autoTab()
	Funcao para pular de campos

Carrega(tipo,valor) 
    Atualiza valores da combo

*/

//CONTROLA FILTROS
function addFiltro(campo, operador, valor) {
	var el = document.getElementById('tbFiltro').rows[0]; 
	gridAction('addEx', el);

	var camposFiltro = document.getElementsByName("camposFiltro");  
	var operadorFiltro = document.getElementsByName("operadorFiltro");
	var valorFiltro = document.getElementsByName("valorFiltro");
	var i = camposFiltro.length -1;

	camposFiltro[i].value = campo;
	operadorFiltro[i].value = operador;
	valorFiltro[i].value = valor;
}

//-- INICIO -- ************** FUNO PARA IMPRIMIR RELATRIOS *****************************
	var msg = null;
	function imprimirRelatorio(titulo, logosite, logoempresa){
		var sHTML = areaImpressao.innerHTML;
		sHTML = sHTML.replace("class=moldura","");
		sHTML = sHTML.replace("class=ordenar","");
		
		if(msg)
		msg.close();

		msg=window.open("","msg","height="+ (screen.height-400) +",width="+ (screen.width-100) +",left=50,top=150,resizable=yes,statusbar=no,menubar=yes,scrollbars=yes");
		msg.document.write("<html><title>"+ titulo +"</title>");
		msg.document.write("<body onload='window.print()'>");
		msg.document.write("<link rel='stylesheet' href='../css/impressao.css'>");
		msg.document.write("<table border=0 cellspacing=0 cellpadding=0 width='100%'><tr>")
		
		if(logoempresa != "")
		msg.document.write("<td width='50%' valign='middle'><IMG src='"+ logoempresa +"' border=0></td>");
		else{
		msg.document.write("<td width='50%' valign='middle'><IMG src='"+ logosite +"' border=0></td>")
		}
		
		msg.document.write("</tr></table>");
		msg.document.write("<table border=0 cellspacing=0 cellpadding=0 width='100%' class=moldura><tr><td  align='left'><strong>"+ titulo +"</strong></td></tr></table>")
		msg.document.write(sHTML);
		msg.document.write("</body></html>");

		//No tirar este comando, serve para atualizar a pgina para pegar os valores ONLOAD e ONBLUR
		msg.history.go();
	}
//--FIM-- ************** FUNO PARA IMPRIMIR RELATRIOS *****************************
	
//-- INICIO -- ************** FUNO PARA GERAR EXCEL *****************************
	var excel = null;
	function excelRelatorio(titulo,registros){
		form1.HTML_areaCabecalho.value 	= areaCabecalho.innerHTML;
		excel=window.open("","excel","height="+ (screen.height-400) +",width="+ (screen.width-100) +",left=50,top=150,resizable=yes,statusbar=no,menubar=yes,scrollbars=yes");

        form1.action = "../includes/excel.asp?A052_titulo="+titulo;
		form1.target = "excel";
		form1.submit();
	}
//--FIM-- ************** FUNO PARA EXCEL *****************************

//funo de arredondamento
function round(number,X) {
// rounds number to X decimal places, defaults to 2
X = (!X ? 2 : X);
return Math.round(number*Math.pow(10,X))/Math.pow(10,X);
}

function fPopAgenda(idSolicitacao, idFornecedor, idCliente, idServico, idUnidade, NomeServico, idRecurso, dta_ini, hra_ini, dta_fim, hra_fim){
	window.open("Agenda.asp?idSolicitacao="+idSolicitacao+"&idFornecedor="+idFornecedor+"&idCliente="+idCliente+"&idServico="+idServico+"&idUnidade="+idUnidade+"&NomeServico="+NomeServico+"&idRecurso="+idRecurso+"&A821_dta_ini="+dta_ini+"&A821_hra_ini="+hra_ini+"&A821_dta_fim="+dta_fim+"&A821_hra_fim="+hra_fim,"Agenda","height=500,width=730,left=10,screenX=10,top=10,screenY=10");
}

function MascaraValor(Valor){
	 var Aux = "";

	 if (Valor >= 0) {
	 Valor     = Valor.toString();

	 if (Valor.length == 1)
		 Aux = "0,0" + Valor.substr(0,1);
	 if (Valor.length == 2)
		 Aux = "0," + Valor.substr(0,2);
		 if (Valor.length == 3)
		 Aux = Valor.substr(0,1) + "," + Valor.substr(1,2);
	 if (Valor.length == 4)
		 Aux = Valor.substr(0,2) + "," + Valor.substr(2,2);
	 if (Valor.length == 5)
		 Aux = Valor.substr(0,3) + "," + Valor.substr(3,2);
	 if (Valor.length == 6)
		 Aux = Valor.substr(0,1) + "." + Valor.substr(1,3) + "," + Valor.substr(4,2);
	 if (Valor.length == 7)
		 Aux = Valor.substr(0,2) + "." + Valor.substr(2,3) + "," + Valor.substr(5,2);
	 if (Valor.length == 8)
		 Aux = Valor.substr(0,3) + "." + Valor.substr(3,3) + "," + Valor.substr(6,2);
	 if (Valor.length == 9)
		 Aux = Valor.substr(0,1) + "." + Valor.substr(1,3) + "." + Valor.substr(4,3) + "," +  Valor.substr(6,2);
	 if (Valor.length == 10)
		 Aux = Valor.substr(0,2) + "." + Valor.substr(2,3) + "." + Valor.substr(5,3) + "," +  Valor.substr(8,2);
	 if (Valor.length == 11)
		 Aux = Valor.substr(0,3) + "." + Valor.substr(3,3) + "." + Valor.substr(6,3) + "," +  Valor.substr(9,2);
	 if (Valor.length == 12)
		 Aux = Valor.substr(0,1) + "." + Valor.substr(1,3) + "." + Valor.substr(4,3) + "." +  Valor.substr(6,3) + "," +  Valor.substr(8,2);
	 if (Valor.length == 13)
		 Aux = Valor.substr(0,2) + "." + Valor.substr(2,3) + "." + Valor.substr(5,3) + "." +  Valor.substr(8,3) + "," +  Valor.substr(10,2);
	 if (Valor.length == 14)
		 Aux = Valor.substr(0,3) + "." + Valor.substr(3,3) + "." + Valor.substr(6,3) + "." +  Valor.substr(9,3) + "," +  Valor.substr(12,2);

}
else {
	 Valor = Valor.toString();

	 if (Valor.length == 2)
		 Aux = "-0,0" + Valor.substr(1,1);
		 if (Valor.length == 3)
		 Aux = "-0," + Valor.substr(1,2) ;
	 if (Valor.length == 4)
		 Aux = "-" + Valor.substr(1,1) + "," + Valor.substr(2,2);
	 if (Valor.length == 5)
		 Aux = "-" + Valor.substr(1,2) + "," + Valor.substr(3,2);
	 if (Valor.length == 6)
		 Aux = "-" + Valor.substr(1,3) + "," + Valor.substr(4,2);
	 if (Valor.length == 7)
		 Aux = "-" + Valor.substr(1,1) + "." + Valor.substr(2,3) + "," + Valor.substr(5,2);
	 if (Valor.length == 8)
		 Aux = "-" + Valor.substr(1,2) + "." + Valor.substr(3,3) + "," + Valor.substr(6,2);
	 if (Valor.length == 9)
		 Aux = "-" + Valor.substr(1,3) + "." + Valor.substr(4,3) + "," + Valor.substr(7,2);
}

 return Aux;
}

// Funcao para formatar um nmero com 4 casas decimais
function MascaraValor4(Valor)
{
	 var Aux = "";

	 if (Valor >= 0) {
	 Valor     = Valor.toString();

	 if (Valor.length == 1)
		 Aux = "0,0" + Valor.substr(0,1);
	 if (Valor.length == 2)
		 Aux = "0," + Valor.substr(0,2);
	 if (Valor.length == 3)
		 Aux = "0," + Valor.substr(0,3);
	 if (Valor.length == 4)
		 Aux = "0," + Valor.substr(0,4);
	 if (Valor.length == 5)
	 Aux = Valor.substr(0,1) + "," + Valor.substr(1,4);
	 if (Valor.length == 6)
		 Aux = Valor.substr(0,2) + "," + Valor.substr(2,4);
	 if (Valor.length == 7)
		 Aux = Valor.substr(0,3) + "," + Valor.substr(3,4);
	 if (Valor.length == 8)
		 Aux = Valor.substr(0,1) + "." + Valor.substr(1,3) + "," + Valor.substr(4,4);
	 if (Valor.length == 9)
		 Aux = Valor.substr(0,2) + "." + Valor.substr(2,3) + "," + Valor.substr(5,4);
	 if (Valor.length == 10)
		 Aux = Valor.substr(0,3) + "." + Valor.substr(3,3) + "," + Valor.substr(6,4);
	}
else {
	 Valor = Valor.toString();

	 if (Valor.length == 1)
		 Aux = "-0,0" + Valor.substr(0,1);
	 if (Valor.length == 2)
		 Aux = "-0," + Valor.substr(0,2);
	 if (Valor.length == 3)
		 Aux = "-0," + Valor.substr(0,3);
	 if (Valor.length == 4)
		 Aux = "-0," + Valor.substr(0,4);
	 if (Valor.length == 5)
		 Aux = "-" + Valor.substr(0,1) + "," + Valor.substr(1,4);
	 if (Valor.length == 6)
		 Aux = "-" + Valor.substr(0,2) + "," + Valor.substr(2,4);
	 if (Valor.length == 7)
		 Aux = "-" + Valor.substr(0,3) + "," + Valor.substr(3,4);
	 if (Valor.length == 8)
		 Aux = "-" + Valor.substr(0,1) + "." + Valor.substr(1,3) + "," + Valor.substr(4,4);
	 if (Valor.length == 9)
		 Aux = "-" + Valor.substr(0,2) + "." + Valor.substr(2,3) + "," + Valor.substr(5,4);
	 if (Valor.length == 10)
		 Aux = "-" + Valor.substr(0,3) + "." + Valor.substr(3,3) + "," + Valor.substr(6,4);
}

 return Aux;	

}


// Funcao para pular para o proximo campo
function autoTab(input, len, e)
{
	var isNN = (navigator.appName.indexOf("Netscape") != -1); 
	var keyCode = (isNN) ? e.which : e.keyCode; 
	var filter = (isNN) ? [0,8,9] : [0,8,9,16,17,18,37,38,39,40,46]; 

	if (input.value.length >= len && !containsElement(filter, keyCode))
	{
		input.value = input.value.slice(0, len); 
		var i=1;
		while ((input.form[(getIndex(input)+i) % input.form.length].disabled) || (input.form[(getIndex(input)+i) % input.form.length].type == 'hidden'))
		{
			i++;
		}
		input.form[(getIndex(input)+i) % input.form.length].focus(); 
	} 

	// Funo auxiliar do autoTab Para contar os elementos da tela
	function containsElement(arr, ele) 
	{ 
		var found = false, index = 0; 
		while (!found && index < arr.length)
		{
			if (arr[index] == ele) 
				found = true; 
			else 
				index++; 
		}		
		return found; 
	} 

	// Funo auxiliar do autoTab Para pular de campo
	function getIndex(input) 
	{ 
		var index = -1, i = 0, found = false; 
		while (i < input.form.length && index == -1) 
			if (input.form[i] == input)
				index = i; 
			else 
				i++; 
			return index; 
	} 
	return true; 
} 

// Calcula o Tamanho do iframe
  function calcHeight(AuxFrame)
  {
    document.getElementById(AuxFrame).style.filter = "blendTrans(duration=1.0)";
	  document.getElementById(AuxFrame).filters.blendTrans.apply();
	  document.getElementById(AuxFrame).filters.blendTrans.play();
	
	  var the_height = parseInt(document.frames[AuxFrame].document.body.scrollHeight);
    document.getElementById(AuxFrame).style.height = the_height;

  }





// Check browser version
var isNav4 = false, isNav5 = false, isIE4 = false
var strSeperator = "/"; 
var vDateType = 3; 
var vYearType = 4; 
var vYearLength = 2; 
var err = 0; 
if(navigator.appName == "Netscape") {
	if (navigator.appVersion < "5") {
		isNav4 = true;
		isNav5 = false;
	}
	else
		if (navigator.appVersion > "4") {
			isNav4 = false;
			isNav5 = true;
   	}
}
else {
	isIE4 = true;
}

function formataValor(num,separadorMil,separadorDec) {
num = num.toString().replace(/\$|\,/g,'');
if(isNaN(num))
num = "0";
sign = (num == (num = Math.abs(num)));
num = Math.floor(num*100+0.50000000001);
cents = num%100;
num = Math.floor(num/100).toString();
if(cents<10)
cents = "0" + cents;
for (var i = 0; i < Math.floor((num.length-(1+i))/3); i++)
num = num.substring(0,num.length-(4*i+3)) +separadorMil+ num.substring(num.length-(4*i+3));
return (((sign)?'':'-') + num + separadorDec + cents);
}

function DateFormat(vDateName, vDateValue, e, dateCheck, dateType) {
vDateType = 3;
if (vDateValue == "~") {
	alert("AppVersion = "+navigator.appVersion+" \nNav. 4 Version = "+isNav4+" \nNav. 5 Version = "+isNav5+" \nIE Version = "+isIE4+" \nYear Type = "+vYearType+" \nDate Type = "+vDateType+" \nSeparator = "+strSeperator);
	vDateName.value = "";
	vDateName.focus();
	return true;
}
var whichCode = (window.Event) ? e.which : e.keyCode;
if (vDateValue.length > 8 && isNav4) {
	if ((vDateValue.indexOf("-") >= 1) || (vDateValue.indexOf("/") >= 1))
		return true;
}
var alphaCheck = " abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ/-";
if (alphaCheck.indexOf(vDateValue) >= 1) {
	if (isNav4) {
		vDateName.value = "";
		vDateName.focus();
		vDateName.select();
		return false;
	}
	else {
		vDateName.value = vDateName.value.substr(0, (vDateValue.length-1));
		return false;
  }
}
if (whichCode == 8)
	return false;
else {
	var strCheck = '47,48,49,50,51,52,53,54,55,56,57,58,59,95,96,97,98,99,100,101,102,103,104,105';
	if (strCheck.indexOf(whichCode) != -1) {
		if (isNav4) {
			if (((vDateValue.length < 6 && dateCheck) || (vDateValue.length == 7 && dateCheck)) && (vDateValue.length >=1)) {
				alert("Data Invlida\nFavor entrar com uma data vlida");
				vDateName.value = "";
				vDateName.focus();
				vDateName.select();
				return false;
			}
			if (vDateValue.length == 6 && dateCheck) {
				var mDay = vDateName.value.substr(2,2);
				var mMonth = vDateName.value.substr(0,2);
				var mYear = vDateName.value.substr(4,4)
				if (mYear.length == 2 && vYearType == 4) {
					var mToday = new Date();
					var checkYear = mToday.getFullYear() + 30; 
					var mCheckYear = '20' + mYear;
					if (mCheckYear >= checkYear)
						mYear = '19' + mYear;
					else
						mYear = '20' + mYear;
				}
				var vDateValueCheck = mMonth+strSeperator+mDay+strSeperator+mYear;
				if (!dateValid(vDateValueCheck)) {
					alert("Data Invlida\nFavor entrar com uma data vlida");
					vDateName.value = "";
					vDateName.focus();
					vDateName.select();
					return false;
				}
				return true;
			}
			else {
				if (vDateValue.length >= 8  && dateCheck) {
					if (vDateType == 1){
						var mDay = vDateName.value.substr(2,2);
						var mMonth = vDateName.value.substr(0,2);
						var mYear = vDateName.value.substr(4,4)
						vDateName.value = mMonth+strSeperator+mDay+strSeperator+mYear;
					}
					if (vDateType == 2){
						var mYear = vDateName.value.substr(0,4)
						var mMonth = vDateName.value.substr(4,2);
						var mDay = vDateName.value.substr(6,2);
						vDateName.value = mYear+strSeperator+mMonth+strSeperator+mDay;
					}
					if (vDateType == 3){
						var mMonth = vDateName.value.substr(2,2);
						var mDay = vDateName.value.substr(0,2);
						var mYear = vDateName.value.substr(4,4)
						vDateName.value = mDay+strSeperator+mMonth+strSeperator+mYear;
					}
					var vDateTypeTemp = vDateType;
					vDateType = 1;
					var vDateValueCheck = mMonth+strSeperator+mDay+strSeperator+mYear;
					if (!dateValid(vDateValueCheck)) {
						alert("Data Invlida\nFavor entrar com uma data vlida");
						vDateType = vDateTypeTemp;
						vDateName.value = "";
						vDateName.focus();
						vDateName.select();
						return false;
					}
					vDateType = vDateTypeTemp;
					return true;
				}
				else {
				if (((vDateValue.length < 8 && dateCheck) || (vDateValue.length == 9 && dateCheck)) && (vDateValue.length >=1)) {
					alert("Data Invlida\nFavor entrar com uma data vlida");
					vDateName.value = "";
					vDateName.focus();
					vDateName.select();
					return false;
        }
			}
		}
	}
	else {
		if (((vDateValue.length < 8 && dateCheck) || (vDateValue.length == 9 && dateCheck)) && (vDateValue.length >=1)) {
			alert("Data Invlida\nFavor entrar com uma data vlida");
			vDateName.value = "";
			vDateName.focus();
			return true;
		}
		if (vDateValue.length >= 8 && dateCheck) {
			if (vDateType == 1){
				var mMonth = vDateName.value.substr(0,2);
				var mDay = vDateName.value.substr(3,2);
				var mYear = vDateName.value.substr(6,4)
			}
			if (vDateType == 2){
				var mYear = vDateName.value.substr(0,4)
				var mMonth = vDateName.value.substr(5,2);
				var mDay = vDateName.value.substr(8,2);
			}
			if (vDateType == 3){
				var mDay = vDateName.value.substr(0,2);
				var mMonth = vDateName.value.substr(3,2);
				var mYear = vDateName.value.substr(6,4)
			}
			if (vYearLength == 4) {
				if (mYear.length < 4) {
					alert("Data Invlida\nFavor entrar com uma data vlida");
					vDateName.value = "";
					vDateName.focus();
					return true;
   			}
			}
			var vDateTypeTemp = vDateType;
			vDateType = 1;
			var vDateValueCheck = mMonth+strSeperator+mDay+strSeperator+mYear;
			if (mYear.length == 2 && vYearType == 4 && dateCheck) {
				var mToday = new Date();
				var checkYear = mToday.getFullYear() + 30; 
				var mCheckYear = '20' + mYear;
				if (mCheckYear >= checkYear)
					mYear = '19' + mYear;
				else
					mYear = '20' + mYear;
				vDateValueCheck = mMonth+strSeperator+mDay+strSeperator+mYear;
				if (vDateTypeTemp == 1) // mm/dd/yyyy
					vDateName.value = mMonth+strSeperator+mDay+strSeperator+mYear;
				if (vDateTypeTemp == 3) // dd/mm/yyyy
					vDateName.value = mDay+strSeperator+mMonth+strSeperator+mYear;
			} 
			if (!dateValid(vDateValueCheck)) {
				alert("Data Invlida\nFavor entrar com uma data vlida");
				vDateType = vDateTypeTemp;
				vDateName.value = "";
				vDateName.focus();
				return true;
			}
			vDateType = vDateTypeTemp;
			return true;
		}
		else {
			if (vDateType == 1) {
				if (vDateValue.length == 2) {
					vDateName.value = vDateValue+strSeperator;
				}
				if (vDateValue.length == 5) {
					vDateName.value = vDateValue+strSeperator;
   			}
			}
			if (vDateType == 2) {
				if (vDateValue.length == 4) {
					vDateName.value = vDateValue+strSeperator;
				}
				if (vDateValue.length == 7) {
					vDateName.value = vDateValue+strSeperator;
   			}
			} 
			if (vDateType == 3) {
				if (vDateValue.length == 2) {
					vDateName.value = vDateValue+strSeperator;
				}
				if (vDateValue.length == 5) {
					vDateName.value = vDateValue+strSeperator;
   			}
			}
			return true;
		}
	}
	if (vDateValue.length == 10&& dateCheck) {
		if (!dateValid(vDateName)) {
			alert("Data Invlida\nFavor entrar com uma data vlida");
			vDateName.focus();
			vDateName.select();
   	}
	}
	return false;
}
else {
	if (isNav4) {
		vDateName.value = "";
		vDateName.focus();
		vDateName.select();
		return false;
	}
	else{
		vDateName.value = vDateName.value.substr(0, (vDateValue.length-1));
		return false;
	}
}
}
}

function dateValid(objName) {
var strDate;
var strDateArray;
var strDay;
var strMonth;
var strYear;
var intday;
var intMonth;
var intYear;
var booFound = false;
var datefield = objName;
var strSeparatorArray = new Array("-"," ","/",".");
var intElementNr;
// var err = 0;
var strMonthArray = new Array(12);
strMonthArray[0] = "Jan";
strMonthArray[1] = "Feb";
strMonthArray[2] = "Mar";
strMonthArray[3] = "Apr";
strMonthArray[4] = "May";
strMonthArray[5] = "Jun";
strMonthArray[6] = "Jul";
strMonthArray[7] = "Aug";
strMonthArray[8] = "Sep";
strMonthArray[9] = "Oct";
strMonthArray[10] = "Nov";
strMonthArray[11] = "Dec";
//strDate = datefield.value;
strDate = objName;
if (strDate.length < 1) {
return true;
}
for (intElementNr = 0; intElementNr < strSeparatorArray.length; intElementNr++) {
if (strDate.indexOf(strSeparatorArray[intElementNr]) != -1) {
strDateArray = strDate.split(strSeparatorArray[intElementNr]);
if (strDateArray.length != 3) {
err = 1;
return false;
}
else {
strDay = strDateArray[0];
strMonth = strDateArray[1];
strYear = strDateArray[2];
}
booFound = true;
   }
}
if (booFound == false) {
if (strDate.length>5) {
strDay = strDate.substr(0, 2);
strMonth = strDate.substr(2, 2);
strYear = strDate.substr(4);
   }
}
//Adjustment for short years entered
if (strYear.length == 2) {
strYear = '20' + strYear;
}
strTemp = strDay;
strDay = strMonth;
strMonth = strTemp;
intday = parseInt(strDay, 10);
if (isNaN(intday)) {
err = 2;
return false;
}
intMonth = parseInt(strMonth, 10);
if (isNaN(intMonth)) {
for (i = 0;i<12;i++) {
if (strMonth.toUpperCase() == strMonthArray[i].toUpperCase()) {
intMonth = i+1;
strMonth = strMonthArray[i];
i = 12;
   }
}
if (isNaN(intMonth)) {
err = 3;
return false;
   }
}
intYear = parseInt(strYear, 10);
if (isNaN(intYear)) {
err = 4;
return false;
}
if (intMonth>12 || intMonth<1) {
err = 5;
return false;
}
if ((intMonth == 1 || intMonth == 3 || intMonth == 5 || intMonth == 7 || intMonth == 8 || intMonth == 10 || intMonth == 12) && (intday > 31 || intday < 1)) {
err = 6;
return false;
}
if ((intMonth == 4 || intMonth == 6 || intMonth == 9 || intMonth == 11) && (intday > 30 || intday < 1)) {
err = 7;
return false;
}
if (intMonth == 2) {
if (intday < 1) {
err = 8;
return false;
}
if (LeapYear(intYear) == true) {
if (intday > 29) {
err = 9;
return false;
   }
}
else {
if (intday > 28) {
err = 10;
return false;
      }
   }
}
return true;
}

function LeapYear(intYear) {
	if (intYear % 100 == 0) {
		if (intYear % 400 == 0) { return true; }
	}else {
		if ((intYear % 4) == 0) { return true; }
	}
	return false;
}


//muda o src da imagem
function moveover(p_Over,p_Name)
{
document.images[p_Name].src = p_Over;
}

function moveback(p_Out,p_Name)
{
document.images[p_Name].src = p_Out;
}

function trocaVirgulaPonto(valor)
{
  var sStr=valor;
//  sStr = sStr.replace(".","")
  while(sStr.indexOf(".") != -1)
	  sStr = sStr.replace(".","")
  sStr = sStr.replace(",",".")
  return sStr;
}

function trocaPontoVirgula(valor)
{
	var sStr=valor;
  sStr = sStr.replace(".",",")
  return sStr;
}


function TirarZerosEsquerda(STR)
{
  var sAux='';
  var i=0;
  STR=new String(STR);
  while (i < STR.length )
  {
    if ((STR.charAt(i)!='.') && (STR.charAt(i)!=','))
    {
	  	sAux += STR.charAt(i);
    }
		i++
  }
  STR = new String(sAux);
  sAux = '';
  i=0;
  while (i < STR.length )
  {
    if (STR.charAt(i) != '0')
    {
      sAux = STR.substring(i,STR.length)
	  	i = STR.length;
		}
    i++;
  }
  return  sAux;
}

function FormataVlr(OBJ,tammax,teclapres){
  var decimal,inteiro;
  var i,count;
  STR = new String(OBJ.value);

  inteiro='';
		if (isIE4) {
			if (OBJ.maxLength > STR.length){
				STR = TirarZerosEsquerda(STR); //ESTA FUNCAO TIRA TAMBEM PONTO E VIRGULA
				if ( ((event.keyCode > 47) && (event.keyCode < 59)) || ((event.keyCode > 95) && (event.keyCode < 106))   ){
	
					if (STR.length == 0){
						inteiro  = '0';
						decimal = '0' + STR;
					}else {
						if (STR.length == 1){
							inteiro  = '0';
							decimal = STR;
						}else{
							decimal = STR.substring(STR.length-1,STR.length);
							i=2;
							count=0;
							while (i<=STR.length){
								if (count==3) {
									inteiro = '.' + inteiro;
									count = 0;
								}
								inteiro = STR.charAt(STR.length-i) + inteiro;
								count++;
								i++;
							}
						}
					}
				}else{
					if (event.keyCode == 8){
						if (STR.length == 0){
							inteiro  = '0';
							decimal = '000';
						} else {
							if (STR.length == 1){
								inteiro  = '0';
								decimal = '00' + STR;
							} else {
								if (STR.length == 2){
									inteiro  = '0';
									decimal = '0' + STR;
								}else{
									decimal = STR.substring(STR.length-3,STR.length);
									i=4;
									count=0;
									while (i<=STR.length){
										if (count==3) {
											inteiro = '.' + inteiro;
											count = 0;
										}
										inteiro = STR.charAt(STR.length-i) + inteiro;
										count++;
										i++;
									}
								}
							}
						}
					}	else {
						if (STR.length == 1){
							inteiro  = '0';
							decimal = '0' + STR;
					} else {
						if (STR.length == 2){
							inteiro  = '0';
							decimal = STR;
						}else{
							decimal = STR.substring(STR.length-2,STR.length);
							i=3;
							count=0;
							while (i<=STR.length){
								if (count==3) {
									inteiro = '.' + inteiro;
									count = 0;
								}
								inteiro = STR.charAt(STR.length-i) + inteiro;
								count++;
								i++;
							}
						}
					}
				}
			}
				if (inteiro == '') {
					inteiro = '0';
				}
				if (decimal == '') {
					decimal = '00';
				}
				OBJ.value = inteiro+','+decimal;
			}
		}else{
			var tecla = teclapres.keyCode;
			valorSemFormato = OBJ.value;
			valorSemFormato = valorSemFormato.replace( ",", "" );
			valorSemFormato = valorSemFormato.replace( ".", "" );
			valorSemFormato = valorSemFormato.replace( ".", "" );
			valorSemFormato = valorSemFormato.replace( ".", "" );
			valorSemFormato = valorSemFormato.replace( ".", "" );
			tamanho = valorSemFormato.length;
	
			if (tecla == 46) {
				OBJ.value = OBJ.value;
			}
			if (tamanho < tammax && tecla != 8) {
				tamanho = valorSemFormato.length + 1;
			}
			if (tecla == 8 || tecla >= 48 && tecla <= 57 || tecla >= 96 && tecla <= 105 ){
				if (tecla == 8) {
					tamanho = tamanho - 1;
				}
				if (tamanho <= 2) {
					OBJ.value = valorSemFormato;
				} else if ((tamanho > 2) && (tamanho <= 5)) {
					OBJ.value = valorSemFormato.substr(0, tamanho - 2) + ',' +
					valorSemFormato.substr(tamanho - 2, tamanho);
				}else if ((tamanho >= 6) && (tamanho <= 8)) {
					OBJ.value = valorSemFormato.substr(0, tamanho - 5) + '.' +
					valorSemFormato.substr(tamanho - 5, 3) + ',' +
					valorSemFormato.substr(tamanho - 2, tamanho);
				}else if ((tamanho >= 9) && (tamanho <= 11)) {
					OBJ.value = valorSemFormato.substr(0, tamanho - 8) + '.' +
					valorSemFormato.substr(tamanho - 8, 3) + '.' +
					valorSemFormato.substr(tamanho - 5, 3) + ',' +
					valorSemFormato.substr(tamanho - 2, tamanho);
				}else if ((tamanho >= 12) && (tamanho <= 14)) {
					OBJ.value = valorSemFormato.substr(0, tamanho - 11) + '.' +
					valorSemFormato.substr(tamanho - 11, 3) + '.' +
					valorSemFormato.substr(tamanho - 8, 3)  + '.' +
					valorSemFormato.substr(tamanho - 5, 3)  + ',' +
					valorSemFormato.substr(tamanho - 2, tamanho);
				}else if ((tamanho >= 15) && (tamanho <= 17)) {
					OBJ.value = valorSemFormato.substr(0, tamanho - 14) + '.' +
					valorSemFormato.substr(tamanho - 14, 3) + '.' +
					valorSemFormato.substr(tamanho - 11, 3) + '.' +
					valorSemFormato.substr(tamanho - 8, 3)  + '.' +
					valorSemFormato.substr(tamanho - 5, 3)  + ',' +
					valorSemFormato.substr(tamanho - 2, tamanho);
				}
			}
		}
}

function FormataVlr2(OBJ,tammax,teclapres){
	var decimal,inteiro;
	var i,count;
	STR = new String(OBJ.value);
	
	inteiro='';
	if (isIE4) {
		if (OBJ.maxLength > STR.length){
			STR = TirarZerosEsquerda(STR); //ESTA FUNCAO TIRA TAMBEM PONTO E VIRGULA
			if (((event.keyCode > 47) && (event.keyCode < 59)) || ((event.keyCode > 95) && (event.keyCode < 106))   ){
			
				if (STR.length == 0){
					inteiro  = '0';
					decimal = '0' + STR;
				}else {
					if (STR.length == 1){
						inteiro  = '0';
						decimal = STR;
					}else{
						decimal = STR.substring(STR.length-1,STR.length);
						i=2;
						count=0;
						while (i<=STR.length){
							if (count==3) {
								inteiro = '.' + inteiro;
								count = 0;
							}
							inteiro = STR.charAt(STR.length-i) + inteiro;
							count++;
							i++;
						}
					}
				}
			}else{
				if (event.keyCode == 8){
					if (STR.length == 0){
						inteiro  = '0';
						decimal = '000';
					} else {
						if (STR.length == 1){
							inteiro  = '0';
							decimal = '00' + STR;
						} else {
							if (STR.length == 2){
								inteiro  = '0';
								decimal = '0' + STR;
							}else{
								decimal = STR.substring(STR.length-3,STR.length);
								i=4;
								count=0;
								while (i<=STR.length){
									if (count==3) {
										inteiro = '.' + inteiro;
										count = 0;
									}
									inteiro = STR.charAt(STR.length-i) + inteiro;
									count++;
									i++;
								}
							}
						}
					}
				}	else {
					if (STR.length == 1){
						inteiro  = '0';
						decimal = '0' + STR;
					} else {
						if (STR.length == 2){
							inteiro  = '0';
							decimal = STR;
						}else{
							decimal = STR.substring(STR.length-2,STR.length);
							i=3;
							count=0;
							while (i<=STR.length){
								if (count==3) {
									inteiro = '.' + inteiro;
									count = 0;
								}
								inteiro = STR.charAt(STR.length-i) + inteiro;
								count++;
								i++;
							}
						}
					}
				}
			}
			if (inteiro == '') {
				inteiro = '0';
			}
			if (decimal == '') {
				decimal = '00';
			}
			if ((inteiro == '0') && (decimal == '0')) {
				OBJ.value = '';
			}else{	
				OBJ.value = inteiro+','+decimal;
			}
		}
	}else{
		var tecla = teclapres.keyCode;
		valorSemFormato = OBJ.value;
		valorSemFormato = valorSemFormato.replace( ",", "" );
		valorSemFormato = valorSemFormato.replace( ".", "" );
		valorSemFormato = valorSemFormato.replace( ".", "" );
		valorSemFormato = valorSemFormato.replace( ".", "" );
		valorSemFormato = valorSemFormato.replace( ".", "" );
		tamanho = valorSemFormato.length;

		if (tecla == 46) {
			OBJ.value = OBJ.value;
		}
		if (tamanho < tammax && tecla != 8) {
			tamanho = valorSemFormato.length + 1;
		}
		if (tecla == 8 || tecla >= 48 && tecla <= 57 || tecla >= 96 && tecla <= 105 ){
			if (tecla == 8) {
				tamanho = tamanho - 1;
			}
			if (tamanho <= 2) {
				OBJ.value = valorSemFormato;
			} else if ((tamanho > 2) && (tamanho <= 5)) {
				OBJ.value = valorSemFormato.substr(0, tamanho - 2) + ',' +
				valorSemFormato.substr(tamanho - 2, tamanho);
			}else if ((tamanho >= 6) && (tamanho <= 8)) {
				OBJ.value = valorSemFormato.substr(0, tamanho - 5) + '.' +
				valorSemFormato.substr(tamanho - 5, 3) + ',' +
				valorSemFormato.substr(tamanho - 2, tamanho);
			}else if ((tamanho >= 9) && (tamanho <= 11)) {
				OBJ.value = valorSemFormato.substr(0, tamanho - 8) + '.' +
				valorSemFormato.substr(tamanho - 8, 3) + '.' +
				valorSemFormato.substr(tamanho - 5, 3) + ',' +
				valorSemFormato.substr(tamanho - 2, tamanho);
			}else if ((tamanho >= 12) && (tamanho <= 14)) {
				OBJ.value = valorSemFormato.substr(0, tamanho - 11) + '.' +
				valorSemFormato.substr(tamanho - 11, 3) + '.' +
				valorSemFormato.substr(tamanho - 8, 3)  + '.' +
				valorSemFormato.substr(tamanho - 5, 3)  + ',' +
				valorSemFormato.substr(tamanho - 2, tamanho);
			}else if ((tamanho >= 15) && (tamanho <= 17)) {
				OBJ.value = valorSemFormato.substr(0, tamanho - 14) + '.' +
				valorSemFormato.substr(tamanho - 14, 3) + '.' +
				valorSemFormato.substr(tamanho - 11, 3) + '.' +
				valorSemFormato.substr(tamanho - 8, 3)  + '.' +
				valorSemFormato.substr(tamanho - 5, 3)  + ',' +
				valorSemFormato.substr(tamanho - 2, tamanho);
			}
		}
	}
}



function FormataValor(tam, fld, milSep, decSep, e) {
var sep = 0;
var key = '';
var i = j = 0;
var len = len2 = 0;
var strCheck = '0123456789';
var aux = aux2 = '';
var whichCode = (window.Event) ? e.which : e.keyCode;
if (whichCode == 13) return true;  // Enter
key = String.fromCharCode(whichCode);  // Get key value from key code
if (strCheck.indexOf(key) == -1) return false;  // Not a valid key
//len = fld.value.length;
len = tam;
for(i = 0; i < len; i++)
if ((fld.value.charAt(i) != '0') && (fld.value.charAt(i) != decSep)) break;
aux = '';
for(; i < len; i++)
if (strCheck.indexOf(fld.value.charAt(i))!=-1) aux += fld.value.charAt(i);
aux += key;
len = aux.length;
if (len == 0) fld.value = '';
if (len == 1) fld.value = '0'+ decSep + '0' + aux;
if (len == 2) fld.value = '0'+ decSep + aux;
if (len > 2) {
aux2 = '';
for (j = 0, i = len - 3; i >= 0; i--) {
if (j == 3) {
aux2 += milSep;
j = 0;
}
aux2 += aux.charAt(i);
j++;
}
fld.value = '';
len2 = aux2.length;
for (i = len2 - 1; i >= 0; i--)
fld.value += aux2.charAt(i);
fld.value += decSep + aux.substr(len - 2, len);
}
return false;
}

function FormataStr(c_str, tam, textocont){
	var str_tam = c_str.value.substr(0,tam);
	var c_str_tam= c_str.value.length;
	
	if (c_str_tam > tam){
		alert("Campo limitado em "+tam+" caracteres.")
		c_str.value = str_tam;
		textocont.innerText = 0;
	}
	else
	textocont.innerText = tam-c_str_tam;	
}

function destacaLinha(){
	var tr,td;
	tr = event.srcElement.parentElement;
	for(i=0;i<tr.children.length;i++){
		td = tr.children[i];
		td.style.backgroundColor='#C0C0C0';
		td.style.cursor='hand';
		td.title='Clique aqui para visualizar este item';
	}
}

function normalizaLinha(){
	var tr,td;
	tr = event.srcElement.parentElement;
	for(i=0;i<tr.children.length;i++){
		td = tr.children[i];
		td.style.backgroundColor='white';
	}
}

function ConsisteCampoBranco(str) {
	str = LimpaEspacoBrancoAll(str);
  if (str==null || str=="")
    return true;
  return false;
}

function LimpaEspacoBranco(str) {
  if (str!=null) {
    while (str.charAt(str.length - 1)==" ")
      str = str.substring(0, str.length - 1);
    while (str.charAt(0)==" ")
      str = str.substring(1, str.length);
  }
  return str;
}

function LimpaEspacoBrancoAll(str) {
  if (str!=null) {
    while (str.length > 0 &&
      "\n\r\t ".indexOf(str.charAt(str.length - 1)) != -1)
      str = str.substring(0, str.length - 1);
    while (str.length > 0 &&
      "\n\r\t ".indexOf(str.charAt(0)) != -1)
      str = str.substring(1, str.length);
  }
  return str;
}

function ConsisteNumero(str) {
  var pattern = "0123456789"
  var i = 0;
  do {
    var pos = 0;
    for (var j=0; j<pattern.length; j++)
      if (str.charAt(i)==pattern.charAt(j)) {
        pos = 1;
        break;
      }
    i++;
  } while (pos==1 && i<str.length)  
  if (pos==0) 
    return true;
  return false;
} 


function ConsisteFuso(str) {
  var pattern1 = "-+"
	var pattern2 = "0123456789"
  var i = 0;
  do {
    var pos = 0;
    for (var j=0; j<pattern2.length; j++)
			if ( i == 0){
				if (str.charAt(i)==pattern1.charAt(j)) {
						pos = 1;
						break;
					}
			}else{
				if (str.charAt(i)==pattern2.charAt(j)) {
					pos = 1;
					break;
				}
			}
		i++;
  } while (pos==1 && i<str.length)  
  if (pos==0)
    return true;
  return false;
} 



function ConsisteString(str) {
  var pattern = "ABCDEFGHIJKLMNOPQRSTUYXWZabcdefghijklmnopqrstuyxwz"
  var i = 0;
  do {
    var pos = 0;
    for (var j=0; j<pattern.length; j++)
      if (str.charAt(i)==pattern.charAt(j)) {
        pos = 1;
        break;
      }
    i++;
  } while (pos==1 && i<str.length)  
  if (pos==0) 
    return true;
  return false;
} 

function ConsisteTelefone(str) {
  var pattern = "0123456789( )-"
  var i = 0;
  do {
    var pos = 0;
    for (var j=0; j<pattern.length; j++)
      if (str.charAt(i)==pattern.charAt(j)) {
				pos = 1;
      	break;
      }
    	i++;
  } 	
  while (pos==1 && i<str.length)  
  if (pos==0) 
    return true;
  return false;
}

function ConsisteCep(str) {
  var pattern = "0123456789-"
  var i = 0;
  do {
    var pos = 0;
    for (var j=0; j<pattern.length; j++)
      if (str.charAt(i)==pattern.charAt(j)) {
				pos = 1;
      	break;
      }
    	i++;
  } 	
  while (pos==1 && i<str.length)  
  if (pos==0) 
    return true;
  return false;
}

function ConsisteDecimal(str) {
  for (var i = 0; i < str.length; i++) 
  {
    var ch = str.substring(i, i + 1)
    if ((ch < "0" || "9" < ch) && (ch != ',') && ( ch != '.')) 
    {
    	return false;
    }
  }
  return true;
}




function ConsisteData(str) {

  if (str.length!=10 || str.charAt(2)!="/" || str.charAt(5)!="/" )
    return false;
  if (ConsisteNumero(str.substring(0,2) + str.substring(3,5) + str.substring(6,10))==true)
    return false;


  var d = str.substring(0,2);
  var m = str.substring(3,5);
  var y = str.substring(6,10);
  
  if (d==0 || m==0 || y==0)
    return false;

  if (m>12) return false;
  if (m==1 || m==3 || m==5 || m==7 || m==8 || m==10 || m==12) 
    var dmax = 31;
  else
    if (m==4 || m==6 || m==9 || m==11) dmax = 30;
    else 
      if ((y%400==0) || (y%4==0 && y%100!=0)) dmax = 29;
      else dmax = 28;
  if (d>dmax) return false;
  if (y<1900) return false;
  return true;
}

function ConsisteEmail(valor) {
    var reg = /\w{1,}[@]\w{1,}[.]\w{1,}/
    return reg.test(valor);
}

function Arredonda(valor) {
    var s = new String(valor);
    var a,b,c,result;
    if (s.indexOf('.') >= 0)
	{
        a = parseInt(s.substring(0,s.indexOf('.')));
	}
    else
        return s;
    b = s.substr(s.indexOf('.') + 1,2);
    c = parseInt(s.substr(s.indexOf('.') + 3));
    if (!isNaN(b) && !isNaN(c)) {
        if ((parseInt(b) + 1) >= 100) {
            a = a + 1;
            b = 0;
            c = 0;
        } else {
            b = b + 1;
            c = 0;
        }
    }
    result = a;
    if (b != 0) result = result + '.' + b;
    return result;
}

function RetornaData(){
	dt = new Date();
	dd = dt.getDate();
	mm = dt.getMonth() + 1;
	yy = dt.getYear();
	
	if (dd < 10) dd = '0' + dd;
	if (mm < 10) mm = '0' + mm;

	dtFinal = dd + '/' + mm + '/' + yy
	
	return  dtFinal;
}

function SomaData(Campo, Soma){
  var dia = '', mes = '', ano = '';
	var dtInicial = '';
	var dtFinal = '';
	var str = Campo;
	var soma = Soma;
  i = 0;
  while (i < str.length && str.charAt(i) != '/') dia = dia + str.charAt(i++);
  if (dia.length == 1) dia = '0' + dia;
  i++;
  while (i < str.length && str.charAt(i) != '/') mes = mes+str.charAt(i++);
	if (mes.length == 1) mes = '0' + mes;
	ano = str.substring(i+1,str.length);
	dtInicial = mes + '/' + dia + '/' + ano;
	dt = new Date(dtInicial);
	dt.setDate(dt.getDate()+parseInt(soma));
	dd = dt.getDate();
	mm = dt.getMonth() + 1;
	yy = dt.getYear();

	if (dd < 10) dd = '0' + dd;
	if (mm < 10) mm = '0' + mm;

	dtFinal = dd + '/' + mm + '/' + yy
  return  dtFinal;
}

function Soma1Mes(Campo){
  var dia = '', mes = '', ano = '';
	var dtInicial = '';
	var dtFinal = '';
	var str = Campo;
	var soma = 0;
  i = 0;
  while (i < str.length && str.charAt(i) != '/') dia = dia + str.charAt(i++);
  if (dia.length == 1) dia = '0' + dia;
  i++;
  while (i < str.length && str.charAt(i) != '/') mes = mes+str.charAt(i++);
	if (mes.length == 1) mes = '0' + mes;
	ano = str.substring(i+1,str.length);
	dtInicial = mes + '/' + dia + '/' + ano;
	dt = new Date(dtInicial);
	if (mes==1||mes==3||mes==5||mes==7||mes==8||mes==10||mes==12) soma=31;
	if (mes==4||mes==6||mes==9||mes==11) soma=30;
	if (mes==2) soma=28;
	dt.setDate(dt.getDate()+parseInt(soma));
	dd = dt.getDate();
	mm = dt.getMonth() + 1;
	yy = dt.getYear();

	if (dd < 10) dd = '0' + dd;
	if (mm < 10) mm = '0' + mm;

	dtFinal = dd + '/' + mm + '/' + yy
  return  dtFinal;
}

function SubtraiData(Campo, Soma){
  var dia = '', mes = '', ano = '';
	var dtInicial = '';
	var dtFinal = '';
	var str = Campo;
	var soma = Soma;

  i = 0;
  while (i < str.length && str.charAt(i) != '/') dia = dia + str.charAt(i++);
  if (dia.length == 1) dia = '0' + dia;
  i++;
  while (i < str.length && str.charAt(i) != '/') mes = mes+str.charAt(i++);
	if (mes.length == 1) mes = '0' + mes;
	ano = str.substring(i+1,str.length);
	dtInicial = mes + '/' + dia + '/' + ano;

	dt = new Date(dtInicial);
	dt.setDate(dt.getDate()-parseInt(soma));
	dd = dt.getDate();
	mm = dt.getMonth() + 1;
	yy = dt.getYear();
	
	if (dd < 10) dd = '0' + dd;
	if (mm < 10) mm = '0' + mm;

	dtFinal = dd + '/' + mm + '/' + yy
	
	return  dtFinal;
}

function ComparaData(sDataIni,sDataFim){
	var DataIni = '';
  var DataFim = '';
  DataIni = sDataIni.substring(6,10)+sDataIni.substring(3,5)+sDataIni.substring(0,2);
  DataFim = sDataFim.substring(6,10)+sDataFim.substring(3,5)+sDataFim.substring(0,2);
  if (Math.round(DataIni)>Math.round(DataFim)){
  	return false;
  }
  else{  
    return true;
  }
}


function ConsisteHora(campo){
	tam = campo.value.length;
	HoraInvalida = false;
	if (tam < 1 ){
		return true;
	}
	if (tam < 5 ){
		HoraInvalida = true;
	  alert('Hora invlida, digite no formato hh:mm.');	
  }
	else{ 
		for (var x = 0 ; x < 5 ; x++){
			teste = campo.value.substr(x, 1);
			if ((teste != '0')&&(teste != '1')&&(teste != '2')&&(teste != '3')&&(teste != '4')&&(teste != '5')&&(teste != '6')&&(teste != '7')&&(teste != '8')&&(teste != '9')&&(teste != ':')){
				HoraInvalida = true;
			}
		}
		if  ( (parseInt(campo.value.substring(0,2)) > 23) || (parseInt(campo.value.substring(3,5))>59) ){
			HoraInvalida = true;
	    alert('As horas devem ser digitadas entre 00:00 e 23:59.');	
     }

  }

	if (HoraInvalida){
		campo.value = '';
	  campo.focus();
	  return false;
	}
	else{
	  return true;
  }
}

function FormataHora(Campo, teclapres){
	var tecla = teclapres.keyCode;
	var vr = new String(Campo.value);
	vr = vr.replace("", "");
	tam = vr.length + 1;
	if (tecla != 9 && tecla != 8){
		if (tam > 2 && tam < 5)
			Campo.value = vr.substr(0, 2) + ':' + vr.substr(2, tam);
	}
}

function FormataMesAno(Campo,teclapres)
{
	var tecla = teclapres.keyCode;
	var vr = new String(Campo.value);
	vr = vr.replace("/", "");
	vr = vr.replace("/", "");
	tam = vr.length + 1;
	if (tecla != 9 && tecla != 8) 
	{
		if (tam > 2 && tam < 5)
			Campo.value = vr.substr(0, 2) + '/' + vr.substr(2, tam);
	}
}

function FormataData(Campo, teclapres)
{
	var tecla = teclapres.keyCode;
	var vr = new String(Campo.value);
	vr = vr.replace("/", "");
	vr = vr.replace("/", "");
	tam = vr.length + 1;
	if (tecla != 9 && tecla != 8 && tecla != 46) 
	{
		if (tam > 2 && tam < 5)
			Campo.value = vr.substr(0, 2) + '/' + vr.substr(2, tam);
		if (tam >= 5 && tam <=10)
			Campo.value = vr.substr(0,2) + '/' + vr.substr(2,2) + '/' + vr.substr(4,4);
	}
}


function FormataCEP(Campo, teclapres)
{
	var tecla = teclapres.keyCode;
	var vr = new String(Campo.value);
	vr = vr.replace("-", "");
	tam = vr.length + 1;
		
	if (tecla != 9 && tecla != 8) 
	{
		if (tam > 6)
			Campo.value = vr.substr(0, 5) + '-' + vr.substr(5, tam);	
	}
}


function FormataPeriodo(Campo, teclapres)
{
	var tecla = teclapres.keyCode;
	var vr = new String(Campo.value);
	vr = vr.replace("/", "");
	tam = vr.length + 1;
	if (tecla != 9 && tecla != 8) 
	{
		if (tam > 2 && tam < 5)
			Campo.value = vr.substr(0, 2) + '/' + vr.substr(2, tam);
		if (tam >= 5 && tam <=10)
			Campo.value = vr.substr(0,2) + '/'  + vr.substr(2,4);
	
	}
}

function ValidaHora(valor)
{
	var hora = valor.substring(0,2);
	var min  = valor.substring(3,5);
	
	if (valor.length < 5)
	{
	 return false;
	}

	if ((parseInt(min) > 59) || (parseInt(min) < 0))
	{
	 return false;
	}

	if ((parseInt(hora) > 24) || (parseInt(hora) < 0))
	{
	 return false;
	}
	
	if ((parseInt(hora) > 23) && (parseInt(min) > 0))
	{
	 return false;
	}
	
return true;	
}

function ComparaHora(sHoraIni,sHoraFim){
	var HoraIni = '';
  var HoraFim = '';
	HoraIni = sHoraIni.substring(0,2)+sHoraIni.substring(3,5);
  HoraFim = sHoraFim.substring(0,2)+sHoraFim.substring(3,5);
  if (sHoraIni.substring(0,2) == sHoraFim.substring(0,2)){
    if (parseInt(sHoraIni.substring(3,5))>=parseInt(sHoraFim.substring(3,5))){
    	return false;
    }
    else{  
      return true;
    }
  }
  else{
    if ((eval(HoraIni)-(HoraFim))>0){
    	return false;
    }
    else{  
      return true;
    }
  }
}

function ComparaHoraIgual(sHoraIni,sHoraFim){
	var HoraIni = '';
  var HoraFim = '';
	HoraIni = sHoraIni.substring(0,2)+sHoraIni.substring(3,5);
  HoraFim = sHoraFim.substring(0,2)+sHoraFim.substring(3,5);
  if (sHoraIni.substring(0,2) == sHoraFim.substring(0,2)){
    if (parseInt(sHoraIni.substring(3,5))>parseInt(sHoraFim.substring(3,5))){
    	return false;
    }
    else{  
      return true;
    }
  }
  else{
    if ((eval(HoraIni)-(HoraFim))>0){
    	return false;
    }
    else{  
      return true;
    }
  }
}

function ConsisteValorDigitado(str) {
  var pattern = ".,-_/"
  var i = 0;
  do {
    var pos = 0;
    for (var j=0; j<pattern.length; j++)
      if (str.charAt(i)==pattern.charAt(j)) {
        pos = 1;
        break;
      }
    i++;
  } while (pos==1 && i<str.length)  
  if (pos==0) 
    return false;
  return true;
} 

function FormataTelaBanco(valor)
{
	out = "."; // replace this
	add = ""; // with this
	temp = "" + valor; // temporary holder
	while (temp.indexOf(out)>-1) {
		pos= temp.indexOf(out);
		temp = "" + (temp.substring(0, pos) + add + 
		temp.substring((pos + out.length), temp.length));
	}

	out = ","; // replace this
	add = "."; // with this
	valor = "" + temp; // temporary holder
	while (valor.indexOf(out)>-1) {
		pos= valor.indexOf(out);
		valor = "" + (valor.substring(0, pos) + add + 
		valor.substring((pos + out.length), valor.length));
	}
  return valor;
}

function FormataBancoTela(valor)
{
	out = "."; // replace this
	add = ","; // with this
	temp = "" + valor; // temporary holder
	while (temp.indexOf(out)>-1) {
		pos= temp.indexOf(out);
		temp = "" + (temp.substring(0, pos) + add + 
		temp.substring((pos + out.length), temp.length));
	}
	return temp;
}

function ConsiteCGCCPF(p_NomeCampo){
 BASE = p_NomeCampo.value;
  if (BASE.length < 12){
	p_NomeCampo.value="";
	p_NomeCampo.focus();
	return false;
 }
 		BASE = BASE.replace( ".", "" );
		BASE = BASE.replace( ".", "" );
		BASE = BASE.replace( "-", "" );
		BASE = BASE.replace( "/", "" );
        var start_format = " +-0123456789";
        var number_format = "  0123456789";
        var check_char;
        var decimal = false;
        var trailing_blank = false;
        var digits = false;
		var verify = false;

        check_char = start_format.indexOf(BASE.charAt(0))
        if (check_char == 1)
            	decimal = true;
        else if (check_char < 1)
                return false;
        for (var i = 1; i < BASE.length; i++)
        {
                check_char = number_format.indexOf(BASE.charAt(i))
                if (check_char < 0)
                        return false;
                else if (check_char == 1)
                {
                        if (decimal)            // Second decimal.
                                return false;
                        else
                                decimal = true;
                }
                else if (check_char == 0)
                {
                        if (decimal || digits)  
                                trailing_blank = true;

                }
                else if (trailing_blank)
                        return false;
                else
                        digits = true;
						//return false;
        }       
    verify = true;
if (verify) {
	if (BASE.length > 11) {
	
        var CGC = BASE.substring(0,12);
		var DAC = BASE.substring(12,14);
		digito = "0";
		var DF1 = 0;
		var DF2 = 0;
		var DF3 = 0;
		var DF4 = 0;
		var DF5 = 0;
		var DF6 = 0;
		var resto1 = 0;
		var resto2 = 0;
		var DIG1 = 0;
		var DIG2 = 0;
		var n1=  BASE.substring(0,1);
		var n2=  BASE.substring(1,2);
		var n3=  BASE.substring(2,3);
		var n4=  BASE.substring(3,4);
		var n5=  BASE.substring(4,5);
		var n6=  BASE.substring(5,6);
		var n7=  BASE.substring(6,7);
		var n8=  BASE.substring(7,8);
		var n9=  BASE.substring(8,9);
		var n10= BASE.substring(9,10);
		var n11= BASE.substring(10,11);
		var n12= BASE.substring(11,12);
		DF1 = eval((5 * n1) + (4 * n2) + (3 * n3) + (2 * n4) + (9 * n5) + (8 * n6) + (7 * n7) + (6 * n8) + (5 * n9) + (4 * n10) + (3 * n11) + (2 * n12));
		DF2 = eval(DF1 / 11);
		DF3 = eval(parseInt(DF2) * 11);
		resto1 = eval(DF1 - DF3);
		if ((resto1 == 0) || (resto1 == 1))	{
				DIG1 = 0}
		else {
		        DIG1 = eval(11 - resto1)};
		DF4 = eval((6 * n1) + (5 * n2) + (4 * n3) + (3 * n4) + (2 * n5) + (9 * n6) + (8 * n7) + (7 * n8) + (6 * n9) + (5 * n10) + (4 * n11) + (3 * n12) + (2 * DIG1));
		DF5 = eval(DF4 / 11);
		DF6 = eval(parseInt(DF5) * 11);
		resto2 = eval(DF4 - DF6);
		if ((resto2 == 0) || (resto2 == 1))	{
		        DIG2 = 0}
		else {
		        DIG2 = eval(11 - resto2)};
				
		digito = eval((DIG1*10) + DIG2);
			
		if  (digito != DAC ) {
				//p_NomeCampo.value="";
				p_NomeCampo.focus();
		     	return false
			}
		else{
		    	return true;
			}
			
	}
	else{		
		var CPF = BASE.substring(0,9);
		var DAC1 = BASE.substring(9,11);
		var controle  = 0;
		var controle1 = 0;
		var digito1 = 0;
        var inicio = 2;
        var fim = 10;
		var soma = 0;		
		for (j=1; j<3;j++){
             soma = 0;
			 for (i=inicio; i<=fim;i++){	 
              		soma = eval(soma + ((CPF.substring(i-1 - j,i-1-j+1)) * (fim + 1 + j - i)))
			 }
        	if (j == 2){ soma = eval(soma + (2 * digito1))}
		        digito1 = eval((soma * 10)-((parseInt((soma * 10)/11))* 11)
			)
    	    if (digito1 == 10) {
            	digito1 = 0
			}
			if (j == 1){
	        controle =  digito1
			}
			else{
			controle1 =  digito1
			}			
        	inicio = 3;
        	fim = 11;
		}			
		digito1 = eval((controle*10) + controle1);
		if  (digito1 != DAC1 ) {
			//alert("O CNPJ/CPF no  vlido.")
		     	return false
			}
		else{
				return true
		}
	  }		
	}
	else{
		return false;
	}
}


//*****Validar se perodo(ms/ano) so vlidos******

function fValidaPeriodoMes(base)
{
  Periodo = base.value;
  if (Periodo != '')
   { 
    if (!fValidaFormatoPeriodo(base.value)){
  		alert("O perodo deve estar no formato mm/aaaa. "+
		"Exemplo: 09/2001")
		base.value = "";
		base.focus();
       }
    else {
	pos1 = Periodo.indexOf('/');
	mes = Periodo.slice(0,pos1);
	ano = Periodo.slice(pos1+1);
	if ((ano < 1900 || ano > 9999) ||(mes < 1 || mes > 12))
	 {
           alert("Perodo Invlido!");
	   base.value = "";
	   base.focus();
	  }
      }
   }
}

function fValidaFormatoPeriodo(p_Data)
{
  bRetorno = true;
  if (p_Data.length != 7){
   bRetorno = false;
  }
  pos1 = p_Data.indexOf('/');
  if (pos1 != 2)
  {
	bRetorno=false;
  }
  return bRetorno;
}

function _checkeurodate(object_value)
    {
    //Returns true if value is a eurodate format or is NULL
    //otherwise returns false	

    if (object_value.length == 0)
        return true;

    //Returns true if value is a date in the dd/mm/yyyy format
	isplit = object_value.indexOf('/');

	if (isplit == -1)
	{
		isplit = object_value.indexOf('.');
	}

	if (isplit == -1 || isplit == object_value.length)
		return false;

    sDay = object_value.substring(0, isplit);

	monthSplit = isplit + 1;

	isplit = object_value.indexOf('/', monthSplit);

	if (isplit == -1)
	{
		isplit = object_value.indexOf('.', monthSplit);
	}

	if (isplit == -1 ||  (isplit + 1 )  == object_value.length)
		return false;

    sMonth = object_value.substring((sDay.length + 1), isplit);

	sYear = object_value.substring(isplit + 1);

	if (!_checkinteger(sMonth)) //check month
		return false;
	else
	if (!_checkrange(sMonth, 1, 12)) // check month
		return false;
	else
	if (!_checkyear(sYear)) //check year
		return false;
	else
	if (!_checkrange(sYear, 0, null)) //check year
		return false;
	else
	if (!_checkinteger(sDay)) //check day
		return false;
	else
	if (!_checkday(sYear, sMonth, sDay)) //check day
		return false;
	else
		return true;
    }

function _checkday(checkYear, checkMonth, checkDay)
    {

	maxDay = 31;

	if (checkMonth == 4 || checkMonth == 6 ||
			checkMonth == 9 || checkMonth == 11)
		maxDay = 30;
	else
	if (checkMonth == 2)
	{
		if (checkYear % 4 > 0)
			maxDay =28;
		else
		if (checkYear % 100 == 0 && checkYear % 400 > 0)
			maxDay = 28;
		else
			maxDay = 29;
	}

	return _checkrange(checkDay, 1, maxDay); //check day
    }

function _checkyear(object_value)
    {
    if (object_value.length == 0)
        return true;

    if (object_value.length != 4)
        return false;
		
	var decimal_format = ".";
	var check_char;

    //The first character can be + -  blank or a digit.
	check_char = object_value.indexOf(decimal_format)
    //Was it a decimal?
    if (check_char < 1)
	 return _checknumber(object_value);
    else
	 return false;
}

function _numberrange(object_value, min_value, max_value)
    {
    // check minimum
    if (min_value != null)
	{
        if (object_value < min_value)
		return false;
	}

    // check maximum
    if (max_value != null)
	{
	if (object_value > max_value)
		return false;
	}
	
    //All tests passed, so...
    return true;
}


function _checkinteger(object_value)
    {
    //Returns true if value is a number or is NULL
    //otherwise returns false	

    if (object_value.length == 0)
        return true;

    //Returns true if value is an integer defined as
    //   having an optional leading + or -.
    //   otherwise containing only the characters 0-9.
	var decimal_format = ".";
	var check_char;

    //The first character can be + -  blank or a digit.
	check_char = object_value.indexOf(decimal_format)
    //Was it a decimal?
    if (check_char < 1)
	return _checknumber(object_value);
    else
	return false;
}

function _checknumber(object_value)
    {
    //Returns true if value is a number or is NULL
    //otherwise returns false	

    if (object_value.length == 0)
        return true;

    //Returns true if value is a number defined as
    //   having an optional leading + or -.
    //   having at most 1 decimal point.
    //   otherwise containing only the characters 0-9.
	var start_format = " ,+-0123456789";
	var number_format = " .0123456789";
	var check_char;
	var decimal = false;
	var trailing_blank = false;
	var digits = false;

    //The first character can be + - .  blank or a digit.
	check_char = start_format.indexOf(object_value.charAt(0))
    //Was it a decimal?
	if (check_char == 1)
	    decimal = true;
	else if (check_char < 1)
		return false;
        
	//Remaining characters can be only . or a digit, but only one decimal.
	for (var i = 1; i < object_value.length; i++)
	{
		check_char = number_format.indexOf(object_value.charAt(i))
		if (check_char < 0)
			return false;
		else if (check_char == 1)
		{
			if (decimal)		// Second decimal.
				return false;
			else
				decimal = true;
		}
		else if (check_char == 0)
		{
			if (decimal || digits)	
				trailing_blank = true;
        // ignore leading blanks

		}
	        else if (trailing_blank)
			return false;
		else
			digits = true;
	}	
    //All tests passed, so...
    return true
    }

function _checkrange(object_value, min_value, max_value)
    {
    //if value is in range then return true else return false

    if (object_value.length == 0)
        return true;


    if (!_checknumber(object_value))
	{
	return false;
	}
    else
	{
	return (_numberrange((eval(object_value)), min_value, max_value));
	}
	
    //All tests passed, so...
    return true;
    }


//********************************************************************
function isDate(dia, mes, ano) {
// Checa se eh uma data valida
if ((isNaN(parseInt(dia)) || isNaN(parseInt(mes)) || isNaN(parseInt(ano))) 
 ||(ano < 1900 || ano > 9999) ||(mes < 1 || mes > 12) ||(dia < 1 
 || dia > 31) ||(mes == 2 && dia > 28 && (ano % 4 != 0)) 
 ||(mes == 2 && dia > 29 && (ano % 4 == 0)) ||(dia > 30 
 && (mes == 4 || mes == 6 || mes == 9 || mes== 11)))
 return false;
else
 return true;
}

function fNumDiasMes(p_nMes,p_nAno){
 if (p_nMes == 1 || p_nMes == 3 || p_nMes == 5 || p_nMes == 7 || p_nMes == 8 || p_nMes == 10 || p_nMes == 12)
  return 31;
 if (p_nMes == 4 || p_nMes == 6 || p_nMes == 9 || p_nMes == 11)
  return 30;
 if (p_nMes ==2){
  if (p_nAno % 4 != 0) return 28
  else return 29;
 }
}

function fValidaIntDt(p_DtIni,p_DtFim)
{
 if ((p_DtIni.value != '') && (p_DtFim.value != ''))
  {
  v_DiaIni = p_DtIni.value.slice(0,2);
  v_MesIni = p_DtIni.value.slice(3,5);
  v_AnoIni = p_DtIni.value.slice(6);
  v_DiaFim = p_DtFim.value.slice(0,2);
  v_MesFim = p_DtFim.value.slice(3,5);
  v_AnoFim = p_DtFim.value.slice(6);
  if (!isDate(v_DiaIni,v_MesIni,v_AnoIni))
   {
   alert('Data Inicial Invlida');
   p_DtIni.focus;
   return false;
   }
  if (!isDate(v_DiaFim,v_MesFim,v_AnoFim))
   {
   alert('Data Final Invlida');
   p_DtFim.focus;
   return false;
   }
  vDataIni = v_AnoIni + v_MesIni + v_DiaIni
  vDataFim = v_AnoFim + v_MesFim + v_DiaFim
  if (vDataIni > vDataFim)
    {
        alert("A data inicial deve ser menor que a final!");
		p_DtIni.focus;
		return false;
    }
  }
}

function fValidaPeriodo(p_DtIni,p_DtFim)
{
 if ((p_DtIni.value != '') && (p_DtFim.value != '')){
  v_DiaIni = p_DtIni.value.slice(0,2);
  v_MesIni = p_DtIni.value.slice(3,5);
  v_AnoIni = p_DtIni.value.slice(6);
  v_DiaFim = p_DtFim.value.slice(0,2);
  v_MesFim = p_DtFim.value.slice(3,5);
  v_AnoFim = p_DtFim.value.slice(6);
  if (!isDate(v_DiaIni,v_MesIni,v_AnoIni)){
   alert('Data Inicial Invlida');
   p_DtIni.focus;
   return false;
  }
  if (!isDate(v_DiaFim,v_MesFim,v_AnoFim)){
   alert('Data Final Invlida');
   p_DtFim.focus;
   return false;
  }
  vDataIni = v_AnoIni + v_MesIni + v_DiaIni
  vDataFim = v_AnoFim + v_MesFim + v_DiaFim
  if (vDataIni > vDataFim){
        alert("A data inicial deve ser menor que a final!");
		p_DtIni.focus;
		return false;
  }
  vbIntValido = true
  vQtdeDiasMesIni = fNumDiasMes(v_MesIni,v_AnoIni);
  vQtdeDiasPeriodo = 0;
  vDifAno = v_AnoFim - v_AnoIni;
  vDifMes = v_MesFim - v_MesIni;
  if ((vDifAno > 1) || (vDifAno == 1 && (v_MesIni != 12 || (v_MesFim != 1 && v_MesFim != 2)))){
     vbIntValido = false
  }
  else 
  if ((vDifAno == 0 && vDifMes == 1)||(vDifAno == 1 && v_MesIni == 12 && v_MesFim == 1)){
    vQtdeDiasPeriodo = (vQtdeDiasMesIni - v_DiaIni) + parseInt(1) + parseInt(v_DiaFim)
//    if (vQtdeDiasPeriodo > 65)
	    if (vQtdeDiasPeriodo > 120)
      vbIntValido = false 
  }

  if (vDifAno == 0 && vDifMes > 1){
	 vDifMes_aux = 1;
	 ContaDias = vQtdeDiasMesIni - v_DiaIni;
	 if ((v_MesIni.indexOf('0') != -1) && (v_MesIni.indexOf('0') == 0))
		vMesAux = v_MesIni.slice(1);
	 else
		vMesAux = v_MesIni;
	 MesAux = parseInt(vMesAux) + parseInt(1);
//	 while ((vDifMes_aux <= vDifMes) && ContaDias <= 65) {
 	 while ((vDifMes_aux <= vDifMes) && ContaDias <= 120) {
	   vNumDias = fNumDiasMes(MesAux ,v_AnoIni)
	   if (vDifMes_aux == vDifMes){
	      ContaDias = parseInt(ContaDias) + parseInt(v_DiaFim);
	   }
	   else{
	      ContaDias = parseInt(ContaDias) + parseInt(vNumDias);	
	   }
	   vDifMes_aux = vDifMes_aux + 1;
	   MesAux = MesAux + 1;
	 }
//	 if ( ContaDias > 65 )
	 if ( ContaDias > 120 )
	   vbIntValido = false 
	}

    if (!vbIntValido){
//      alert("O nmero de dias do perodo no pode ultrapassar 65 dias!")
      alert("O nmero de dias do perodo no pode ultrapassar 120 dias!")
      p_DtFim.value=""
      return false;
    }
  }
  return true;
}

function fAbrePopup(endereco)
{
	if (endereco.indexOf("http://") == -1)
		endereco = "http://"+endereco;
	window.open(endereco,"");
}



function fAtivar(NomeCheckBox,NomeCampo)
{
  if (NomeCheckBox.checked==1) 
       NomeCampo.value=1; 
  else 
       NomeCampo.value=0;
}


function fDesabilitarEnter() {
 var tecla = event.keyCode;
 if ((tecla == 13)) { 
   return false;
 }
 return tecla;
}

function MostraMenu(iMenu, iMenus)
{
	if(iMenu>0){	    
		eval('document.all.Menu' + iMenu + '.style.visibility = \'visible\'');
	}
	else{	    
	    eval('document.all.Menu2.style.visibility = \'hidden\''); 
	}
	var iContador, iContaSub;
	for(iContador=2;iContador<=iMenus;iContador++)
	{
		eval("document.all.Menu" + iContador + ".style.visibility = 'hidden'");
		for(iContaSub=1;iContaSub<=64;iContaSub++)
			if(eval('document.all.Menu' + iContador + iContaSub + '')) {
				eval('document.all.Menu' + iContador + iContaSub + '.style.visibility = \'hidden\'');
			} else {
				if (iMenu == 0) {
					document.all.ESCONDERIJO.style.display = 'none'
				} else {
					document.all.ESCONDERIJO.style.display = ''
				}
				break;
			}
	}
	if(iMenu>0){	   
		eval('document.all.Menu' + iMenu + '.style.visibility = \'visible\'');
		}
	return true;
}


function MostraSubMenu(iMenu, iSubMenu, iMenus)
{
	var iContador;
	for(iContador=1;iContador<=iMenus;iContador++)
		eval('document.all.Menu' + iMenu + iContador + '.style.visibility = \'hidden\'');
	if(iSubMenu>0)
		eval('document.all.Menu' + iMenu + iSubMenu + '.style.visibility = \'visible\'');
	return true;
}

function FormataCEP(Campo, teclapres)
{
    var tecla = teclapres.keyCode;
	var vr = new String(Campo.value);
	//se no tiver o replace, depois do tracino se eu digitar qualquer tecla vai sair um tracinho no text.
	vr = vr.replace("-","");
	tam = vr.length + 1;
    // Este if do tecla!= 9 && tecla!= 8 serve para funcionar a tecla de retorno, ou seja se eu digitar um n errado eu posso retornar na tecla backspace, se no tiver o if eu no consigo retornar, o cursor tranca no tracinho (-).
    if (tecla != 9 && tecla != 8) 
	{
	    if (tam > 5 )
	    {
	       Campo.value = vr.substr(0, 5) + '-' + vr.substr(5, tam);
	    }
    }
 			
}

function FormataHORA2(Campo, teclapres)
{
	var tecla = teclapres.keyCode;
	var vr = new String(Campo.value);
	//se no tiver o replace, depois do tracino se eu digitar qualquer tecla vai sair um tracinho no text.
	vr = vr.replace(":","");
	tam = vr.length + 1;
    // Este if do tecla!= 9 && tecla!= 8 serve para funcionar a tecla de retorno, ou seja se eu digitar um n errado eu posso retornar na tecla backspace, se no tiver o if eu no consigo retornar, o cursor tranca no tracinho (-).
    if (tecla != 5 && tecla != 4) 
	{
	    if (tam > 2 )
	    {
	       Campo.value = vr.substr(0, 2) + '-' + vr.substr(2, tam);
	    }
    }
}

function ValidaCEP(campo)
{   
	var val = campo.value
    var tam = val.length
	if (tam != 9)
		{
		return true;
		}
	for (var x = 0 ; x < tam ; x++)
	    {
		teste = val.substr(x, 1);
		if ((teste != '0')&&(teste != '1')&&(teste != '2')&&(teste != '3')&&(teste != '4')&&(teste != '5')&&(teste != '6')&&(teste != '7')&&(teste != '8')&&(teste != '9')&&(x!=5))
		    {
		    return true;
		    }
        }return false;
}

function fDesabilitarEnter() {
 var tecla = event.keyCode;
 //alert(tecla);
 if ((tecla == 13)) { 
   return false;
 }
 return tecla;
}

//funes para montar o calendrio.
//******************************
function fValidaData(base)
{
  vAux = 0;
  if (base.value != ''){  
   if (!fValidaFormatoData(base.value)){
  		alert("A data deve estar no formato dd/mm/aaaa. "+
		"Exemplo: 27/09/2001")
		base.value = "";
		base.focus();
		vAux = 1;
		return false;
   }
   else if (!_checkeurodate(base.value)){
        alert("Data Invlida!");
		base.value = "";
		base.focus();
		vAux = 1;
		return false;
   }
  }
  return true;
}

function fPopPaletaCor(campo,campoFocus)
{
	window.open("../includes/paletadecor.asp?campo="+campo+"&campoFocus="+campoFocus,"Paleta","height=100,width=293,left=400,screenX=600,top=190,screenY=190");
}

function fPopData(campo,campoFocus){
window.open("../includes/Calendario_popup.asp?campo="+campo+"&campoFocus="+campo,"Calendario","height=130,width=130,left=600,screenX=600,top=190,screenY=190");
}

// construindo o calendrio
function popdate(obj,div,tam,ddd,objFocus)
{
   if (ddd) 
   {
       day = ""
       mmonth = ""
       ano = ""
       c = 1
       char = ""
       for (s=0;s<parseInt(ddd.length);s++)
       {
           char = ddd.substr(s,1)
           if (char == "/") 
           {
               c++; 
               s++; 
               char = ddd.substr(s,1);
           }
           if (c==1) day    += char
           if (c==2) mmonth += char
           if (c==3) ano    += char
       }
       ddd = mmonth + "/" + day + "/" + ano
		       
   }
		 
   if(!ddd) {today = new Date()} else {today = new Date(ddd)}
		   
   //today = new Date()
		   
   date_Form = eval (obj)
   //if (date_Form.value == "") {date_Form = new Date()} else {date_Form = new Date(date_Form.value)}
   date_Form = new Date()
		    
   ano = today.getFullYear();
   mmonth = today.getMonth ();
   day = today.toString ().substr (8,2)
		 
   umonth = new Array ("Janeiro", "Fevereiro", "Maro", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro")
   days_Feb = (!(ano % 4) ? 29 : 28)
   days = new Array (31, days_Feb, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31)

   if ((mmonth < 0) || (mmonth > 11))  alert(mmonth)
   if ((mmonth - 1) == -1) {month_prior = 11; year_prior = ano - 1} else {month_prior = mmonth - 1; year_prior = ano}
   if ((mmonth + 1) == 12) {month_next  = 0;  year_next  = ano + 1} else {month_next  = mmonth + 1; year_next  = ano}
   txt  = "<table bgcolor='#efefff' style='border:solid #006699; border-width:1' cellspacing='0' cellpadding='0' border='0' width='"+tam+"' height='"+tam*0.9 +"'>"
   txt += "<tr bgcolor='#FFFFFF'><td colspan='7' align='center'><table border='0' cellspacing='0' cellpadding='0' width='100%' bgcolor='#FFFFFF'><tr>"
   txt += "<td width=18% align=center><a href=javascript:popdate('"+obj+"','"+div+"','"+tam+"','"+((mmonth+1).toString() +"/01/"+(ano-1).toString())+"','"+objFocus+"') class='Cabecalho_Calendario' title='Ano Anterior'><<</a></td>"
   txt += "<td width=18% align=center><a href=javascript:popdate('"+obj+"','"+div+"','"+tam+"','"+( "01/" + (month_prior+1).toString() + "/" + year_prior.toString())+"','"+objFocus+"') class='Cabecalho_Calendario' title='Ms Anterior'><</a></td>"
   txt += "<td width=18% align=center><a href=javascript:popdate('"+obj+"','"+div+"','"+tam+"','"+( "01/" + (month_next+1).toString()  + "/" + year_next.toString())+"','"+objFocus+"') class='Cabecalho_Calendario' title='Prximo Ms'>></a></td>"
   txt += "<td width=18% align=center><a href=javascript:popdate('"+obj+"','"+div+"','"+tam+"','"+((mmonth+1).toString() +"/01/"+(ano+1).toString())+"','"+objFocus+"') class='Cabecalho_Calendario' title='Prximo Ano'>>></a></td>"
   txt += "</tr></table></td></tr>"
   txt += "<tr><td colspan='7' align='right' bgcolor='#ccccff' class='mes'><a href=javascript:pop_year('"+obj+"','"+div+"','"+tam+"','" + (mmonth+1) + "') class='mes'>" + ano.toString() + "</a>"
   txt += " <a href=javascript:pop_month('"+obj+"','"+div+"','"+tam+"','" + ano + "') class='mes'>" + umonth[mmonth] + "</a> <div id='popd' style='position:absolute'></div></td></tr>"
   txt += "<tr bgcolor='#006699'><td width='14%' class='dia' align=center><b><font color=#ccccff>D</font></b></td><td width='14%' class='dia' align=center><b>S</b></td><td width='14%' class='dia' align=center><b>T</b></td><td width='14%' class='dia' align=center><b>Q</b></td><td width='14%' class='dia' align=center><b>Q</b></td><td width='14%' class='dia' align=center><b>S<b></td><td width='14%' class='dia' align=center><b>S</b></td></tr>"
   today1 = new Date((mmonth+1).toString() +"/01/"+ano.toString());
   diainicio = today1.getDay () + 1;
   week = d = 1
   start = false;

   for (n=1;n<= 42;n++) 
   {
       if (week == 1)  txt += "<tr bgcolor='#efefff' align=center>"
       if (week==diainicio) {start = true}
       if (d > days[mmonth]) {start=false}
       if (start) 
       {
           dat = new Date((mmonth+1).toString() + "/" + d + "/" + ano.toString())
           day_dat   = dat.toString().substr(0,10)
           day_today  = date_Form.toString().substr(0,10)
           year_dat  = dat.getFullYear ()
           year_today = date_Form.getFullYear ()
           colorcell = ((day_dat == day_today) && (year_dat == year_today) ? " bgcolor='#FFCC00' " : "" )
           txt += "<td"+colorcell+" align=center><a href=javascript:block('"+  d + "/" + (mmonth+1).toString() + "/" + ano.toString() +"','"+ obj +"','" + div +"','"+objFocus+"') class='data'>"+ d.toString() + "</a></td>"
           d ++ 
       } 
       else 
       { 
           txt += "<td class='data' align=center> </td>"
       }
       week ++
       if (week == 8) 
       { 
           week = 1; txt += "</tr>"} 
       }
       txt += "</table>"
       div2 = eval (div)
       div2.innerHTML = txt 
}
		 
// funo para exibir a janela com os meses
function pop_month(obj, div, tam, ano)
{
 txt  = "<table bgcolor='#CCCCFF' border='0' width=80>"
 for (n = 0; n < 12; n++) 
	{ 
		txt += "<tr><td align=center><a href=javascript:popdate('"+obj+"','"+div+"','"+tam+"','"+("01/" + (n+1).toString() + "/" + ano.toString())+"')>" + umonth[n] +"</a></td></tr>" }
 txt += "</table>"
 popd.innerHTML = txt
}

// funo para exibir a janela com os anos
function pop_year(obj, div, tam, umonth)
{
 txt  = "<table bgcolor='#CCCCFF' border='0' width=160>"
 l = 1
 for (n=1991; n<2012; n++)
 {  if (l == 1) txt += "<tr>"
    txt += "<td align=center><a href=javascript:popdate('"+obj+"','"+div+"','"+tam+"','"+(umonth.toString () +"/01/" + n) +"')>" + n + "</a></td>"
    l++
    if (l == 4) 
       {txt += "</tr>"; l = 1 } 
 }
 txt += "</tr></table>"
 popd.innerHTML = txt 
}

// funo para fechar o calendrio
function force_close(div) 
   { div2 = eval (div); div2.innerHTML = ''}
		   
// funo para fechar o calendrio e setar a data no campo de data associado
function block(data, obj, div, objFocus)
{ 
   force_close (div)
   obj2 = eval(obj)
   obj3 = eval(obj)
//   obj3 = eval(objFocus)
		   
   var indexBarra = data.indexOf("/")
   var BarraDia = data.slice(0, indexBarra)
   var NovoDia = ""
   if (parseInt(BarraDia) < 10) 
		NovoDia = "0"+BarraDia
   else 
		NovoDia = BarraDia 
		   
   var MesAno = data.slice(indexBarra + 1)
   var indexBarra = MesAno.indexOf("/")
   var BarraMes = MesAno.slice(0, indexBarra)
   var NovoMes = ""
   if (parseInt(BarraMes) < 10)
		NovoMes = "0"+BarraMes
   else 
		NovoMes = BarraMes
		   
   data = NovoDia + "/" + NovoMes + MesAno.slice(indexBarra)
   obj2.value = data
//   if (objFocus.length > 0)
//		obj2.focus()
	 obj3.focus()
   window.close()
}

function fValidaFormatoData(p_Data)
{
  bRetorno = true;
  if (p_Data.length != 10){
   bRetorno = false;
  }
  pos1 = p_Data.indexOf('/');
  pos2 = p_Data.indexOf("/",3); 
  if ((pos1 != 2) || (pos2 != 5))
  {
	bRetorno=false;
  }
  return bRetorno;
}

function _checkeurodate(object_value)
    {
    //Returns true if value is a eurodate format or is NULL
    //otherwise returns false	

    if (object_value.length == 0)
        return true;

    //Returns true if value is a date in the dd/mm/yyyy format
	isplit = object_value.indexOf('/');

	if (isplit == -1)
	{
		isplit = object_value.indexOf('.');
	}

	if (isplit == -1 || isplit == object_value.length)
		return false;

    sDay = object_value.substring(0, isplit);

	monthSplit = isplit + 1;

	isplit = object_value.indexOf('/', monthSplit);

	if (isplit == -1)
	{
		isplit = object_value.indexOf('.', monthSplit);
	}

	if (isplit == -1 ||  (isplit + 1 )  == object_value.length)
		return false;

    sMonth = object_value.substring((sDay.length + 1), isplit);

	sYear = object_value.substring(isplit + 1);

	if (!_checkinteger(sMonth)) //check month
		return false;
	else
	if (!_checkrange(sMonth, 1, 12)) // check month
		return false;
	else
	if (!_checkyear(sYear)) //check year
		return false;
	else
	if (!_checkrange(sYear, 0, null)) //check year
		return false;
	else
	if (!_checkinteger(sDay)) //check day
		return false;
	else
	if (!_checkday(sYear, sMonth, sDay)) //check day
		return false;
	else
		return true;
    }

function _checkday(checkYear, checkMonth, checkDay)
    {

	maxDay = 31;

	if (checkMonth == 4 || checkMonth == 6 ||
			checkMonth == 9 || checkMonth == 11)
		maxDay = 30;
	else
	if (checkMonth == 2)
	{
		if (checkYear % 4 > 0)
			maxDay =28;
		else
		if (checkYear % 100 == 0 && checkYear % 400 > 0)
			maxDay = 28;
		else
			maxDay = 29;
	}

	return _checkrange(checkDay, 1, maxDay); //check day
    }

function _checkyear(object_value)
    {
    if (object_value.length == 0)
        return true;

    if (object_value.length != 4)
        return false;
		
	var decimal_format = ".";
	var check_char;

    //The first character can be + -  blank or a digit.
	check_char = object_value.indexOf(decimal_format)
    //Was it a decimal?
    if (check_char < 1)
	 return _checknumber(object_value);
    else
	 return false;
}

function _numberrange(object_value, min_value, max_value)
    {
    // check minimum
    if (min_value != null)
	{
        if (object_value < min_value)
		return false;
	}

    // check maximum
    if (max_value != null)
	{
	if (object_value > max_value)
		return false;
	}
	
    //All tests passed, so...
    return true;
}


function _checkinteger(object_value)
    {
    //Returns true if value is a number or is NULL
    //otherwise returns false	

    if (object_value.length == 0)
        return true;

    //Returns true if value is an integer defined as
    //   having an optional leading + or -.
    //   otherwise containing only the characters 0-9.
	var decimal_format = ".";
	var check_char;

    //The first character can be + -  blank or a digit.
	check_char = object_value.indexOf(decimal_format)
    //Was it a decimal?
    if (check_char < 1)
	return _checknumber(object_value);
    else
	return false;
}

function _checknumber(object_value)
    {
    //Returns true if value is a number or is NULL
    //otherwise returns false	

    if (object_value.length == 0)
        return true;

    //Returns true if value is a number defined as
    //   having an optional leading + or -.
    //   having at most 1 decimal point.
    //   otherwise containing only the characters 0-9.
	var start_format = " ,+-0123456789";
	var number_format = " .0123456789";
	var check_char;
	var decimal = false;
	var trailing_blank = false;
	var digits = false;

    //The first character can be + - .  blank or a digit.
	check_char = start_format.indexOf(object_value.charAt(0))
    //Was it a decimal?
	if (check_char == 1)
	    decimal = true;
	else if (check_char < 1)
		return false;
        
	//Remaining characters can be only . or a digit, but only one decimal.
	for (var i = 1; i < object_value.length; i++)
	{
		check_char = number_format.indexOf(object_value.charAt(i))
		if (check_char < 0)
			return false;
		else if (check_char == 1)
		{
			if (decimal)		// Second decimal.
				return false;
			else
				decimal = true;
		}
		else if (check_char == 0)
		{
			if (decimal || digits)	
				trailing_blank = true;
        // ignore leading blanks

		}
	        else if (trailing_blank)
			return false;
		else
			digits = true;
	}	
    //All tests passed, so...
    return true
    }

function _checkrange(object_value, min_value, max_value)
    {
    //if value is in range then return true else return false

    if (object_value.length == 0)
        return true;


    if (!_checknumber(object_value))
	{
	return false;
	}
    else
	{
	return (_numberrange((eval(object_value)), min_value, max_value));
	}
	
    //All tests passed, so...
    return true;
    }


//********************************************************************

function move(fbox, tbox) {
var arrFbox = new Array();
var arrTbox = new Array();
var arrLookup = new Array();
var i;
for (i = 0; i < tbox.options.length; i++) {
arrLookup[tbox.options[i].text] = tbox.options[i].value;
arrTbox[i] = tbox.options[i].text;
}
var fLength = 0;
var tLength = arrTbox.length;
for(i = 0; i < fbox.options.length; i++) {
arrLookup[fbox.options[i].text] = fbox.options[i].value;
if (fbox.options[i].selected && fbox.options[i].value != "") {
arrTbox[tLength] = fbox.options[i].text;
tLength++;
}
else {
arrFbox[fLength] = fbox.options[i].text;
fLength++;
   }
}
arrFbox.sort();
arrTbox.sort();
fbox.length = 0;
tbox.length = 0;
var c;
for(c = 0; c < arrFbox.length; c++) {
var no = new Option();
no.value = arrLookup[arrFbox[c]];
no.text = arrFbox[c];
fbox[c] = no;
}
for(c = 0; c < arrTbox.length; c++) {
var no = new Option();
no.value = arrLookup[arrTbox[c]];
no.text = arrTbox[c];
tbox[c] = no;
   }
}

function carregaValor(campo){
var tamanho = campo.length;
	for(i=0; i < tamanho; i++) {
		campo.options[i].selected = true;
		}
}

function setaValorComboStr(combo, campo){
	var tamanho = combo.length;
	campo.value = "";
	for(i=0; i < tamanho; i++) {
		if (combo.options[i].value != "")
		campo.value = campo.value + combo.options[i].value + ","
	}
}

function FormataSemVirgula(Campo)
{
	var vr    = new String(Campo.value);

	out = ","; // replace this
	add = "";  // with this
	temp = "" + vr; // temporary holder
	while (temp.indexOf(out)>-1) {
		pos= temp.indexOf(out);
		temp = "" + (temp.substring(0, pos) + add + 
		temp.substring((pos + out.length), temp.length));
	}

        Campo.value = temp;
}

//Valida Ms/Ano
function validaMesAno(campo)
{
          var bVenc = false;
          var bInv = false;
          valor = campo.value;
          if (valor != ''){      	
	if (valor.length==7){
		if (valor.indexOf("/",0)==2){
			mes = valor.slice(0,2);
			ano = valor.slice(3);
			if (isNaN(mes)){                
               bInv = true;                                     
			}
			else{
				if (mes != "01" && mes != "02" && mes != "03" && mes != "04" && mes != "05" && mes != "06" && mes != "07" && mes != "08" && mes != "09" && mes != "10" && mes != "11" && mes != "12"){
                    bInv = true;
				}
			}
			if (isNaN(ano)){
				bInv = true;
			}
			else{
				var hoje = new Date();
				var anoAtual = hoje.getFullYear();
				var mesAtual = hoje.getMonth() + 1;
				anoMais = parseInt((parseInt(anoAtual)+10));
				anoMenos = parseInt(parseInt(anoAtual)-5);
				if (parseInt(ano)>anoMais || parseInt(ano)<anoMenos){
					bInv = true;
				}                                         
				if (parseInt(ano) < anoAtual	)
					bVenc = true;                                                               
					if (parseInt(ano)  == anoAtual  &&  mes < mesAtual)
							bVenc = true;
			}
		}
		else{
			alert("Validade do Carto deve estar no formato: mm/aaaa.")
			campo.focus();
                                                return;
		}
	}
	else{
		alert("Validade do Carto deve estar no formato: mm/aaaa.")
		campo.focus();
                                return;
	}
                if (bInv)
                       {
                         alert("Ms/Ano Invlido.")
                          campo.focus();       
                          return;
                }

                if (bVenc)
                       {
                         alert("CARTO VENCIDO!\nVerifique a validade digitada.")
                          campo.focus();       
                }
        }	
}

//***************************************************************************************

//*******************************************************************************

function fPreencheCEP(CEP,LOGRADOURO,BAIRRO,CIDADE,CAMPOS)
{	
	CAMPOS = CAMPOS.split(","); 

	opener.document.form1.elements[CAMPOS[0]].value = CEP;
	opener.document.form1.elements[CAMPOS[1]].value = LOGRADOURO;
	opener.document.form1.elements[CAMPOS[2]].value = BAIRRO;
	opener.document.form1.elements[CAMPOS[3]].value = CIDADE;

	window.close();	
}

//**************************************************************************************************************
ns4 = (document.layers)? true:false
ie4 = (document.all)? true:false

function loadSource(id,nestref,url) {
	if (ns4) {
		var lyr = (nestref)? eval('document.'+nestref+'.document.'+id) : document.layers[id]
		lyr.load(url,lyr.clip.width)
	}
	else if (ie4) {
		self.frames['bufferFrame'].document.location = url
	}
}
function loadSourceFinish(id) {
	if (ie4) document.all[id].innerHTML = self.frames['bufferFrame'].document.body.innerHTML
}

//Verifica se o Valor  Diferente de Zero
function DiferenteDZero(campo)
{
	var Valor = campo;
		Valor = Valor.replace(",","");
		Valor = Valor.replace(".","");
	if(Valor == 0)
		{return false;}
    else
		{return true;}
}

function VerificaNomeArquivo(campo){		
	if(campo.indexOf("#")>=0){return false;}
	if(campo.indexOf(".")>=0){return false;}
	if(campo.indexOf("'")>=0){return false;}
	//if(campo.indexOf("""")>=0){return false;}
	if(campo.indexOf(";")>=0){return false;}
	if(campo.indexOf(":")>=0){return false;}
	if(campo.indexOf("{")>=0){return false;}
	if(campo.indexOf("}")>=0){return false;}
	if(campo.indexOf("[")>=0){return false;}
	if(campo.indexOf("]")>=0){return false;}
	if(campo.indexOf("(")>=0){return false;}
	if(campo.indexOf(")")>=0){return false;}
	if(campo.indexOf("!")>=0){return false;}
	if(campo.indexOf("?")>=0){return false;}
	if(campo.indexOf("%")>=0){return false;}
	if(campo.indexOf("+")>=0){return false;}
	//if(campo.indexOf("\"")>=0){return false;}
	if(campo.indexOf("*")>=0){return false;}
	if(campo.indexOf("|")>=0){return false;}
	if(campo.indexOf("$")>=0){return false;}
}


function onKeyDownH(e)
{
   var output_string;
   if (emod=="IE4+"){
      e = window.event;
      alt = (e.altKey) ? true : false;
      ctrl = (e.ctrlKey) ? true : false;
      shift = (e.shiftKey) ? true : false;
      if(ctrl==true){
		  output_string = " alt: "+alt+"\n ctrl: "+ctrl+"\n shift: "+shift;

		  if ((e.keyCode<16)||(e.keyCode>18)) {
			 output_string += "\n 'keyCode' attribute: "+e.keyCode;
			 alt = false;
			 ctrl = false;
			 shift = false; }

      return false;
	  }
    }
}

function onloadH(e)
{
/*   emod = (e) ? (e.eventPhase) ? "W3C" : "NN4" : (window.event) ? "IE4+" : "unknown";

   if (emod == "NN4") {
      document.captureEvents(Event.KEYDOWN); }

   document.onkeydown = onKeyDownH;
   return true;*/
   
}

window.onload = onloadH;

var emod;
var alt = false;
var ctrl = false;
var shift = false; 

//*********************************************
//*********************************************

function ConsisteInteiro(str) {
  var pattern = "0123456789"
  var i = 0;
  do {
    var pos = 0;
    for (var j=0; j<pattern.length; j++)
      if (str.charAt(i)==pattern.charAt(j)) {
        pos = 1;
        break;
      }
	  else{
		  if(str.charAt(i)=='-' && i==0){
			pos = 1;
			break;
		  }
	  }
    i++;
  } while (pos==1 && i<str.length)  
  if (pos==0) 
    return true;
  return false;
} 


//*********************************************
//ReplaceAll - 
//*********************************************
function ReplaceAll(sStr, sDe, sPara)
{
	while (sStr.indexOf(sDe) != -1)
		sStr = sStr.replace(sDe, sPara)
	return sStr;	
}


//*******************************************************************************
	function mostraLogotipo(arq_logo, corsite, alinhaX, alinhaY){
		if (document.layers)
			var page = eval(document.contentLayer);
		else {
				if (document.getElementById)
					var page= eval("document.getElementById('divLogotipo').style");
				else
				if (document.all)
					var page = eval(document.all.divLogotipo.style);
		 }
		 
		 page.top = (document.body.scrollTop+alinhaY+5)+"px";
		 page.left = (alinhaX-200)+"px";
		 page.height = "100px"
		 page.width = "300px"
		 
		 html = "<table class='bordaFina' cellspacing='0' bgcolor='#FFFFFF' cellpading='0' border='0'>"
		 html = html + "<td bgcolor='"+corsite+"' class='rodape_consulta'><font color='#ffffff'>Logotipo</font></td></tr>"
		 html = html + "<tr><td><img src='"+arq_logo+"' border=0 height='50'></td></tr>"
		 html = html + "</table>"
		 divLogotipo.innerHTML = html
		 page.display = "inline"
	}
	
//*******************************************************************************
	function HideDescProd(layerName){
		if (document.layers)
			var page = eval(document.contentLayer);
		else {
				if (document.getElementById)
					var page= eval("document.getElementById('"+layerName+"').style");
				else
				if (document.all)
					var page = eval(document.all.layerName.style);
		 }
		 
		 page.top = "0px"
		 page.left = "0px"
		 page.height = "0px"
		 page.width = "0px"
		 page.display = "none"
	}
//******************************************************************************************
function formataConta(valor){
	valor = round(valor,2)
	
	Busca = trocaPontoVirgula(valor.toString());	
	Virgula = Busca.indexOf(",");
	if (Virgula == -1){
		Busca = Busca + ',00';
		Virgula = Busca.indexOf(",");
	}
	else{			
		Decimal = Busca.slice(parseInt(Virgula)+1, parseInt(Virgula)+3);
		if (Decimal.length == 1){
			Busca = Busca + '0';
		}
		else{
			Busca = Busca.slice(0, parseInt(Virgula) + 3);
		}
	}	
					
	Inteiro = Busca.slice(0, parseInt(Virgula));  
	Casas = parseInt(Inteiro.length) - parseInt(3);
	if (Inteiro.length > 3){
		CasaDec = Busca.slice(0,parseInt(Casas)) + '.';
		Ponto = CasaDec.indexOf('.');
		Busca = CasaDec + Busca.slice(Ponto);
		Casas = parseInt(Casas) - parseInt(3);
		while (Casas > 0){
				Ponto = Busca.indexOf('.');
				CasaDec = Busca.slice(0,parseInt(Casas)) + '.';
				Busca = CasaDec + Busca.slice(parseInt(Casas));
				Casas = parseInt(Casas) - parseInt(3);
		}
	}	
	
	return Busca;
}

//*****************************************************************************************************************************
function validarCampos(formulario){
			for (i=0;i<formulario.length;i++) {
				var tempobj = formulario.elements[i];
				obrigatorio = eval(tempobj.getAttribute('obrigatorio'));
				nome_campo  = tempobj.getAttribute('nome_exibicao');
				if(obrigatorio == null) { obrigatorio = false }
				if(obrigatorio==true){
					if (ConsisteCampoBranco(tempobj.value) == true){
						alert("Voc esqueceu de informar o campo \""+ nome_campo +"\".");
						tempobj.focus();
						return false;
					}
				}
			}
			return true;
}

/******************************************************************************************************************************/
/******************************************************************************************************************************/
// JavaScript MASCARAS
Mascaras = {
IsIE: navigator.appName.toLowerCase().indexOf('microsoft')!=-1,
AZ: /[A-Z]/i,
Acentos: /[-]/i,
Num: /[0-9]/,
carregar: function(parte){
 var Tags = ['input','textarea'];
 if (typeof parte == "undefined") parte = document;
 for(var z=0;z<Tags.length;z++){
  Inputs=parte.getElementsByTagName(Tags[z]);
  for(var i=0;i<Inputs.length;i++)
   if(('button,image,hidden,submit,reset').indexOf(Inputs[i].type.toLowerCase())==-1)
    this.aplicar(Inputs[i]);
 }
},
aplicar: function(campo){
 tipo = campo.getAttribute('tipo');
 if (!tipo || campo.type == "select-one") return;
 orientacao = campo.getAttribute('orientacao');
 mascara = campo.getAttribute('mascara');
 
  if(tipo.toLowerCase() == "numerico" && eval(campo.getAttribute('negativo'))){
	orientacao = "esquerda";
	tamanho = campo.getAttribute('maxLength');
	if (!tamanho || tamanho > 50)
	 tamanho = 12;

	if(!mascara)
	campo.setAttribute("mascara", this.geraMascaraNumerico(tamanho));
	campo.setAttribute("orientacao", orientacao);
 }
 if (tipo.toLowerCase() == "decimal"){
  orientacao = "esquerda";
  casasdecimais = campo.getAttribute('casasdecimais');
  tamanho = campo.getAttribute('maxLength');
  if (!tamanho || tamanho > 50)
   tamanho = 12;
  if (!casasdecimais)
   casasdecimais = 2;

  campo.setAttribute("mascara", this.geraMascaraDecimal(tamanho, casasdecimais));
  campo.setAttribute("orientacao", orientacao);
 }
 if (orientacao && orientacao.toLowerCase() == "esquerda") campo.style.textAlign = "right";
 if (mascara) campo.setAttribute("maxLength", mascara.length);
 if (tipo){
//  campo.onkeypress 	= function(e){ return Mascaras.onkeypress(e?e:event); };
  campo.onkeydown 	= function(e){ return Mascaras.onkeydown(e?e:event); };
  campo.onkeyup 	= function(e){ Mascaras.onkeyup(e?e:event, campo) };
  if(eval(campo.getAttribute('cpfcnpj'))) {
  		campo.onfocus		= function(e){ Mascaras.onfocus(e?e:event, campo) };
  }
  campo.onfocusout 	= function(e){ Mascaras.onfocusout(e?e:event, campo) };
 }
 campo.setAttribute("snegativo", ((campo.value).substr(0,1) == "-" ? "s" : "n"));
},
onkeydown: function(e){
 KeyCode = this.IsIE ? event.keyCode : e.which;
 if (KeyCode == 9) return true;
 campo =  this.IsIE ? event.srcElement : e.target;

 campo.setAttribute("snegativo", ((campo.value).substr(0,1) == "-" ? "s" : "n"));
 readonly = campo.getAttribute('readonly');
 tipo = campo.getAttribute('tipo').toLowerCase();
 
 if (readonly) return;
 maxlength = campo.getAttribute('maxlength');
 selecao = this.selecao(campo);
 if (selecao.length > 0 && KeyCode != 0){
  campo.value = ""; return true;
 }
 if (KeyCode == 0) return true;
 var Char = "";

 if((KeyCode < 96 || KeyCode > 105) && (KeyCode != 109 && KeyCode != 189)){
 Char = String.fromCharCode(KeyCode);
 }
 else{
	 switch(KeyCode){ 
	 case 96: 
		Char = "0";
		break;
	 case 97: 
	 	Char = "1";
		break;
	 case 98: 
	 	Char = "2";
		break;
	 case 99: 
	 	Char = "3";
		break;
	 case 100: 
	 	Char = "4";
		break;
	 case 101: 
	 	Char = "5";
		break;
	 case 102: 
	 	Char = "6";
		break;
	 case 103: 
	 	Char = "7";
		break;
	 case 104: 
	 	Char = "8";
		break;
	 case 105: 
	 	Char = "9";
		break;
	 case 109:
	 	Char = "-";
	 	break;
	 case 189:
	 	Char = "-";
	 	break;
	 
	 }
 }

 valor = campo.value;
 mascara = campo.getAttribute('mascara');
 if (KeyCode != 8){
  negativo = eval(campo.getAttribute('negativo'));
  if(negativo && KeyCode == 45){
   snegativo = campo.getAttribute('snegativo');
   snegativo = (snegativo == "s" ? "n" : "s");
   campo.setAttribute("snegativo", snegativo);
  }else{
   if(Char != "-") valor += Char
   
   if ((tipo == "numerico" || tipo == "decimal") && (Char.search(this.Num) == -1 || Char == "-")) {

      if(Char == "-") {
      	if(valor.indexOf("-") >-1) valor = valor.replace("-", "");
      	else valor = "-" + valor;
      	
      } else return false;
   }
   if (KeyCode != 32 && tipo == "caracter" && Char.search(this.AZ) == -1 && Char.search(this.Acentos) == -1) return false;
  }
 }
 if (tipo == "decimal"){
		this.formatValue(campo, valor);
		valor = campo.value;
		this.aplicarMascara(campo, valor);
		return false;
 }else{
	 if (mascara){
	  this.aplicarMascara(campo, valor);
	  return false;
	 }
 }
 return true;
},
onkeyup: function(e, campo){
 KeyCode = this.IsIE ? event.keyCode : e.which;
 if (KeyCode != 9 && KeyCode != 16 && KeyCode != 109){
	  valor = campo.value;
	
	  if (KeyCode == 8) valor = valor.substr(0,valor.length-1);
	
	  if (tipo == "decimal" && campo.value !=""){
	   this.formatValue(campo, valor);
	   valor = campo.value;
	  } 
	  
	  this.aplicarMascara(campo, valor);
 }
},
onfocus: function(e, campo){
  valor = campo.value;
	valor = ReplaceAll(valor,".","");
	valor = ReplaceAll(valor,"-","");
	valor = ReplaceAll(valor,"/","");

	campo.setAttribute("mascara","##############");
	this.aplicarMascara(campo, valor);
	campo.focus();
},
onfocusout: function(e, campo){
  cpfcnpj = eval(campo.getAttribute('cpfcnpj'));
  if(cpfcnpj){
	  tamanho = campo.getAttribute('maxLength');
		if(valor.length == 11){
		  campo.setAttribute("mascara","###.###.###-##");
		}
		if(valor.length == 14){
		  campo.setAttribute("mascara","##.###.###/####-##");
		}
		this.aplicarMascara(campo, valor);
  }
},
aplicarMascara: function(campo, valor){
 mascara = campo.getAttribute('mascara');
 if (!mascara) return;

//  snegativo = campo.getAttribute('snegativo');

var snegativo = 'n';

negativo = eval(campo.getAttribute('negativo'));
if(valor.indexOf("-") > -1) snegativo = 's';

 valor = valor.replace("-","");
  
 orientacao = campo.getAttribute('orientacao');
 var i = 0;
 for(i=0;i<mascara.length;i++){
  caracter = mascara.substr(i,1);
  if (caracter != "#") valor = valor.replace(caracter, "");
 }
 retorno = "";
 if (orientacao != "esquerda"){
  contador = 0;
  for(i=0;i<mascara.length;i++){
   caracter = mascara.substr(i,1);
   if (caracter == "#"){
    retorno += valor.substr(contador,1);
    contador++;
   }else
    retorno += caracter;
   if(contador >= valor.length) break;
  }
 }else{
  contador = valor.length-1;
  for(i=mascara.length-1;i>=0;i--){
   if(contador < 0) break;
   caracter = mascara.substr(i,1);
   if (caracter == "#"){
    retorno = valor.substr(contador,1) + retorno;
    contador--;
   }else
    retorno = caracter + retorno;
  }
 }
 
 // alert(campo.getAttribute("tttt"))
 // alert(snegativo)
 if (snegativo == "s" && negativo) retorno = "-" + retorno;
 
 campo.value = retorno;
},
geraMascaraDecimal: function(tam, decimais){
 var retorno = ""; var contador = 0; var i = 0;
 decimais = parseInt(decimais);
 for (i=0;i<(tam-(decimais+1));i++){
  retorno = "#" + retorno;
  contador++;
  if (contador == 3){
   retorno = "." + retorno;
   contador=0;
  }
 }
 retorno = retorno + ",";
 for (i=0;i<decimais;i++) retorno += "#";
 return retorno;
},
geraMascaraNumerico: function(tam){
 var retorno = ""; var i = 0;
 for (i=0;i<tam;i++){
  retorno = "#" + retorno;
 }
 return retorno;
},
selecao: function(campo){
 if (this.IsIE)
  return document.selection.createRange().text;
 else
  return (campo.value).substr(campo.selectionStart, (campo.selectionEnd - campo.selectionStart));
},
formatValue: function(campo, num) {
decimal = campo.getAttribute("casasdecimais");
fator = "1"
for (var i=0; i<decimal; i++){
fator = fator + "0";
}

var ehNegativo = false;
if(num.indexOf("-") > -1) ehNegativo = true;

valor = valor.replace("-", "");

while(num.indexOf(".") != -1)
  num = num.replace(".","")
num = num.replace(",","")
num = (num/fator)
	
num = num.toString().replace(/\$|\,/g,'');
if(isNaN(num))
num = "0";
sign = (num == (num = Math.abs(num)));
num = Math.floor(num*fator+0.50000000001);
cents = num%fator;
num = Math.floor(num/fator).toString();
cents = cents.toString()

for (var i=0; i<=decimal; i++)
	if(cents.length < decimal) cents = "0" + cents;

for (var i=0; i < Math.floor((num.length-(1+i))/3); i++)
num = num.substring(0,num.length-(4*i+3)) +'.'+ num.substring(num.length-(4*i+3));

// campo.value = (((sign)?'':'-') + num + ',' + cents);
if(ehNegativo)
	campo.value = "-" + num + ',' + cents;
else
	campo.value = num + ',' + cents;
}

};
//***************************************************************************************
function fMunicipio(lk, campos)
{
	// Procurando pelo index do campo
	var tmp = document.getElementsByName(lk.name);
	var i = 0;

	for(i = 0; i < tmp.length; i++) {
		if(tmp[i]==lk) break;
	}
	
	url = "includes/municipioCon.asp?campos=" + campos + "&posicao=" + i;
	window.open(url,"BuscaCidade","scrollbars=yes,height=300,width=600,left=100,screenX=100,top=100,screenY=100");
}

//***************************************************************************************
function fBairro(lk, cidadeName, campos)
{
	
	// Procurando pelo index do campo
	var tmp = $name(lk.name);
	var i = 0;

	for(i = 0; i < tmp.length; i++) {
		if(tmp[i]==lk) break;
	}
	
	var Cidade = $name(cidadeName)[i].value;
	
	if (Cidade=="")
	{
		 alert(" necessrio selecionar a cidade antes.");
		 return;
	}
	
	url = "includes/BairroCon.asp?A004_cod_cidade=" + Cidade + "&campos="+campos + "&posicao=" + i;
	window.open(url,"BuscaBairro","scrollbars=yes,height=300,width=600,left=100,screenX=100,top=100,screenY=100");
}


//***************************************************************************************
function fEmpresa(NomEmpresa,CodEmpresaFil, campos, pasta)
{
	if (pasta == "")
	pasta = "../includes/"
	// campos = COD_PAIS;NOM_PAIS;SGL_ESTAGO;COD_CIDADE;NOM_CIDADE;
	//"&A005_nom_bairro="+form1.A005_nom_bairro.value
	url = pasta+"EmpresaCon.asp?A007_nom_empresa="+NomEmpresa+"&A007_cod_empresa_fil="+CodEmpresaFil+"&campos="+campos;
	window.open(url,"BuscaEmpresa","scrollbars=yes,height=300,width=600,left=100,screenX=100,top=100,screenY=100");
}

//***************************************************************************************
function fFuncao(cod_cbo, nom_funcao, campos, pasta)
{
	if (pasta == "")
	pasta = "../includes/"	
	url = pasta+"funcaoCon.asp?A014_cod_cbo="+cod_cbo+"&A014_nom_funcao="+nom_funcao+"&campos="+campos;
	window.open(url,"BuscaFuncao","scrollbars=yes,height=300,width=600,left=100,screenX=100,top=100,screenY=100");
}

//***************************************************************************************
function fParceiro(NomParceiro,CodParceiro, campos, pasta)
{
	if (pasta == "")
	pasta = "../includes/"
	url = pasta+"Parceiro_PopCon.asp?A082_nome_parceiro="+NomParceiro+"&A082_cod_parceiro="+CodParceiro+"&campos="+campos;
	window.open(url,"BuscaParceiro","scrollbars=yes,height=300,width=600,left=100,screenX=100,top=100,screenY=100");
}

//*******************************************************************************
//BuscaCEP(A018_cep,A018_nom_lograd,A018_nom_bairro,A004_cod_cidade)
function fBuscaCEP(campo, campoCep, campoCidade, campoLogradouro, campoBairro, todosCampos) {
	
	var campos = $name(campo.name);
	var pos = fieldIndex(campos, campo);
	
	if (ConsisteCampoBranco($name(campoCidade)[pos]) && ConsisteCampoBranco($name(campoCep)[pos].value) ) {
		 $name(campoCidade)[pos].focus();
		 alert("Selecione a cidade antes!");
		 return;
	}

	var CEP = $name(campoCep)[pos].value.replace("-","");
	url = "includes/CEPCon.asp?posicao=" + (pos+"") + "&A006_num_cep="+CEP+"&A006_nom_logradouro=" + $name(campoLogradouro)[pos].value + "&A005_nom_bairro=" + $name(campoBairro)[pos].value + "&A004_cod_cidade=" + $name(campoCidade)[pos].value + "&CAMPOS="+todosCampos;
	window.open(url,"","scrollbars=yes,height=300,width=600,left=100,screenX=100,top=100,screenY=100");
}

function fconsultaCEP(CEP,LOGRADOURO,BAIRRO,CIDADE,CAMPOS,pasta) 
{
	CEP = CEP.replace("-","");
	url = pasta+"CEPCon.asp?A006_num_cep="+CEP+"&A006_nom_logradouro="+LOGRADOURO+"&A005_nom_bairro="+BAIRRO+"&A004_cod_cidade="+CIDADE+"&CAMPOS="+CAMPOS;
	window.open(url,"","scrollbars=yes,height=300,width=600,left=100,screenX=100,top=100,screenY=100");
}

//*******************************************************************************
function fPreencheCEP(CEP,LOGRADOURO,NOM_LOGRADOURO,BAIRRO,NOM_BAIRRO,CIDADE,NOM_CIDADE,ESTADO,PAIS,NOM_PAIS,CAMPOS, posicao)
{	
	CAMPOS = CAMPOS.split(";"); 
	if (eval(opener.document.getElementsByName(CAMPOS[0])[posicao])){ opener.document.getElementsByName(CAMPOS[0])[posicao].value = PAIS;}
	if (eval(opener.document.getElementsByName(CAMPOS[1])[posicao])){ opener.document.getElementsByName(CAMPOS[1])[posicao].value = NOM_PAIS;}
	if (eval(opener.document.getElementsByName(CAMPOS[2])[posicao])){ opener.document.getElementsByName(CAMPOS[2])[posicao].value = ESTADO;}
	if (eval(opener.document.getElementsByName(CAMPOS[3])[posicao])){ opener.document.getElementsByName(CAMPOS[3])[posicao].value = CIDADE;}
	if (eval(opener.document.getElementsByName(CAMPOS[4])[posicao])){ opener.document.getElementsByName(CAMPOS[4])[posicao].value = NOM_CIDADE;}
	if (eval(opener.document.getElementsByName(CAMPOS[5])[posicao])){ opener.document.getElementsByName(CAMPOS[5])[posicao].value = BAIRRO;}
	if (eval(opener.document.getElementsByName(CAMPOS[6])[posicao])){ opener.document.getElementsByName(CAMPOS[6])[posicao].value = NOM_BAIRRO; }
	if (eval(opener.document.getElementsByName(CAMPOS[7])[posicao])){ opener.document.getElementsByName(CAMPOS[7])[posicao].value = LOGRADOURO;	}
	if (eval(opener.document.getElementsByName(CAMPOS[8])[posicao])){ opener.document.getElementsByName(CAMPOS[8])[posicao].value = NOM_LOGRADOURO;}
	if (eval(opener.document.getElementsByName(CAMPOS[9])[posicao])){ opener.document.getElementsByName(CAMPOS[9])[posicao].value = CEP;}
	window.close();	
}

//busca atividades cnae
function fAtivCNAE(setor,secao,grupo,ramo,ativ)
{
	//form1.A061_cod_setor_cnae.value, form1.A062_cod_secao_cnae.value, form1.A064_cod_grupo_cnae.value, form1.A063_cod_ramo_cnae.value, form1.A065_cod_ativ_cnae.value, 'A061_cod_setor_cnae;A062_cod_secao_cnae;A064_cod_grupo_cnae;A063_cod_ramo_cnae;A065_cod_ativ_cnae;A065_dsc_ativ_cnae;'
  url = "popAtivCnaeCon.asp?A061_cod_setor_cnae="+setor+"&A062_cod_secao_cnae="+secao +"&A064_cod_grupo_cnae="+grupo +"&A063_cod_ramo_cnae="+ramo +"&A065_cod_ativ_cnae="+ativ;
  window.open(url,"","scrollbars=yes,height=300,width=600,left=100,screenX=100,top=100,screenY=100");
}

//***********************************************************************

  // Carregar Estado
  function CarregaEstado() {	
	  while(form1.A019_cod_estado.length > 0)	{
			form1.A019_cod_estado.remove(0);
		}

	  while(form1.A004_cod_cidade.length > 0) {
		  form1.A004_cod_cidade.remove(0);
	  }
		
		sURL = "popula.asp?sAcao=PopEstado&sCampo=A019_cod_estado&nA002_cod_pais=" + form1.A002_cod_pais.value ;
		self.frames["iframeOculto"].location = sURL		
	}

//*******************************************************************************


	// Carrega Cidade  
	function CarregaCidade() {				
	  while(form1.A004_cod_cidade.length > 0) {
		  form1.A004_cod_cidade.remove(0);
	  }
		sURL = "popula.asp?sAcao=PopCidade&sCampo=A004_cod_cidade&nA002_cod_pais=" + form1.A002_cod_pais.value + "&nA019_cod_estado=" + form1.A019_cod_estado.value + "&nA004_cod_cidade=" + form1.A004_cod_cidadeCons.value;
		self.frames["iframeOculto"].location = sURL		
  }



function CarregaCmb(tipo,valores,campo,where,num_iframe){
	/*while(form1.elements[campo].length > 0)	{
		form1.elements[campo].remove(0);
	}		*/
	form1.elements[campo].options.length=0;
	sURL = "Popula.asp?sAcao="+tipo;
	var aR = valores.split(",");
	if (eval(aR.length))
	{
		 for (var i=0; i<aR.length; i++)
		 {
			  sURL +="&sValor"+(i+1).toString()+"="+aR[i];
		 }
	}
	else		
	 sURL +="&sValor1="+valores;

	sURL +="&sCampo="+campo+"&sWhere="+where;
	if (eval(num_iframe))
	{
		 self.frames["iFrameOculto"+num_iframe].location = sURL		
	}
	else
 	 self.frames["iFrameOculto"].location = sURL		
}


function SetaEmpresa(codigo,dsc)
{
 if (!ConsisteCampoBranco(codigo))
 {
   parent.frames["topFrame"].document.all["Empresa"].innerHTML = "Empresa: &nbsp; "+dsc;
   parent.frames["topFrame"].document.all["Empresa"].style.display = 'inline';
 }
 else
   parent.frames["topFrame"].document.all["Empresa"].style.display = 'none';
 if (eval(document.form1))
  form1.submit();
}

function ConsisteDiaMes(str) {
if (str.length!=5 || str.charAt(2)!="/" )
    return false;
  if (ConsisteNumero(str.substring(0,2) + str.substring(3,5))==true)
    return false;


  var d = str.substring(0,2);
  var m = str.substring(3,5);
 
  if ( d==0 || m==0) return false;
  if (d>31) return false;
  if (m>12) return false;
  return true;
}

function $name(nomeCampo) {
	return document.getElementsByName(nomeCampo);
}

function $id(nomeCampo) {
	return document.getElementById(nomeCampo);
}

function parseDouble(valor) {
	return parseFloat(FormataTelaBanco(valor));
}

function len(campo) {
	return campo.length;
}

function fieldIndex(campos, campo){
	var i = 0;
	
	for(i=0; i < len(campos); i++) {
		if(campo==campos[i]) break;
	}
	
	return i;
}

function absolutePos(el) {
    var offsetLeft = 0;
    var offsetTop = 0;
  
	while (el)   {
        offsetLeft += el.offsetLeft;
        offsetTop += el.offsetTop;
        el = el.offsetParent;
    }
           
    return {x:offsetLeft, y:offsetTop};
}

function setCaretToEnd (input) {
  setSelectionRange(input, input.value.length, input.value.length);
}
function setCaretToBegin (input) {
  setSelectionRange(input, 0, 0);
}
function setCaretToPos (input, pos) {
  setSelectionRange(input, pos, pos);
}

function setSelectionRange(input, selectionStart, selectionEnd) {
  if (input.setSelectionRange) {
    input.focus();
    input.setSelectionRange(selectionStart, selectionEnd);
  }
  else if (input.createTextRange) {
    var range = input.createTextRange();
    range.collapse(true);
    range.moveEnd('character', selectionEnd);
    range.moveStart('character', selectionStart);
    range.select();
  }
}


function replaceSelection (input, replaceString) {
	
  if (input.setSelectionRange) {

    var selectionStart = input.selectionStart;
    var selectionEnd = input.selectionEnd;

	input.value = input.value.substring(0, selectionStart)
                  + replaceString
                  + input.value.substring(selectionEnd);
    if (selectionStart != selectionEnd) // has there been a selection
      setSelectionRange(input, selectionStart, selectionStart + 
replaceString.length);
    else // set caret
      setCaretToPos(input, selectionStart + replaceString.length);
  }
  else if (document.selection) {
    var range = document.selection.createRange();
    if (range.parentElement() == input) {
      var isCollapsed = range.text == '';
      range.text = replaceString;
      if (!isCollapsed)  { // there has been a selection
        //it appears range.select() should select the newly 
        //inserted text but that fails with IE
        range.moveStart('character', -replaceString.length);
        range.select();
      }
    }
  }
}


function addEvent(elm, evType, fn, useCapture)
// addEvent and removeEvent
// cross-browser event handling for IE5+,  NS6 and Mozilla
// By Scott Andrew
{
  if (elm.addEventListener){
    elm.addEventListener(evType, fn, useCapture);
    return true;
  } else if (elm.attachEvent){
    var r = elm.attachEvent("on"+evType, fn);
    return r;
  } else {
    alert("Handler could not be removed");
  }
} 


function janela(campo) {

	// Esconder?
	if(campo.src.indexOf('btn_mini.gif') > -1) {
		document.getElementById('div' + campo.name).style.display = 'none';
		campo.src = '../template/images/btn_max.gif';
	}
	// Mostrar?
	else {
		document.getElementById('div' + campo.name).style.display = '';
		campo.src = '../template/images/btn_mini.gif';
	}
}

function setDica(idDica, campo) {
	if(campo !='')
		document.getElementById(idDica).innerHTML = '&nbsp;' + campo;
	else
		document.getElementById(idDica).innerHTML = '&nbsp;';
}


function paraDecimal(valor) {

	var menos = '';
	
	if (valor < 0 ) menos = '-';
	
	valor = FormataBancoTela(valor);
	valor = valor.replace('-','');
	
	var i = valor.indexOf(",");
	
	if (i == -1) {
		valor+= ',00';
		i = valor.indexOf(",");
	}	
	
	var Decimal = valor.substring(parseInt(i)+1);
	var Inteiro = valor.substring(0, parseInt(i));

	if (Decimal.length == 1) Decimal+= '0';
	else Decimal = Decimal.substring(0,2);
		
	valor = '';
	var ponto = 0;
	
	for(i = Inteiro.length-1; i>=0; i--, ponto++) {
		
		if(ponto == 3) {	
			valor= "." + valor;
			ponto = 0;
		}
		
		valor = Inteiro.toString().substring(i,i+1) + valor;
	}
	
	
	return menos + valor + ',' + Decimal;
}

/*
var excel = null;
function excelRelatorio(titulo, conteudo){

	var tmpA = document.form1.action;
	var tmpT = document.form1.target;
	
	document.form1.HTML_areaCabecalho.value = conteudo;
	excel=window.open("","excel","height="+ (screen.height-400) +",width="+ (screen.width-100) +",left=50,top=150,resizable=yes,statusbar=no,menubar=yes,scrollbars=yes");

    document.form1.action = "includes/excel.asp?A052_titulo="+titulo;
	document.form1.target = "excel";
	document.form1.submit();
	
    document.form1.action = tmpA;
	document.form1.target = tmpT;
}
*/
//*******************************************************************************
	function HideDespesa(layerName){
		if (document.layers)
			var page = eval(document.contentLayer);
		else {
				if (document.getElementById)
					var page= eval("document.getElementById('"+layerName+"').style");
				else
				if (document.all)
					var page = eval(document.all.layerName.style);
		 }
		 
		 page.top = "0px"
		 page.left = "0px"
		 page.height = "0px"
		 page.width = "0px"
		 page.display = "none"
	}
	
//*******************************************************************************
	function ShowDespesa(obs, alinhaX, alinhaY){

		if (document.layers)
			var page = eval(document.contentLayer);
		else {
				if (document.getElementById)
					var page= eval("document.getElementById('divDespesa').style");
				else
				if (document.all)
					var page = eval(document.all.divDespesa.style);
		 }
		 
		 page.top = (document.body.scrollTop+alinhaY+5)+"px";
		 page.left = (alinhaX+5)+"px";
		 page.height = "150px"
		 page.width = "255px"
		 
		 html = "<table width='150' class='bordaFina' cellspacing='0' bgcolor='#FFFF00' cellpading='0' border='0'>"
		 html = html + "<tr><td class='form_texto'> "+obs+"</td></tr>"
		 html = html + "</table>"
		 divDespesa.innerHTML = html
		 page.display = "inline"
	}
//***************************************************************************	
function fArredonda( valor , casas )
{	
  var novo = Math.round( valor * Math.pow( 10 , casas ) ) / Math.pow( 10 , casas );
  return( novo.toString());

}

function fFormataValor2(valor)
	{		
       var menos = "";
	   if (valor < 0 ) menos = '-';
		valor = valor.replace('-','');
		  var fv_sRetorno = "0,00";
          var aux = fArredonda(valor,2);                              
		 
		  
	
	
          if (parseFloat(aux) > 0)            
          {
            fv_nPosVirgula=aux.indexOf(".");
			if (fv_nPosVirgula == -1)
			 {
			    fv_sCasasDecimais = ",00";
				fv_sRetorno = aux;
			 }	
			else
			 {  				
  				fv_nTam = eval(aux.length - fv_nPosVirgula);
				fv_sCasasDecimais = "," + aux.substring(fv_nPosVirgula+1,aux.length);
				fv_nTam = fv_sCasasDecimais.length;
				if (fv_nTam < 3) fv_sCasasDecimais = fv_sCasasDecimais + "0";												
				fv_sRetorno= aux.substring(0,fv_nPosVirgula);
			 }
			fv_sAux = fv_sRetorno;
			fv_sAux2 = "";
			fv_nTam = fv_sAux.length;
			while (fv_nTam > 3)
			{			
				fv_sAux2 = "." + fv_sAux.substring(fv_sAux.length-3,fv_sAux.length) + fv_sAux2;
				fv_sAux = fv_sAux.substring(0,fv_sAux.length-3);
				fv_nTam = fv_sAux.length;
			}			
			fv_sRetorno = fv_sAux + fv_sAux2 + fv_sCasasDecimais			
		 }
	 	 if (menos != "") 
		 return( menos + fv_sRetorno);
		 else
 		 return(fv_sRetorno);
		}


//*******************************************************************************