-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Analise_Campo
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAnalise_CampoIns')
	BEGIN
		PRINT 'Dropping Procedure spAnalise_CampoIns'
		DROP PROCEDURE spAnalise_CampoIns
	END
GO

CREATE PROCEDURE spAnalise_CampoIns (
	@codigoACa INT OUTPUT,
	@codigoFor INT,
	@codigoCpo INT,
	@codigoPos INT,
	@codigoAna INT)
AS

INSERT INTO Analise_Campo(
	codigoFor,
	codigoCpo,
	codigoPos,
	codigoAna)
VALUES (
	@codigoFor,
	@codigoCpo,
	@codigoPos,
	@codigoAna)

SET @codigoACa = @@IDENTITY

GO