-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Analise_Campo
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAnalise_CampoSel')
	BEGIN
		PRINT 'Dropping Procedure spAnalise_CampoSel'
		DROP PROCEDURE spAnalise_CampoSel
	END
GO

CREATE PROCEDURE spAnalise_CampoSel (
	@codigoACa INT = null,
	@codigoFor INT = null,
	@codigoCpo INT = null,
	@codigoPos INT = null,
	@codigoAna INT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoACa,
		codigoFor,
		codigoCpo,
		codigoPos,
		codigoAna
	FROM Analise_Campo
	WHERE 1 = 1'

IF (@codigoACa IS NOT NULL)
	SET @sql = @sql + ' AND codigoACa = ' + CONVERT(VARCHAR,@codigoACa)

IF (@codigoFor IS NOT NULL)
	SET @sql = @sql + ' AND codigoFor = ' + CONVERT(VARCHAR,@codigoFor)

IF (@codigoCpo IS NOT NULL)
	SET @sql = @sql + ' AND codigoCpo = ' + CONVERT(VARCHAR,@codigoCpo)

IF (@codigoPos IS NOT NULL)
	SET @sql = @sql + ' AND codigoPos = ' + CONVERT(VARCHAR,@codigoPos)

IF (@codigoAna IS NOT NULL)
	SET @sql = @sql + ' AND codigoAna = ' + CONVERT(VARCHAR,@codigoAna)

PRINT(@sql)
EXECUTE(@sql)

GO