-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Analise_Funcionalidade
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAnalise_FuncionalidadeIns')
	BEGIN
		PRINT 'Dropping Procedure spAnalise_FuncionalidadeIns'
		DROP PROCEDURE spAnalise_FuncionalidadeIns
	END
GO

CREATE PROCEDURE spAnalise_FuncionalidadeIns (
	@codigoAFu INT OUTPUT,
	@codigoAna INT,
	@codigoFun INT)
AS

INSERT INTO Analise_Funcionalidade(
	codigoAna,
	codigoFun)
VALUES (
	@codigoAna,
	@codigoFun)

SET @codigoAFu = @@IDENTITY

GO