-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Analise_Funcionalidade
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAnalise_FuncionalidadeSel')
	BEGIN
		PRINT 'Dropping Procedure spAnalise_FuncionalidadeSel'
		DROP PROCEDURE spAnalise_FuncionalidadeSel
	END
GO

CREATE PROCEDURE spAnalise_FuncionalidadeSel (
	@codigoAFu INT = null,
	@codigoAna INT = null,
	@codigoFun INT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoAFu,
		codigoAna,
		codigoFun
	FROM Analise_Funcionalidade
	WHERE 1 = 1'

IF (@codigoAFu IS NOT NULL)
	SET @sql = @sql + ' AND codigoAFu = ' + CONVERT(VARCHAR,@codigoAFu)

IF (@codigoAna IS NOT NULL)
	SET @sql = @sql + ' AND codigoAna = ' + CONVERT(VARCHAR,@codigoAna)

IF (@codigoFun IS NOT NULL)
	SET @sql = @sql + ' AND codigoFun = ' + CONVERT(VARCHAR,@codigoFun)

PRINT(@sql)
EXECUTE(@sql)

GO