-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: AreaSite
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAreaSiteIns')
	BEGIN
		PRINT 'Dropping Procedure spAreaSiteIns'
		DROP PROCEDURE spAreaSiteIns
	END
GO

CREATE PROCEDURE spAreaSiteIns (
	@codigoASi INT OUTPUT,
	@areaSiteMaeASi INT,
	@nomeASi VARCHAR(50),
	@urlASi VARCHAR(100),
	@menuASi BIT,
	@descricaoASi VARCHAR(250),
	@helpASi TEXT)
AS

INSERT INTO AreaSite(
	areaSiteMaeASi,
	nomeASi,
	urlASi,
	menuASi,
	descricaoASi,
	helpASi)
VALUES (
	@areaSiteMaeASi,
	@nomeASi,
	@urlASi,
	@menuASi,
	@descricaoASi,
	@helpASi)

SET @codigoASi = @@IDENTITY

GO