-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: AreaSite
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAreaSiteSel')
	BEGIN
		PRINT 'Dropping Procedure spAreaSiteSel'
		DROP PROCEDURE spAreaSiteSel
	END
GO

CREATE PROCEDURE spAreaSiteSel (
	@codigoASi INT = null,
	@areaSiteMaeASi INT = null,
	@nomeASi VARCHAR(50) = null,
	@urlASi VARCHAR(100) = null,
	@menuASi BIT = null,
	@descricaoASi VARCHAR(250) = null,
	@helpASi TEXT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoASi,
		areaSiteMaeASi,
		nomeASi,
		urlASi,
		menuASi,
		descricaoASi,
		helpASi
	FROM AreaSite
	WHERE 1 = 1'

IF (@codigoASi IS NOT NULL)
	SET @sql = @sql + ' AND codigoASi = ' + CONVERT(VARCHAR,@codigoASi)

IF (@areaSiteMaeASi IS NOT NULL)
	SET @sql = @sql + ' AND areaSiteMaeASi = ' + CONVERT(VARCHAR,@areaSiteMaeASi)

IF (@nomeASi IS NOT NULL)
	SET @sql = @sql + ' AND nomeASi LIKE ''%' + @nomeASi + '%'''

IF (@urlASi IS NOT NULL)
	SET @sql = @sql + ' AND urlASi LIKE ''%' + @urlASi + '%'''

IF (@menuASi IS NOT NULL)
	SET @sql = @sql + ' AND menuASi = ' + CONVERT(VARCHAR,@menuASi)

IF (@descricaoASi IS NOT NULL)
	SET @sql = @sql + ' AND descricaoASi LIKE ''%' + @descricaoASi + '%'''

IF (@helpASi IS NOT NULL)
	SET @sql = @sql + ' AND helpASi = ' + CONVERT(VARCHAR,@helpASi)

PRINT(@sql)
EXECUTE(@sql)

GO