-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: AreaSite
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAreaSiteUpd')
	BEGIN
		PRINT 'Dropping Procedure spAreaSiteUpd'
		DROP PROCEDURE spAreaSiteUpd
	END
GO

CREATE PROCEDURE spAreaSiteUpd (
	@codigoASi INT,
	@areaSiteMaeASi INT,
	@nomeASi VARCHAR(50),
	@urlASi VARCHAR(100),
	@menuASi BIT,
	@descricaoASi VARCHAR(250),
	@helpASi TEXT)
AS

UPDATE AreaSite SET 
	areaSiteMaeASi = @areaSiteMaeASi,
	nomeASi = @nomeASi,
	urlASi = @urlASi,
	menuASi = @menuASi,
	descricaoASi = @descricaoASi,
	helpASi = @helpASi
WHERE codigoASi = @codigoASi

GO