-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Atributo
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAtributoIns')
	BEGIN
		PRINT 'Dropping Procedure spAtributoIns'
		DROP PROCEDURE spAtributoIns
	END
GO

CREATE PROCEDURE spAtributoIns (
	@codigoAtr INT OUTPUT,
	@codigoIte INT,
	@nomeAtr VARCHAR(50),
	@valorAtr VARCHAR(50))
AS

INSERT INTO Atributo(
	codigoIte,
	nomeAtr,
	valorAtr)
VALUES (
	@codigoIte,
	@nomeAtr,
	@valorAtr)

SET @codigoAtr = @@IDENTITY

GO