-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Atributo
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spAtributoSel')
	BEGIN
		PRINT 'Dropping Procedure spAtributoSel'
		DROP PROCEDURE spAtributoSel
	END
GO

CREATE PROCEDURE spAtributoSel (
	@codigoAtr INT = null,
	@codigoIte INT = null,
	@nomeAtr VARCHAR(50) = null,
	@valorAtr VARCHAR(50) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoAtr,
		codigoIte,
		nomeAtr,
		valorAtr
	FROM Atributo
	WHERE 1 = 1'

IF (@codigoAtr IS NOT NULL)
	SET @sql = @sql + ' AND codigoAtr = ' + CONVERT(VARCHAR,@codigoAtr)

IF (@codigoIte IS NOT NULL)
	SET @sql = @sql + ' AND codigoIte = ' + CONVERT(VARCHAR,@codigoIte)

IF (@nomeAtr IS NOT NULL)
	SET @sql = @sql + ' AND nomeAtr LIKE ''%' + @nomeAtr + '%'''

IF (@valorAtr IS NOT NULL)
	SET @sql = @sql + ' AND valorAtr LIKE ''%' + @valorAtr + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO