-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Campanha_Funcionalidade
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spCampanha_FuncionalidadeSel')
	BEGIN
		PRINT 'Dropping Procedure spCampanha_FuncionalidadeSel'
		DROP PROCEDURE spCampanha_FuncionalidadeSel
	END
GO

CREATE PROCEDURE spCampanha_FuncionalidadeSel (
	@codigoCFu INT = null,
	@codigoFun INT = null,
	@codigoCam INT = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoCFu,
		codigoFun,
		codigoCam
	FROM Campanha_Funcionalidade
	WHERE 1 = 1'

IF (@codigoCFu IS NOT NULL)
	SET @sql = @sql + ' AND codigoCFu = ' + CONVERT(VARCHAR,@codigoCFu)

IF (@codigoFun IS NOT NULL)
	SET @sql = @sql + ' AND codigoFun = ' + CONVERT(VARCHAR,@codigoFun)

IF (@codigoCam IS NOT NULL)
	SET @sql = @sql + ' AND codigoCam = ' + CONVERT(VARCHAR,@codigoCam)

PRINT(@sql)
EXECUTE(@sql)

GO