-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Consumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spConsumidorIns')
	BEGIN
		PRINT 'Dropping Procedure spConsumidorIns'
		DROP PROCEDURE spConsumidorIns
	END
GO

CREATE PROCEDURE spConsumidorIns (
	@codigoCon INT OUTPUT,
	@nomeCon VARCHAR(250),
	@cpfCnpjCon VARCHAR(50),
	@docIdentificacaoCon VARCHAR(50),
	@sexoCon CHAR(1),
	@dataNascimentoCon DATETIME,
	@tipoPessoaCon CHAR(1))
AS

INSERT INTO Consumidor(
	nomeCon,
	cpfCnpjCon,
	docIdentificacaoCon,
	sexoCon,
	dataNascimentoCon,
	tipoPessoaCon)
VALUES (
	@nomeCon,
	@cpfCnpjCon,
	@docIdentificacaoCon,
	@sexoCon,
	@dataNascimentoCon,
	@tipoPessoaCon)

SET @codigoCon = @@IDENTITY

GO