-- ***************************************************************************************************************************************************
-- Autor..............: Jesiel Sopzak Campos
-- Data...............: 27/11/2008
-- Classe do sistema..: DashBoard
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spDashBoardIns')
	BEGIN
		PRINT 'Dropping Procedure spDashBoardIns'
		DROP PROCEDURE spDashBoardIns
	END
GO

CREATE PROCEDURE spDashBoardIns (
	@codigoDashBoard INT OUTPUT,
	@codigoLoj int,
	@funcao varchar(1),
	@dtaInicial datetime,
	@dtaFinal datetime,
	@vlrMin money = null,
	@vlrMax money = null,
	@periodicidade varchar(1) = null,
	@tipoGrafico varchar(30)
	)
AS

INSERT INTO DashBoard(
	codigoLoj
	,funcao
	,dtaInicial
	,dtaFinal
	,vlrMin
	,vlrMax
	,periodicidade
	,tipoGrafico
	)
VALUES (
	@codigoLoj
	,@funcao
	,@dtaInicial
	,@dtaFinal
	,@vlrMin
	,@vlrMax
	,@periodicidade
	,@tipoGrafico
	)

SET @codigoDashBoard = @@IDENTITY

GO