-- ***************************************************************************************************************************************************
-- Autor..............: Jesiel Sopzak Campos
-- Data...............: 27/11/2008
-- Classe do sistema..: DashBoard
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spDashBoardSel')
	BEGIN
		PRINT 'Dropping Procedure spDashBoardSel'
		DROP PROCEDURE spDashBoardSel
	END
GO

CREATE PROCEDURE spDashBoardSel (
	@codigoDashBoard INT = null,
	@codigoLoj int = null,
	@funcao varchar(1) = null,
	@dtaInicial datetime = null,
	@dtaFinal datetime = null,
	@vlrMin money = null,
	@vlrMax money = null,
	@periodicidade varchar(1) = null,
	@tipoGrafico varchar(30) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT *
	FROM DashBoard
	WHERE 1 = 1'

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)
	
IF (@codigoDashBoard IS NOT NULL)
	SET @sql = @sql + ' AND codigoDashBord = ' + CONVERT(VARCHAR,@codigoDashBoard)

IF (@funcao IS NOT NULL)
	SET @sql = @sql + ' AND funcao LIKE ''%' + @funcao + '%'''
	
PRINT(@sql)
EXECUTE(@sql)

GO