-- ***************************************************************************************************************************************************
-- Autor..............: Jesiel Sopzak Campos
-- Data...............: 27/11/2008
-- Classe do sistema..: DashBoard
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spDashBoardUpd')
	BEGIN
		PRINT 'Dropping Procedure spDashBoardUpd'
		DROP PROCEDURE spDashBoardUpd
	END
GO

CREATE PROCEDURE spDashBoardUpd (
	@codigoDashBord INT OUTPUT,
	@codigoLoj int,
	@funcao varchar(1),
	@dtaInicial datetime,
	@dtaFinal datetime,
	@vlrMin money = null,
	@vlrMax money = null,
	@periodicidade varchar(1) = null,
	@tipoGrafico varchar(30)
	)
AS

UPDATE DashBoard SET 
	codigoLoj = @codigoLoj
	,funcao = @funcao
	,dtaInicial = @dtaInicial
	,dtaFinal = @dtaFinal
	,vlrMin = @vlrMin
	,vlrMax = @vlrMax
	,periodicidade = @periodicidade
	,tipoGrafico = @tipoGrafico
WHERE codigoDashBord = @codigoDashBord

GO