-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Departamento
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spDepartamentoSel')
	BEGIN
		PRINT 'Dropping Procedure spDepartamentoSel'
		DROP PROCEDURE spDepartamentoSel
	END
GO

CREATE PROCEDURE spDepartamentoSel (
	@codigoDep INT = null,
	@codigoLoj INT = null,
	@referenciaDep VARCHAR(50) = null,
	@nomeDep VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoDep,
		codigoLoj,
		referenciaDep,
		nomeDep
	FROM Departamento
	WHERE 1 = 1'

IF (@codigoDep IS NOT NULL)
	SET @sql = @sql + ' AND codigoDep = ' + CONVERT(VARCHAR,@codigoDep)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@referenciaDep IS NOT NULL)
	SET @sql = @sql + ' AND referenciaDep LIKE ''%' + @referenciaDep + '%'''

IF (@nomeDep IS NOT NULL)
	SET @sql = @sql + ' AND nomeDep LIKE ''%' + @nomeDep + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO