-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Departamento
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spDepartamentoUpd')
	BEGIN
		PRINT 'Dropping Procedure spDepartamentoUpd'
		DROP PROCEDURE spDepartamentoUpd
	END
GO

CREATE PROCEDURE spDepartamentoUpd (
	@codigoDep INT,
	@codigoLoj INT,
	@referenciaDep VARCHAR(50),
	@nomeDep VARCHAR(100))
AS

UPDATE Departamento SET 
	codigoLoj = @codigoLoj,
	referenciaDep = @referenciaDep,
	nomeDep = @nomeDep
WHERE codigoDep = @codigoDep

GO