-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: EmpresaMarketing
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spEmpresaMarketingIns')
	BEGIN
		PRINT 'Dropping Procedure spEmpresaMarketingIns'
		DROP PROCEDURE spEmpresaMarketingIns
	END
GO

CREATE PROCEDURE spEmpresaMarketingIns (
	@codigoEMa INT OUTPUT,
	@codigoEnd INT,
	@nomeEMa VARCHAR(250),
	@cnpjEMa VARCHAR(20),
	@inscEstadualEMa VARCHAR(20),
	@razaoSocialEMa VARCHAR(100),
	@telefoneEMa VARCHAR(20),
	@emailEMa VARCHAR(100))
AS

INSERT INTO EmpresaMarketing(
	codigoEnd,
	nomeEMa,
	cnpjEMa,
	inscEstadualEMa,
	razaoSocialEMa,
	telefoneEMa,
	emailEMa)
VALUES (
	@codigoEnd,
	@nomeEMa,
	@cnpjEMa,
	@inscEstadualEMa,
	@razaoSocialEMa,
	@telefoneEMa,
	@emailEMa)

SET @codigoEMa = @@IDENTITY

GO