-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Endereco
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spEnderecoUpd')
	BEGIN
		PRINT 'Dropping Procedure spEnderecoUpd'
		DROP PROCEDURE spEnderecoUpd
	END
GO

CREATE PROCEDURE spEnderecoUpd (
	@codigoEnd INT,
	@logradouroEnd VARCHAR(250),
	@numeroEnd VARCHAR(20),
	@complementoEnd VARCHAR(40),
	@bairroEnd VARCHAR(100),
	@municipioEnd VARCHAR(100),
	@ufEnd VARCHAR(20),
	@cepEnd VARCHAR(8),
	@regiaoEnd VARCHAR(100),
	@paisEnd VARCHAR(100),
	@caixaPostalEnd VARCHAR(20))
AS

UPDATE Endereco SET 
	logradouroEnd = @logradouroEnd,
	numeroEnd = @numeroEnd,
	complementoEnd = @complementoEnd,
	bairroEnd = @bairroEnd,
	municipioEnd = @municipioEnd,
	ufEnd = @ufEnd,
	cepEnd = @cepEnd,
	regiaoEnd = @regiaoEnd,
	paisEnd = @paisEnd,
	caixaPostalEnd = @caixaPostalEnd
WHERE codigoEnd = @codigoEnd

GO