-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Formato
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spFormatoSel')
	BEGIN
		PRINT 'Dropping Procedure spFormatoSel'
		DROP PROCEDURE spFormatoSel
	END
GO

CREATE PROCEDURE spFormatoSel (
	@codigoFor INT = null,
	@nomeFor VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoFor,
		nomeFor
	FROM Formato
	WHERE 1 = 1'

IF (@codigoFor IS NOT NULL)
	SET @sql = @sql + ' AND codigoFor = ' + CONVERT(VARCHAR,@codigoFor)

IF (@nomeFor IS NOT NULL)
	SET @sql = @sql + ' AND nomeFor LIKE ''%' + @nomeFor + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO