-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: HistoricoPedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spHistoricoPedidoIns')
	BEGIN
		PRINT 'Dropping Procedure spHistoricoPedidoIns'
		DROP PROCEDURE spHistoricoPedidoIns
	END
GO

CREATE PROCEDURE spHistoricoPedidoIns (
	@codigoHPe INT OUTPUT,
	@codigoPed INT,
	@codigoPPe INT,
	@statusLojaHPe VARCHAR(250),
	@statusConsumidorHPe VARCHAR(250),
	@dataAlteracaoHPe DATETIME)
AS

INSERT INTO HistoricoPedido(
	codigoPed,
	codigoPPe,
	statusLojaHPe,
	statusConsumidorHPe,
	dataAlteracaoHPe)
VALUES (
	@codigoPed,
	@codigoPPe,
	@statusLojaHPe,
	@statusConsumidorHPe,
	@dataAlteracaoHPe)

SET @codigoHPe = @@IDENTITY

GO