-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: HistoricoPedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spHistoricoPedidoUpd')
	BEGIN
		PRINT 'Dropping Procedure spHistoricoPedidoUpd'
		DROP PROCEDURE spHistoricoPedidoUpd
	END
GO

CREATE PROCEDURE spHistoricoPedidoUpd (
	@codigoHPe INT,
	@codigoPed INT,
	@codigoPPe INT,
	@statusLojaHPe VARCHAR(250),
	@statusConsumidorHPe VARCHAR(250),
	@dataAlteracaoHPe DATETIME)
AS

UPDATE HistoricoPedido SET 
	codigoPed = @codigoPed,
	codigoPPe = @codigoPPe,
	statusLojaHPe = @statusLojaHPe,
	statusConsumidorHPe = @statusConsumidorHPe,
	dataAlteracaoHPe = @dataAlteracaoHPe
WHERE codigoHPe = @codigoHPe

GO