-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Item
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spItemIns')
	BEGIN
		PRINT 'Dropping Procedure spItemIns'
		DROP PROCEDURE spItemIns
	END
GO

CREATE PROCEDURE spItemIns (
	@codigoIte INT OUTPUT,
	@codigoLoj INT,
	@referenciaIte VARCHAR(50),
	@primNomeIte VARCHAR(100),
	@nomeIte VARCHAR(100))
AS

INSERT INTO Item(
	codigoLoj,
	referenciaIte,
	primNomeIte,
	nomeIte)
VALUES (
	@codigoLoj,
	@referenciaIte,
	@primNomeIte,
	@nomeIte)

SET @codigoIte = @@IDENTITY

GO