-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Item
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spItemUpd')
	BEGIN
		PRINT 'Dropping Procedure spItemUpd'
		DROP PROCEDURE spItemUpd
	END
GO

CREATE PROCEDURE spItemUpd (
	@codigoIte INT,
	@codigoLoj INT,
	@referenciaIte VARCHAR(50),
	@primNomeIte VARCHAR(100),
	@nomeIte VARCHAR(100))
AS

UPDATE Item SET 
	codigoLoj = @codigoLoj,
	referenciaIte = @referenciaIte,
	primNomeIte = @primNomeIte,
	nomeIte = @nomeIte
WHERE codigoIte = @codigoIte

GO