-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Item_Pedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spItem_PedidoIns')
	BEGIN
		PRINT 'Dropping Procedure spItem_PedidoIns'
		DROP PROCEDURE spItem_PedidoIns
	END
GO

CREATE PROCEDURE spItem_PedidoIns (
	@codigoIPe INT OUTPUT,
	@codigoDep INT,
	@codigoIte INT,
	@codigoPed INT,
	@quantidadePed INT,
	@valorUnitario MONEY,
	@valorTotalIPe MONEY)
AS

INSERT INTO Item_Pedido(
	codigoDep,
	codigoIte,
	codigoPed,
	quantidadePed,
	valorUnitario,
	valorTotalIPe)
VALUES (
	@codigoDep,
	@codigoIte,
	@codigoPed,
	@quantidadePed,
	@valorUnitario,
	@valorTotalIPe)

SET @codigoIPe = @@IDENTITY

GO