-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Item_Pedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spItem_PedidoSel')
	BEGIN
		PRINT 'Dropping Procedure spItem_PedidoSel'
		DROP PROCEDURE spItem_PedidoSel
	END
GO

CREATE PROCEDURE spItem_PedidoSel (
	@codigoIPe INT = null,
	@codigoDep INT = null,
	@codigoIte INT = null,
	@codigoPed INT = null,
	@quantidadePed INT = null,
	@valorUnitario MONEY = null,
	@valorTotalIPe MONEY = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoIPe,
		codigoDep,
		codigoIte,
		codigoPed,
		quantidadePed,
		valorUnitario,
		valorTotalIPe
	FROM Item_Pedido
	WHERE 1 = 1'

IF (@codigoIPe IS NOT NULL)
	SET @sql = @sql + ' AND codigoIPe = ' + CONVERT(VARCHAR,@codigoIPe)

IF (@codigoDep IS NOT NULL)
	SET @sql = @sql + ' AND codigoDep = ' + CONVERT(VARCHAR,@codigoDep)

IF (@codigoIte IS NOT NULL)
	SET @sql = @sql + ' AND codigoIte = ' + CONVERT(VARCHAR,@codigoIte)

IF (@codigoPed IS NOT NULL)
	SET @sql = @sql + ' AND codigoPed = ' + CONVERT(VARCHAR,@codigoPed)

IF (@quantidadePed IS NOT NULL)
	SET @sql = @sql + ' AND quantidadePed = ' + CONVERT(VARCHAR,@quantidadePed)

IF (@valorUnitario IS NOT NULL)
	SET @sql = @sql + ' AND valorUnitario = ' + CONVERT(VARCHAR,@valorUnitario)

IF (@valorTotalIPe IS NOT NULL)
	SET @sql = @sql + ' AND valorTotalIPe = ' + CONVERT(VARCHAR,@valorTotalIPe)

PRINT(@sql)
EXECUTE(@sql)

GO