-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Log
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spLogIns')
	BEGIN
		PRINT 'Dropping Procedure spLogIns'
		DROP PROCEDURE spLogIns
	END
GO

CREATE PROCEDURE spLogIns (
	@codigoLog INT OUTPUT,
	@codigoUsu INT,
	@tipoAcaoLog CHAR(1),
	@dataLog DATETIME,
	@descricaoLog TEXT,
	@codigoRegistroLog INT,
	@ipLog VARCHAR(20))
AS

INSERT INTO Log(
	codigoUsu,
	tipoAcaoLog,
	dataLog,
	descricaoLog,
	codigoRegistroLog,
	ipLog)
VALUES (
	@codigoUsu,
	@tipoAcaoLog,
	@dataLog,
	@descricaoLog,
	@codigoRegistroLog,
	@ipLog)

SET @codigoLog = @@IDENTITY

GO