-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Log
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spLogUpd')
	BEGIN
		PRINT 'Dropping Procedure spLogUpd'
		DROP PROCEDURE spLogUpd
	END
GO

CREATE PROCEDURE spLogUpd (
	@codigoLog INT,
	@codigoUsu INT,
	@tipoAcaoLog CHAR(1),
	@dataLog DATETIME,
	@descricaoLog TEXT,
	@codigoRegistroLog INT,
	@ipLog VARCHAR(20))
AS

UPDATE Log SET 
	codigoUsu = @codigoUsu,
	tipoAcaoLog = @tipoAcaoLog,
	dataLog = @dataLog,
	descricaoLog = @descricaoLog,
	codigoRegistroLog = @codigoRegistroLog,
	ipLog = @ipLog
WHERE codigoLog = @codigoLog

GO