-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: MeioPagamento
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spMeioPagamentoSel')
	BEGIN
		PRINT 'Dropping Procedure spMeioPagamentoSel'
		DROP PROCEDURE spMeioPagamentoSel
	END
GO

CREATE PROCEDURE spMeioPagamentoSel (
	@codigoMPa INT = null,
	@codigoLoj INT = null,
	@referenciaMPa VARCHAR(50) = null,
	@nomeMPa VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoMPa,
		codigoLoj,
		referenciaMPa,
		nomeMPa
	FROM MeioPagamento
	WHERE 1 = 1'

IF (@codigoMPa IS NOT NULL)
	SET @sql = @sql + ' AND codigoMPa = ' + CONVERT(VARCHAR,@codigoMPa)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@referenciaMPa IS NOT NULL)
	SET @sql = @sql + ' AND referenciaMPa LIKE ''%' + @referenciaMPa + '%'''

IF (@nomeMPa IS NOT NULL)
	SET @sql = @sql + ' AND nomeMPa LIKE ''%' + @nomeMPa + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO