-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 11/08/2008
-- Classe do sistema..: Meta
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spMetaUpd')
	BEGIN
		PRINT 'Dropping Procedure spMetaUpd'
		DROP PROCEDURE spMetaUpd
	END
GO

CREATE PROCEDURE spMetaUpd (
	@codigoMet INT,
	@codigoLoj INT,
	@valorMet MONEY,
	@tipoPeriodoMet CHAR(1),
	@periodoInicialMet DATETIME,
	@periodoFinalMet DATETIME)
AS

UPDATE Meta SET 
	codigoLoj = @codigoLoj,
	valorMet = @valorMet,
	tipoPeriodoMet = @tipoPeriodoMet,
	periodoInicialMet = @periodoInicialMet,
	periodoFinalMet = @periodoFinalMet
WHERE codigoMet = @codigoMet

GO