-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Parceiro
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spParceiroIns')
	BEGIN
		PRINT 'Dropping Procedure spParceiroIns'
		DROP PROCEDURE spParceiroIns
	END
GO

CREATE PROCEDURE spParceiroIns (
	@codigoPar INT OUTPUT,
	@codigoLoj INT,
	@referenciaPar VARCHAR(50),
	@nomePar VARCHAR(100))
AS

INSERT INTO Parceiro(
	codigoLoj,
	referenciaPar,
	nomePar)
VALUES (
	@codigoLoj,
	@referenciaPar,
	@nomePar)

SET @codigoPar = @@IDENTITY

GO