-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PassoPedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPassoPedidoIns')
	BEGIN
		PRINT 'Dropping Procedure spPassoPedidoIns'
		DROP PROCEDURE spPassoPedidoIns
	END
GO

CREATE PROCEDURE spPassoPedidoIns (
	@codigoPPe INT OUTPUT,
	@nomePPe VARCHAR(100))
AS

INSERT INTO PassoPedido(
	nomePPe)
VALUES (
	@nomePPe)

SET @codigoPPe = @@IDENTITY

GO