-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PassoPedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPassoPedidoSel')
	BEGIN
		PRINT 'Dropping Procedure spPassoPedidoSel'
		DROP PROCEDURE spPassoPedidoSel
	END
GO

CREATE PROCEDURE spPassoPedidoSel (
	@codigoPPe INT = null,
	@nomePPe VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoPPe,
		nomePPe
	FROM PassoPedido
	WHERE 1 = 1'

IF (@codigoPPe IS NOT NULL)
	SET @sql = @sql + ' AND codigoPPe = ' + CONVERT(VARCHAR,@codigoPPe)

IF (@nomePPe IS NOT NULL)
	SET @sql = @sql + ' AND nomePPe LIKE ''%' + @nomePPe + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO