-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Pedido
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPedidoUpd')
	BEGIN
		PRINT 'Dropping Procedure spPedidoUpd'
		DROP PROCEDURE spPedidoUpd
	END
GO

CREATE PROCEDURE spPedidoUpd (
	@codigoPed INT,
	@codigoVCo INT,
	@codigoTra INT,
	@codigoPar INT,
	@codigoMPa INT,
	@codigoLoj INT,
	@codigoCon INT,
	@referenciaPed VARCHAR(50),
	@dataPed DATETIME,
	@numParcelasPed INT,
	@valorFretePed MONEY,
	@valorTotalIPePed MONEY)
AS

UPDATE Pedido SET 
	codigoVCo = @codigoVCo,
	codigoTra = @codigoTra,
	codigoPar = @codigoPar,
	codigoMPa = @codigoMPa,
	codigoLoj = @codigoLoj,
	codigoCon = @codigoCon,
	referenciaPed = @referenciaPed,
	dataPed = @dataPed,
	numParcelasPed = @numParcelasPed,
	valorFretePed = @valorFretePed,
	valorTotalIPePed = @valorTotalIPePed
WHERE codigoPed = @codigoPed

GO