-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PerfilAcesso
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPerfilAcessoIns')
	BEGIN
		PRINT 'Dropping Procedure spPerfilAcessoIns'
		DROP PROCEDURE spPerfilAcessoIns
	END
GO

CREATE PROCEDURE spPerfilAcessoIns (
	@codigoPAc INT OUTPUT,
	@codigoLoj INT,
	@nomePAc VARCHAR(50))
AS

INSERT INTO PerfilAcesso(
	codigoLoj,
	nomePAc)
VALUES (
	@codigoLoj,
	@nomePAc)

SET @codigoPAc = @@IDENTITY

GO