-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PerfilAcesso
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPerfilAcessoSel')
	BEGIN
		PRINT 'Dropping Procedure spPerfilAcessoSel'
		DROP PROCEDURE spPerfilAcessoSel
	END
GO

CREATE PROCEDURE spPerfilAcessoSel (
	@codigoPAc INT = null,
	@codigoLoj INT = null,
	@nomePAc VARCHAR(50) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoPAc,
		codigoLoj,
		nomePAc
	FROM PerfilAcesso
	WHERE 1 = 1'

IF (@codigoPAc IS NOT NULL)
	SET @sql = @sql + ' AND codigoPAc = ' + CONVERT(VARCHAR,@codigoPAc)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@nomePAc IS NOT NULL)
	SET @sql = @sql + ' AND nomePAc LIKE ''%' + @nomePAc + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO