-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PerfilAcesso
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPerfilAcessoUpd')
	BEGIN
		PRINT 'Dropping Procedure spPerfilAcessoUpd'
		DROP PROCEDURE spPerfilAcessoUpd
	END
GO

CREATE PROCEDURE spPerfilAcessoUpd (
	@codigoPAc INT,
	@codigoLoj INT,
	@nomePAc VARCHAR(50))
AS

UPDATE PerfilAcesso SET 
	codigoLoj = @codigoLoj,
	nomePAc = @nomePAc
WHERE codigoPAc = @codigoPAc

GO