-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PerfilAcesso_AreaSite
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPerfilAcesso_AreaSiteIns')
	BEGIN
		PRINT 'Dropping Procedure spPerfilAcesso_AreaSiteIns'
		DROP PROCEDURE spPerfilAcesso_AreaSiteIns
	END
GO

CREATE PROCEDURE spPerfilAcesso_AreaSiteIns (
	@codigoPAS INT OUTPUT,
	@codigoASi INT,
	@codigoPAc INT)
AS

INSERT INTO PerfilAcesso_AreaSite(
	codigoASi,
	codigoPAc)
VALUES (
	@codigoASi,
	@codigoPAc)

SET @codigoPAS = @@IDENTITY

GO