-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: PeriodoAnalise
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPeriodoAnaliseIns')
	BEGIN
		PRINT 'Dropping Procedure spPeriodoAnaliseIns'
		DROP PROCEDURE spPeriodoAnaliseIns
	END
GO

CREATE PROCEDURE spPeriodoAnaliseIns (
	@codigoPAn INT OUTPUT,
	@codigoAna INT,
	@dataInicioPAn DATETIME,
	@dataFimPAn DATETIME,
	@observacoesPAn TEXT,
	@consideracoesPAn TEXT)
AS

INSERT INTO PeriodoAnalise(
	codigoAna,
	dataInicioPAn,
	dataFimPAn,
	observacoesPAn,
	consideracoesPAn)
VALUES (
	@codigoAna,
	@dataInicioPAn,
	@dataFimPAn,
	@observacoesPAn,
	@consideracoesPAn)

SET @codigoPAn = @@IDENTITY

GO