-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Posicao
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spPosicaoSel')
	BEGIN
		PRINT 'Dropping Procedure spPosicaoSel'
		DROP PROCEDURE spPosicaoSel
	END
GO

CREATE PROCEDURE spPosicaoSel (
	@codigoPos INT = null,
	@nomePos VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoPos,
		nomePos
	FROM Posicao
	WHERE 1 = 1'

IF (@codigoPos IS NOT NULL)
	SET @sql = @sql + ' AND codigoPos = ' + CONVERT(VARCHAR,@codigoPos)

IF (@nomePos IS NOT NULL)
	SET @sql = @sql + ' AND nomePos LIKE ''%' + @nomePos + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO