-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: SegmentoMercado
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spSegmentoMercadoSel')
	BEGIN
		PRINT 'Dropping Procedure spSegmentoMercadoSel'
		DROP PROCEDURE spSegmentoMercadoSel
	END
GO

CREATE PROCEDURE spSegmentoMercadoSel (
	@codigoSMe INT = null,
	@nomeSMe VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoSMe,
		nomeSMe
	FROM SegmentoMercado
	WHERE 1 = 1'

IF (@codigoSMe IS NOT NULL)
	SET @sql = @sql + ' AND codigoSMe = ' + CONVERT(VARCHAR,@codigoSMe)

IF (@nomeSMe IS NOT NULL)
	SET @sql = @sql + ' AND nomeSMe LIKE ''%' + @nomeSMe + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO