-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Servico
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spServicoSel')
	BEGIN
		PRINT 'Dropping Procedure spServicoSel'
		DROP PROCEDURE spServicoSel
	END
GO

CREATE PROCEDURE spServicoSel (
	@codigoSer INT = null,
	@nomeSer VARCHAR(100) = null,
	@valorBaseSer MONEY = null,
	@descricaoSer VARCHAR(250) = null,
	@imagemSer VARCHAR(250) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoSer,
		nomeSer,
		valorBaseSer,
		descricaoSer,
		imagemSer
	FROM Servico
	WHERE 1 = 1'

IF (@codigoSer IS NOT NULL)
	SET @sql = @sql + ' AND codigoSer = ' + CONVERT(VARCHAR,@codigoSer)

IF (@nomeSer IS NOT NULL)
	SET @sql = @sql + ' AND nomeSer LIKE ''%' + @nomeSer + '%'''

IF (@valorBaseSer IS NOT NULL)
	SET @sql = @sql + ' AND valorBaseSer = ' + CONVERT(VARCHAR,@valorBaseSer)

IF (@descricaoSer IS NOT NULL)
	SET @sql = @sql + ' AND descricaoSer LIKE ''%' + @descricaoSer + '%'''

IF (@imagemSer IS NOT NULL)
	SET @sql = @sql + ' AND imagemSer LIKE ''%' + @imagemSer + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO