-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Servico
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spServicoUpd')
	BEGIN
		PRINT 'Dropping Procedure spServicoUpd'
		DROP PROCEDURE spServicoUpd
	END
GO

CREATE PROCEDURE spServicoUpd (
	@codigoSer INT,
	@nomeSer VARCHAR(100),
	@valorBaseSer MONEY,
	@descricaoSer VARCHAR(250),
	@imagemSer VARCHAR(250))
AS

UPDATE Servico SET 
	nomeSer = @nomeSer,
	valorBaseSer = @valorBaseSer,
	descricaoSer = @descricaoSer,
	imagemSer = @imagemSer
WHERE codigoSer = @codigoSer

GO