-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Servico_Loja
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spServico_LojaIns')
	BEGIN
		PRINT 'Dropping Procedure spServico_LojaIns'
		DROP PROCEDURE spServico_LojaIns
	END
GO

CREATE PROCEDURE spServico_LojaIns (
	@codigoSLo INT OUTPUT,
	@codigoSer INT,
	@codigoLoj INT,
	@valorPagarSLo MONEY)
AS

INSERT INTO Servico_Loja(
	codigoSer,
	codigoLoj,
	valorPagarSLo)
VALUES (
	@codigoSer,
	@codigoLoj,
	@valorPagarSLo)

SET @codigoSLo = @@IDENTITY

GO