-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Servico_Loja
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spServico_LojaSel')
	BEGIN
		PRINT 'Dropping Procedure spServico_LojaSel'
		DROP PROCEDURE spServico_LojaSel
	END
GO

CREATE PROCEDURE spServico_LojaSel (
	@codigoSLo INT = null,
	@codigoSer INT = null,
	@codigoLoj INT = null,
	@valorPagarSLo MONEY = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoSLo,
		codigoSer,
		codigoLoj,
		valorPagarSLo
	FROM Servico_Loja
	WHERE 1 = 1'

IF (@codigoSLo IS NOT NULL)
	SET @sql = @sql + ' AND codigoSLo = ' + CONVERT(VARCHAR,@codigoSLo)

IF (@codigoSer IS NOT NULL)
	SET @sql = @sql + ' AND codigoSer = ' + CONVERT(VARCHAR,@codigoSer)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@valorPagarSLo IS NOT NULL)
	SET @sql = @sql + ' AND valorPagarSLo = ' + CONVERT(VARCHAR,@valorPagarSLo)

PRINT(@sql)
EXECUTE(@sql)

GO