-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: TipoFuncionalidade
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spTipoFuncionalidadeSel')
	BEGIN
		PRINT 'Dropping Procedure spTipoFuncionalidadeSel'
		DROP PROCEDURE spTipoFuncionalidadeSel
	END
GO

CREATE PROCEDURE spTipoFuncionalidadeSel (
	@codigoTFu INT = null,
	@nomeTFu VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoTFu,
		nomeTFu
	FROM TipoFuncionalidade
	WHERE 1 = 1'

IF (@codigoTFu IS NOT NULL)
	SET @sql = @sql + ' AND codigoTFu = ' + CONVERT(VARCHAR,@codigoTFu)

IF (@nomeTFu IS NOT NULL)
	SET @sql = @sql + ' AND nomeTFu LIKE ''%' + @nomeTFu + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO