-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Transportadora
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spTransportadoraSel')
	BEGIN
		PRINT 'Dropping Procedure spTransportadoraSel'
		DROP PROCEDURE spTransportadoraSel
	END
GO

CREATE PROCEDURE spTransportadoraSel (
	@codigoTra INT = null,
	@codigoLoj INT = null,
	@referenciaTra VARCHAR(50) = null,
	@nomeTra VARCHAR(100) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoTra,
		codigoLoj,
		referenciaTra,
		nomeTra
	FROM Transportadora
	WHERE 1 = 1'

IF (@codigoTra IS NOT NULL)
	SET @sql = @sql + ' AND codigoTra = ' + CONVERT(VARCHAR,@codigoTra)

IF (@codigoLoj IS NOT NULL)
	SET @sql = @sql + ' AND codigoLoj = ' + CONVERT(VARCHAR,@codigoLoj)

IF (@referenciaTra IS NOT NULL)
	SET @sql = @sql + ' AND referenciaTra LIKE ''%' + @referenciaTra + '%'''

IF (@nomeTra IS NOT NULL)
	SET @sql = @sql + ' AND nomeTra LIKE ''%' + @nomeTra + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO