-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Usuario
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spUsuarioUpd')
	BEGIN
		PRINT 'Dropping Procedure spUsuarioUpd'
		DROP PROCEDURE spUsuarioUpd
	END
GO

CREATE PROCEDURE spUsuarioUpd (
	@codigoUsu INT,
	@codigoEMa INT,
	@codigoLoj INT,
	@nomeUsu VARCHAR(250),
	@telefoneUsu VARCHAR(20),
	@emailUsu VARCHAR(100),
	@senhaUsu VARCHAR(250),
	@responsavelUsu BIT)
AS

UPDATE Usuario SET 
	codigoEMa = @codigoEMa,
	codigoLoj = @codigoLoj,
	nomeUsu = @nomeUsu,
	telefoneUsu = @telefoneUsu,
	emailUsu = @emailUsu,
	senhaUsu = @senhaUsu,
	responsavelUsu = @responsavelUsu
WHERE codigoUsu = @codigoUsu

GO