-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: Usuario_PerfilAcesso
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spUsuario_PerfilAcessoIns')
	BEGIN
		PRINT 'Dropping Procedure spUsuario_PerfilAcessoIns'
		DROP PROCEDURE spUsuario_PerfilAcessoIns
	END
GO

CREATE PROCEDURE spUsuario_PerfilAcessoIns (
	@codigoUPa INT OUTPUT,
	@codigoUsu INT,
	@codigoPAc INT)
AS

INSERT INTO Usuario_PerfilAcesso(
	codigoUsu,
	codigoPAc)
VALUES (
	@codigoUsu,
	@codigoPAc)

SET @codigoUPa = @@IDENTITY

GO