-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 10/07/2008
-- Classe do sistema..: VariavelConsumidor
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spVariavelConsumidorSel')
	BEGIN
		PRINT 'Dropping Procedure spVariavelConsumidorSel'
		DROP PROCEDURE spVariavelConsumidorSel
	END
GO

CREATE PROCEDURE spVariavelConsumidorSel (
	@codigoVCo INT = null,
	@codigoCon INT = null,
	@enderecoVCo INT = null,
	@enderecoEntregaVCo INT = null,
	@emailVCo VARCHAR(100) = null,
	@profissaoVCo VARCHAR(100) = null,
	@iniciaisProfissaoVCo VARCHAR(20) = null,
	@telefoneVCo VARCHAR(20) = null,
	@celularVCo VARCHAR(20) = null)
AS

DECLARE @sql varchar(8000)

SET @sql = ' 
	SELECT 
		codigoVCo,
		codigoCon,
		enderecoVCo,
		enderecoEntregaVCo,
		emailVCo,
		profissaoVCo,
		iniciaisProfissaoVCo,
		telefoneVCo,
		celularVCo
	FROM VariavelConsumidor
	WHERE 1 = 1'

IF (@codigoVCo IS NOT NULL)
	SET @sql = @sql + ' AND codigoVCo = ' + CONVERT(VARCHAR,@codigoVCo)

IF (@codigoCon IS NOT NULL)
	SET @sql = @sql + ' AND codigoCon = ' + CONVERT(VARCHAR,@codigoCon)

IF (@enderecoVCo IS NOT NULL)
	SET @sql = @sql + ' AND enderecoVCo = ' + CONVERT(VARCHAR,@enderecoVCo)

IF (@enderecoEntregaVCo IS NOT NULL)
	SET @sql = @sql + ' AND enderecoEntregaVCo = ' + CONVERT(VARCHAR,@enderecoEntregaVCo)

IF (@emailVCo IS NOT NULL)
	SET @sql = @sql + ' AND emailVCo LIKE ''%' + @emailVCo + '%'''

IF (@profissaoVCo IS NOT NULL)
	SET @sql = @sql + ' AND profissaoVCo LIKE ''%' + @profissaoVCo + '%'''

IF (@iniciaisProfissaoVCo IS NOT NULL)
	SET @sql = @sql + ' AND iniciaisProfissaoVCo LIKE ''%' + @iniciaisProfissaoVCo + '%'''

IF (@telefoneVCo IS NOT NULL)
	SET @sql = @sql + ' AND telefoneVCo LIKE ''%' + @telefoneVCo + '%'''

IF (@celularVCo IS NOT NULL)
	SET @sql = @sql + ' AND celularVCo LIKE ''%' + @celularVCo + '%'''

PRINT(@sql)
EXECUTE(@sql)

GO