-- ***************************************************************************************************************************************************
-- Autor..............: Joel Ferreira
-- Data...............: 27/11/2007
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'vForeignKeys')
	BEGIN
		DROP  View vForeignKeys
	END
GO

CREATE View vForeignKeys AS

SELECT 
	C.name AS chaveEstrangeira,
	O1.name AS tabelaFK,
	O2.name AS tabelaRef
FROM 
	sys.all_columns C INNER JOIN sysobjects O1 ON C.object_id = O1.id
	INNER JOIN sys.foreign_key_columns K ON O1.id = K.parent_object_id AND K.parent_column_id = C.column_id
	INNER JOIN sysobjects O2 ON K.referenced_object_id = O2.id
WHERE 
	O1.xtype = 'U'
	
GO