-- ***************************************************************************************************************************************************
-- Sistema......................: DCartes
-- Autor........................: Jesiel Sopzak Campos
-- Data.........................: 07/09/2008 22:30
-- Classe do sistema............: GraficoDC
-- ***************************************************************************************************************************************************

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'spMetaSel')
	BEGIN
		PRINT 'Dropping Procedure spMetaSel'
		DROP  PROCEDURE  spMetaSel
	END
GO

CREATE PROCEDURE spMetaSel (
	@dtaDe datetime,
	@dtaAte datetime,
	@CodLoja int )
AS

Select isnull(sum(valorTotalPed - valorFretePed),0) as valor 
from Pedido 
where @dtaDe <= dataPed and 
		@dtaAte >= dataPed and codigoLoj = @CodLoja

GO